/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs

#define yylval          cf_lval
#define yychar          cf_char

/* Copy the first part of user declarations.  */
#line 61 "conf/gen_parser.m4" /* yacc.c:339  */

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_MPLS_DOMAIN: cf_assert(sym->class == SYM_MPLS_DOMAIN, "MPLS domain name required"); break;
    case SYM_MPLS_RANGE: cf_assert(sym->class == SYM_MPLS_RANGE, "MPLS range name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

static struct symbol *this_function;
static struct sym_scope *this_for_scope;

static struct f_method_scope {
  struct f_inst *object;
  struct sym_scope *main;
  struct sym_scope scope;
} f_method_scope_stack[32];
static int f_method_scope_pos = -1;

#define FM  (f_method_scope_stack[f_method_scope_pos])

static inline void f_method_call_start(struct f_inst *object)
{
  if (object->type == T_VOID)
    cf_error("Can't infer type to properly call a method, please assign the value to a variable");
  if (++f_method_scope_pos >= (int) ARRAY_SIZE(f_method_scope_stack))
    cf_error("Too many nested method calls");

  struct sym_scope *scope = f_type_method_scope(object->type);
  if (!scope)
    cf_error("No methods defined for type %s", f_type_name(object->type));

  FM = (struct f_method_scope) {
    .object = object,
    .main = new_config->current_scope,
    .scope = {
      .next = global_root_scope,
      .hash = scope->hash,
      .active = 1,
      .block = 1,
      .readonly = 1,
    },
  };
  new_config->current_scope = &FM.scope;
}

static inline void f_method_call_args(void)
{
  ASSERT_DIE(FM.scope.active);
  FM.scope.active = 0;

  new_config->current_scope = FM.main;
}

static inline void f_method_call_end(void)
{
  ASSERT_DIE(f_method_scope_pos >= 0);
  if (FM.scope.active) {
    ASSERT_DIE(&FM.scope == new_config->current_scope);
    new_config->current_scope = FM.main;

    FM.scope.active = 0;
  }

  f_method_scope_pos--;
}

static int
f_new_var(struct sym_scope *s)
{
  /*
   * - A variable is an offset on vstack from vbase.
   * - Vbase is set on filter start / function call.
   * - Scopes contain (non-frame) block scopes inside filter/function scope
   * - Each scope knows number of vars in that scope
   * - Offset is therefore a sum of 'slots' up to filter/function scope
   * - New variables are added on top of vstk, so intermediate values cannot
   *   be there during FI_VAR_INIT. I.e. no 'var' inside 'term'.
   * - Also, each f_line must always have its scope, otherwise a variable may
   *   be defined but not initialized if relevant f_line is not executed.
   */

  int offset = s->slots++;

  while (s->block)
  {
    s = s->next;
    ASSERT(s);
    offset += s->slots;
  }

  if (offset >= 0xff)
    cf_error("Too many variables, at most 255 allowed");

  return offset;
}

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_const_empty(enum f_type t)
{
  switch (t) {
    case T_PATH:
    case T_CLIST:
    case T_ECLIST:
    case T_LCLIST:
      return f_new_inst(FI_CONSTANT, (struct f_val) {
	.type = t,
	.val.ad = &null_adata,
      });
    case T_ROUTE:
      return f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE });
    default:
      return f_new_inst(FI_CONSTANT, (struct f_val) {});
  }
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
f_lval_getter(struct f_lval *lval)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_GET, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_GET, lval->rte, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_GET, lval->rte, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
f_lval_setter(struct f_lval *lval, struct f_inst *expr)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_SET, expr, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_SET, expr, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_SET, expr, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter = f_lval_setter(lval, expr),
		*getter = f_lval_getter(lval);

  struct f_inst *checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;

  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "nest/mpls.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct rtable_config *this_table;
static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}

static inline void
init_password_list(void)
{
   if (!this_p_list) {
      this_p_list = cfg_allocz(sizeof(list));
      init_list(this_p_list);
      password_id = 1;
   }
}

static inline void
init_password(const void *key, uint length, uint id)
{
   this_p_item = cfg_allocz(sizeof (struct password_item));
   this_p_item->password = key;
   this_p_item->length = length;
   this_p_item->genfrom = 0;
   this_p_item->gento = TIME_INFINITY;
   this_p_item->accfrom = 0;
   this_p_item->accto = TIME_INFINITY;
   this_p_item->id = id;
   this_p_item->alg = ALG_UNDEFINED;
   add_tail(this_p_list, &this_p_item->n);
}

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 10 "nest/mpls.Y"
/* Headers from nest/mpls.Y */

#include "nest/mpls.h"

/* Defines from nest/mpls.Y */

static struct mpls_domain_config *this_mpls_domain;
static struct mpls_range_config *this_mpls_range;

#define MPLS_CC ((struct mpls_channel_config *) this_channel)

#line 11 "proto/aggregator/config.Y"
/* Headers from proto/aggregator/config.Y */

#include "proto/aggregator/aggregator.h"

/* Defines from proto/aggregator/config.Y */

#define AGGREGATOR_CFG ((struct aggregator_config *) this_proto)
#define AGGR_ITEM_ALLOC ((struct aggr_item_node *) cfg_allocz(sizeof(struct aggr_item_node)))


#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/l3vpn/config.Y"
/* Headers from proto/l3vpn/config.Y */

#include "proto/l3vpn/l3vpn.h"


/* Defines from proto/l3vpn/config.Y */

#define L3VPN_CFG ((struct l3vpn_config *) this_proto)

static void
f_tree_only_rt(struct f_tree *t)
{
  /* Parsed degenerate trees have link to the last node in t->right */
  t->right = NULL;

  while (t)
  {
    uint type1 = t->from.val.ec >> 48;
    uint type2 = t->to.val.ec >> 48;
    ASSERT(type1 == type2);

    if (!ec_type_is_rt(type1))
      cf_error("Extended community is not route target");

    ASSERT(!t->right);
    t = t->left;
  }
}


#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    cf_warn("Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    cf_warn("Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (! proto_cf_main_channel(this_proto))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    cf_warn("Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */

static inline void
radv_add_to_custom_list(list *l, int type, const struct adata *payload)
{
  if (type < 0 || type > 255) cf_error("RA cusom type must be in range 0-255");
  struct radv_custom_config *cf = cfg_allocz(sizeof(struct radv_custom_config));
  add_tail(l, NODE cf);
  cf->type = type;
  cf->payload = payload;
}

#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_TCP_CFG ((struct rpki_tr_tcp_config *) RPKI_CFG->tr_config.spec)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;
static uint this_srt_aspa_max;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds, 0);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;
static struct cli_config *this_cli_config;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 61 "conf/gen_parser.m4"

#line 1040 "obj/conf/cf-parse.tab.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* In a future release of Bison, this section will be replaced
   by #include "cf-parse.tab.h".  */
#ifndef YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
# define YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int cf_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    END = 258,
    CLI_MARKER = 259,
    INVALID_TOKEN = 260,
    ELSECOL = 261,
    DDOT = 262,
    GEQ = 263,
    LEQ = 264,
    NEQ = 265,
    AND = 266,
    OR = 267,
    IMP = 268,
    PO = 269,
    PC = 270,
    NUM = 271,
    ENUM_TOKEN = 272,
    IP4 = 273,
    IP6 = 274,
    VPN_RD = 275,
    CF_SYM_KNOWN = 276,
    CF_SYM_UNDEFINED = 277,
    CF_SYM_METHOD_BARE = 278,
    CF_SYM_METHOD_ARGS = 279,
    TEXT = 280,
    BYTETEXT = 281,
    PREFIX_DUMMY = 282,
    NMA = 283,
    DEFINE = 284,
    ON = 285,
    OFF = 286,
    YES = 287,
    NO = 288,
    S = 289,
    MS = 290,
    US = 291,
    PORT = 292,
    VPN = 293,
    MPLS = 294,
    FROM = 295,
    MAX = 296,
    AS = 297,
    FLOW4 = 298,
    FLOW6 = 299,
    DST = 300,
    SRC = 301,
    PROTO = 302,
    NEXT = 303,
    HEADER = 304,
    DPORT = 305,
    SPORT = 306,
    ICMP = 307,
    TYPE = 308,
    CODE = 309,
    TCP = 310,
    FLAGS = 311,
    LENGTH = 312,
    DSCP = 313,
    DONT_FRAGMENT = 314,
    IS_FRAGMENT = 315,
    FIRST_FRAGMENT = 316,
    LAST_FRAGMENT = 317,
    FRAGMENT = 318,
    LABEL = 319,
    OFFSET = 320,
    QUIT = 321,
    EXIT = 322,
    HELP = 323,
    IN = 324,
    FUNCTION = 325,
    PRINT = 326,
    PRINTN = 327,
    UNSET = 328,
    RETURN = 329,
    ACCEPT = 330,
    REJECT = 331,
    ERROR = 332,
    INT = 333,
    BOOL = 334,
    IP = 335,
    PREFIX = 336,
    RD = 337,
    PAIR = 338,
    QUAD = 339,
    EC = 340,
    LC = 341,
    ENUM = 342,
    SET = 343,
    STRING = 344,
    BYTESTRING = 345,
    BGPMASK = 346,
    BGPPATH = 347,
    CLIST = 348,
    ECLIST = 349,
    LCLIST = 350,
    IF = 351,
    THEN = 352,
    ELSE = 353,
    CASE = 354,
    FOR = 355,
    DO = 356,
    TRUE = 357,
    FALSE = 358,
    RT = 359,
    RO = 360,
    UNKNOWN = 361,
    GENERIC = 362,
    GW = 363,
    NET = 364,
    SOURCE = 365,
    SCOPE = 366,
    DEST = 367,
    IFNAME = 368,
    IFINDEX = 369,
    WEIGHT = 370,
    GW_MPLS = 371,
    GW_MPLS_STACK = 372,
    ONLINK = 373,
    PREFERENCE = 374,
    ROA_CHECK = 375,
    ASPA_CHECK = 376,
    DEFINED = 377,
    ADD = 378,
    DELETE = 379,
    RESET = 380,
    PREPEND = 381,
    EMPTY = 382,
    FILTER = 383,
    WHERE = 384,
    EVAL = 385,
    ATTRIBUTE = 386,
    FROM_HEX = 387,
    BT_ASSERT = 388,
    BT_TEST_SUITE = 389,
    BT_CHECK_ASSIGN = 390,
    BT_TEST_SAME = 391,
    FORMAT = 392,
    ROUTER = 393,
    ID = 394,
    HOSTNAME = 395,
    PROTOCOL = 396,
    TEMPLATE = 397,
    DISABLED = 398,
    DEBUG = 399,
    ALL = 400,
    DIRECT = 401,
    INTERFACE = 402,
    IMPORT = 403,
    EXPORT = 404,
    NONE = 405,
    VRF = 406,
    DEFAULT = 407,
    TABLE = 408,
    TABLES = 409,
    STATES = 410,
    ROUTES = 411,
    FILTERS = 412,
    IPV4 = 413,
    IPV6 = 414,
    VPN4 = 415,
    VPN6 = 416,
    ROA4 = 417,
    ROA6 = 418,
    SADR = 419,
    ASPA = 420,
    RECEIVE = 421,
    LIMIT = 422,
    ACTION = 423,
    WARN = 424,
    BLOCK = 425,
    RESTART = 426,
    DISABLE = 427,
    KEEP = 428,
    FILTERED = 429,
    RPKI = 430,
    PASSWORD = 431,
    KEY = 432,
    PASSIVE = 433,
    TO = 434,
    EVENTS = 435,
    PACKETS = 436,
    PROTOCOLS = 437,
    CHANNELS = 438,
    INTERFACES = 439,
    ALGORITHM = 440,
    KEYED = 441,
    HMAC = 442,
    MD5 = 443,
    SHA1 = 444,
    SHA256 = 445,
    SHA384 = 446,
    SHA512 = 447,
    BLAKE2S128 = 448,
    BLAKE2S256 = 449,
    BLAKE2B256 = 450,
    BLAKE2B512 = 451,
    PRIMARY = 452,
    STATS = 453,
    COUNT = 454,
    COMMANDS = 455,
    PREEXPORT = 456,
    NOEXPORT = 457,
    EXPORTED = 458,
    GENERATE = 459,
    BGP = 460,
    PASSWORDS = 461,
    DESCRIPTION = 462,
    RELOAD = 463,
    OUT = 464,
    MRTDUMP = 465,
    MESSAGES = 466,
    RESTRICT = 467,
    MEMORY = 468,
    IGP_METRIC = 469,
    CLASS = 470,
    TIMEFORMAT = 471,
    ISO = 472,
    SHORT = 473,
    LONG = 474,
    ROUTE = 475,
    BASE = 476,
    LOG = 477,
    GRACEFUL = 478,
    WAIT = 479,
    CHECK = 480,
    LINK = 481,
    SORTED = 482,
    TRIE = 483,
    MIN = 484,
    SETTLE = 485,
    TIME = 486,
    GC = 487,
    THRESHOLD = 488,
    PERIOD = 489,
    MPLS_LABEL = 490,
    MPLS_POLICY = 491,
    MPLS_CLASS = 492,
    ASPA_PROVIDERS = 493,
    IPV4_MC = 494,
    IPV4_MPLS = 495,
    IPV6_MC = 496,
    IPV6_MPLS = 497,
    IPV6_SADR = 498,
    VPN4_MC = 499,
    VPN4_MPLS = 500,
    VPN6_MC = 501,
    VPN6_MPLS = 502,
    PRI = 503,
    SEC = 504,
    NET_TYPE = 505,
    RTS = 506,
    RTD = 507,
    ROA = 508,
    AF = 509,
    SHOW = 510,
    STATUS = 511,
    SUMMARY = 512,
    SYMBOLS = 513,
    DUMP = 514,
    RESOURCES = 515,
    SOCKETS = 516,
    NEIGHBORS = 517,
    ATTRIBUTES = 518,
    ECHO = 519,
    ENABLE = 520,
    DOMAIN = 521,
    RANGE = 522,
    STATIC = 523,
    DYNAMIC = 524,
    START = 525,
    POLICY = 526,
    AGGREGATE = 527,
    RANGES = 528,
    AGGREGATOR = 529,
    PEER = 530,
    MERGE = 531,
    BY = 532,
    BFD = 533,
    IDLE = 534,
    RX = 535,
    TX = 536,
    INTERVAL = 537,
    MULTIPLIER = 538,
    MULTIHOP = 539,
    NEIGHBOR = 540,
    DEV = 541,
    LOCAL = 542,
    AUTHENTICATION = 543,
    SIMPLE = 544,
    METICULOUS = 545,
    STRICT = 546,
    BIND = 547,
    ZERO = 548,
    UDP6 = 549,
    CHECKSUM = 550,
    SESSIONS = 551,
    BABEL = 552,
    METRIC = 553,
    RXCOST = 554,
    HELLO = 555,
    UPDATE = 556,
    WIRED = 557,
    WIRELESS = 558,
    BUFFER = 559,
    PRIORITY = 560,
    HOP = 561,
    BABEL_METRIC = 562,
    ENTRIES = 563,
    RANDOMIZE = 564,
    MAC = 565,
    PERMISSIVE = 566,
    EXTENDED = 567,
    TUNNEL = 568,
    RTT = 569,
    DECAY = 570,
    SEND = 571,
    TIMESTAMPS = 572,
    COST = 573,
    DELAY = 574,
    HOLD = 575,
    CONNECT = 576,
    RETRY = 577,
    KEEPALIVE = 578,
    STARTUP = 579,
    VIA = 580,
    SELF = 581,
    PATH = 582,
    FORGET = 583,
    AFTER = 584,
    BGP_PATH = 585,
    BGP_LOCAL_PREF = 586,
    BGP_MED = 587,
    BGP_ORIGIN = 588,
    BGP_NEXT_HOP = 589,
    BGP_ATOMIC_AGGR = 590,
    BGP_AGGREGATOR = 591,
    BGP_COMMUNITY = 592,
    BGP_EXT_COMMUNITY = 593,
    BGP_LARGE_COMMUNITY = 594,
    ADDRESS = 595,
    RR = 596,
    RS = 597,
    CLIENT = 598,
    CLUSTER = 599,
    AS4 = 600,
    ADVERTISE = 601,
    CAPABILITIES = 602,
    PREFER = 603,
    OLDER = 604,
    MISSING = 605,
    LLADDR = 606,
    DROP = 607,
    IGNORE = 608,
    ENHANCED = 609,
    REFRESH = 610,
    INTERPRET = 611,
    COMMUNITIES = 612,
    BGP_ORIGINATOR_ID = 613,
    BGP_CLUSTER_LIST = 614,
    IGP = 615,
    GATEWAY = 616,
    RECURSIVE = 617,
    MED = 618,
    TTL = 619,
    SECURITY = 620,
    DETERMINISTIC = 621,
    SECONDARY = 622,
    ALLOW = 623,
    PATHS = 624,
    AWARE = 625,
    SETKEY = 626,
    CONFEDERATION = 627,
    MEMBER = 628,
    MULTICAST = 629,
    LIVED = 630,
    STALE = 631,
    IBGP = 632,
    EBGP = 633,
    MANDATORY = 634,
    INTERNAL = 635,
    EXTERNAL = 636,
    SETS = 637,
    NAME = 638,
    DIGITS = 639,
    BGP_AIGP = 640,
    AIGP = 641,
    ORIGINATE = 642,
    ENFORCE = 643,
    FIRST = 644,
    FREE = 645,
    VALIDATE = 646,
    ROLE = 647,
    ROLES = 648,
    PROVIDER = 649,
    CUSTOMER = 650,
    RS_SERVER = 651,
    RS_CLIENT = 652,
    REQUIRE = 653,
    BGP_OTC = 654,
    GLOBAL = 655,
    CEASE = 656,
    HIT = 657,
    ADMINISTRATIVE = 658,
    SHUTDOWN = 659,
    CONFIGURATION = 660,
    CHANGE = 661,
    DECONFIGURED = 662,
    CONNECTION = 663,
    REJECTED = 664,
    COLLISION = 665,
    OF = 666,
    ASPA_CHECK_UPSTREAM = 667,
    ASPA_CHECK_DOWNSTREAM = 668,
    L3VPN = 669,
    TARGET = 670,
    DISTINGUISHER = 671,
    MRT = 672,
    FILENAME = 673,
    ALWAYS = 674,
    V2 = 675,
    V3 = 676,
    OSPF = 677,
    OSPF_METRIC1 = 678,
    OSPF_METRIC2 = 679,
    OSPF_TAG = 680,
    OSPF_ROUTER_ID = 681,
    AREA = 682,
    RFC1583COMPAT = 683,
    STUB = 684,
    TICK = 685,
    COST2 = 686,
    RETRANSMIT = 687,
    TRANSMIT = 688,
    DEAD = 689,
    BROADCAST = 690,
    BCAST = 691,
    NONBROADCAST = 692,
    NBMA = 693,
    POINTOPOINT = 694,
    PTP = 695,
    POINTOMULTIPOINT = 696,
    PTMP = 697,
    CRYPTOGRAPHIC = 698,
    ELIGIBLE = 699,
    POLL = 700,
    NETWORKS = 701,
    HIDDEN = 702,
    VIRTUAL = 703,
    ONLY = 704,
    LARGE = 705,
    NORMAL = 706,
    STUBNET = 707,
    TAG = 708,
    LSADB = 709,
    ECMP = 710,
    NSSA = 711,
    TRANSLATOR = 712,
    STABILITY = 713,
    LSID = 714,
    INSTANCE = 715,
    REAL = 716,
    NETMASK = 717,
    LSA = 718,
    SUPPRESSION = 719,
    RFC5838 = 720,
    PE = 721,
    TOPOLOGY = 722,
    STATE = 723,
    PERF = 724,
    EXP = 725,
    REPEAT = 726,
    MODE = 727,
    PIPE = 728,
    RADV = 729,
    RA = 730,
    SOLICITED = 731,
    UNICAST = 732,
    MANAGED = 733,
    OTHER = 734,
    CONFIG = 735,
    LINGER = 736,
    MTU = 737,
    REACHABLE = 738,
    RETRANS = 739,
    TIMER = 740,
    CURRENT = 741,
    VALID = 742,
    PREFERRED = 743,
    MULT = 744,
    LIFETIME = 745,
    SKIP = 746,
    AUTONOMOUS = 747,
    RDNSS = 748,
    DNSSL = 749,
    NS = 750,
    TRIGGER = 751,
    SENSITIVE = 752,
    LOW = 753,
    MEDIUM = 754,
    HIGH = 755,
    PROPAGATE = 756,
    RA_PREFERENCE = 757,
    RA_LIFETIME = 758,
    CUSTOM = 759,
    OPTION = 760,
    VALUE = 761,
    NG = 762,
    RIP = 763,
    INFINITY = 764,
    TIMEOUT = 765,
    GARBAGE = 766,
    VERSION = 767,
    SPLIT = 768,
    HORIZON = 769,
    POISON = 770,
    REVERSE = 771,
    PLAINTEXT = 772,
    DEMAND = 773,
    CIRCUIT = 774,
    RIP_METRIC = 775,
    RIP_TAG = 776,
    REMOTE = 777,
    BIRD = 778,
    PRIVATE = 779,
    PUBLIC = 780,
    SSH = 781,
    TRANSPORT = 782,
    USER = 783,
    EXPIRE = 784,
    PROHIBIT = 785,
    BLACKHOLE = 786,
    UNREACHABLE = 787,
    TRANSIT = 788,
    PROVIDERS = 789,
    KERNEL = 790,
    NETLINK = 791,
    KRT_PREFSRC = 792,
    KRT_REALM = 793,
    KRT_SCOPE = 794,
    KRT_MTU = 795,
    KRT_WINDOW = 796,
    KRT_RTT = 797,
    KRT_RTTVAR = 798,
    KRT_SSTHRESH = 799,
    KRT_CWND = 800,
    KRT_ADVMSS = 801,
    KRT_REORDERING = 802,
    KRT_HOPLIMIT = 803,
    KRT_INITCWND = 804,
    KRT_RTO_MIN = 805,
    KRT_INITRWND = 806,
    KRT_QUICKACK = 807,
    KRT_CONGCTL = 808,
    KRT_FASTOPEN_NO_COOKIE = 809,
    KRT_LOCK_MTU = 810,
    KRT_LOCK_WINDOW = 811,
    KRT_LOCK_RTT = 812,
    KRT_LOCK_RTTVAR = 813,
    KRT_LOCK_SSTHRESH = 814,
    KRT_LOCK_CWND = 815,
    KRT_LOCK_ADVMSS = 816,
    KRT_LOCK_REORDERING = 817,
    KRT_LOCK_HOPLIMIT = 818,
    KRT_LOCK_INITCWND = 819,
    KRT_LOCK_RTO_MIN = 820,
    KRT_LOCK_INITRWND = 821,
    KRT_LOCK_QUICKACK = 822,
    KRT_LOCK_CONGCTL = 823,
    KRT_LOCK_FASTOPEN_NO_COOKIE = 824,
    KRT_FEATURE_ECN = 825,
    KRT_FEATURE_ALLFRAG = 826,
    KRT_SSTRESH = 827,
    KRT_LOCK_SSTRESH = 828,
    SYSLOG = 829,
    STDERR = 830,
    UDP = 831,
    CLI = 832,
    TRACE = 833,
    INFO = 834,
    WARNING = 835,
    AUTH = 836,
    FATAL = 837,
    BUG = 838,
    LATENCY = 839,
    WATCHDOG = 840,
    THREADS = 841,
    CONFIGURE = 842,
    SOFT = 843,
    CONFIRM = 844,
    UNDO = 845,
    DOWN = 846,
    PERSIST = 847,
    SCAN = 848,
    LEARN = 849,
    DEVICE = 850,
    KRT_SOURCE = 851,
    KRT_METRIC = 852
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 56 "conf/confbase.Y" /* yacc.c:355  */

  uint i;
  u32 i32;
  u64 i64;
  ip_addr a;
  ip4_addr ip4;
  ip6_addr ip6;
  net_addr net;
  net_addr *net_ptr;
  struct symbol *s;
  struct keyword *kw;
  const char *t;
  struct rtable_config *r;
  struct channel_config *cc;
  struct channel *c;
  struct f_inst *x;
  struct {
    struct f_inst *begin, *end;
  } xp;
  enum filter_return fret;
  enum ec_subtype ecs;
  struct f_dynamic_attr fda;
  struct f_static_attr fsa;
  struct f_lval flv;
  struct f_line *fl;
  struct f_arg *fa;
  const struct filter *f;
  struct f_tree *e;
  struct f_trie *trie;
  struct f_val v;
  struct password_item *p;
  struct rt_show_data *ra;
  struct sym_show_data *sd;
  struct lsadb_show_data *ld;
  struct mrt_dump_data *md;
  struct mpls_show_ranges_cmd *msrc;
  struct bfd_show_sessions_cmd *bssc;
  struct iface *iface;
  void *g;
  btime time;
  struct f_prefix px;
  struct proto_spec ps;
  struct channel_limit cl;
  struct timeformat tf;
  struct timeformat *tfp;
  mpls_label_stack *mls;
  const struct adata *bs;
  struct aggr_item_node *ai;

#line 1728 "obj/conf/cf-parse.tab.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE cf_lval;

int cf_parse (void);

#endif /* !YY_CF_OBJ_CONF_CF_PARSE_TAB_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1745 "obj/conf/cf-parse.tab.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  82
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   12479

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  619
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  513
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2247
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  3686

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   852

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    38,     2,     2,     2,    37,     2,     2,
     610,   611,    35,    33,   612,    34,    39,    36,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   615,   609,
      29,    28,    30,   618,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   616,     2,   617,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   613,     2,   614,    31,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    32,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,   148,   149,   152,   154,   157,   162,   165,   173,
     174,   175,   181,   182,   183,   186,   186,   186,   187,   192,
     193,   194,   195,   196,   197,   204,   205,   206,   213,   214,
     221,   227,   237,   250,   269,   275,   281,   289,   297,   303,
     309,   309,   310,   310,   311,   311,   314,   315,   316,   317,
     318,   319,   320,   327,   328,   336,   337,   345,   346,   354,
     355,   363,   364,   365,   366,   367,   377,   385,   386,   395,
     403,   404,   411,   412,   416,   417,   418,   419,   426,   434,
     435,   439,   440,   441,   449,   450,   451,    37,    38,    39,
      40,    41,    42,    43,    44,    48,    49,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    65,    66,    67,
      70,    71,    75,    79,    83,    84,    88,    92,   101,   102,
     106,   110,   114,   121,   122,   126,   127,   128,   129,   133,
     136,   139,   145,   149,   150,   151,   155,   159,   165,   166,
     167,   170,   172,   175,   177,   181,   188,   189,   191,   197,
     203,   203,     9,     9,    10,    10,    11,    11,   400,   402,
     402,   415,   417,   420,   421,   425,   427,   438,   440,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   492,   496,   497,
     506,   507,   515,   516,   523,   524,   527,   530,   534,   534,
     547,   554,   560,   563,   567,   563,   594,   595,   598,   598,
     600,   600,   602,   610,   611,   628,   629,   642,   643,   644,
     645,   646,   654,   655,   664,   668,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   685,   686,   687,   688,
     692,   693,   694,   698,   699,   700,   701,   702,   703,   704,
     705,   710,   711,   712,   713,   714,   718,   719,   720,   721,
     722,   726,   727,   731,   732,   736,   737,   741,   742,   743,
     744,   752,   753,   756,   757,   764,   774,   775,   779,   783,
     784,   785,   786,   790,   791,   792,   793,   794,   798,   799,
     800,   801,   802,   803,   804,   805,   806,   807,   812,   813,
     817,   818,   819,   820,   826,   827,   828,   831,   847,   856,
     875,   876,   877,   878,   879,   880,   881,   882,   883,   884,
     885,   886,   887,   888,   891,   891,   893,   896,   896,   901,
     906,   914,   915,   916,   917,   918,   919,   920,   921,   922,
     923,   924,   925,   926,   927,   928,   929,   930,   932,   933,
     934,   936,   938,   940,   942,   943,   944,   945,   947,   948,
     949,   950,   952,   953,   954,   956,   958,   959,   963,   967,
     968,   969,   973,   977,   984,   985,   989,   992,   995,   998,
    1004,  1006,   998,  1011,  1023,  1039,  1042,  1047,  1050,  1059,
    1062,  1065,  1068,  1069,  1072,  1072,  1078,  1079,  1083,  1088,
    1101,  1102,   167,   170,   171,   175,   176,   177,   178,   188,
     190,   192,   194,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   213,   214,   220,   222,   224,   229,   231,
     235,   236,   237,   242,   243,   244,   245,   248,   250,   253,
     255,   261,   264,   265,   269,   275,   279,   289,   299,   301,
     302,   303,   304,   305,   306,   307,   311,   317,   322,   323,
     324,   325,   326,   327,   328,   329,   334,   335,   338,   340,
     343,   345,   349,   356,   359,   362,   363,   364,   365,   369,
     370,   371,   372,   373,   377,   378,   382,   385,   386,   387,
     388,   393,   396,   400,   401,   402,   403,   407,   408,   409,
     410,   411,   412,   413,   414,   421,   429,   430,   434,   435,
     439,   444,   445,   449,   451,   459,   463,   464,   469,   471,
     478,   479,   480,   481,   482,   486,   494,   500,   501,   502,
     506,   507,   511,   512,   513,   514,   515,   516,   522,   523,
     524,   528,   529,   533,   534,   540,   544,   545,   548,   550,
     554,   555,   558,   558,   560,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   600,   606,
     612,   612,   615,   615,   618,   618,   621,   621,   625,   626,
     629,   629,   632,   632,   636,   636,   657,   663,   669,   675,
     682,   688,   695,   700,   705,   710,   715,   719,   723,   727,
     737,   744,   753,   757,   764,   768,   769,   770,   771,   775,
     779,   783,   797,   798,   799,   800,   803,   804,   805,   806,
     811,   812,   813,   814,   815,   816,   817,   818,   819,   820,
     821,   822,   823,   824,   825,   826,   827,   828,   829,   830,
     831,   835,   845,   845,   855,   858,   859,   860,   861,   862,
     863,   867,   867,   869,   869,   871,   871,   873,   873,   875,
     875,   877,   877,   879,   879,   881,   881,   883,   883,   886,
     886,   890,   890,   896,   897,   898,   902,   903,   909,   909,
     911,   911,   913,   913,   915,   915,   917,   917,   919,   919,
     923,   923,   936,   937,   941,   941,   944,   944,   948,   948,
     958,   959,   960,   964,   965,   966,   969,   971,   973,   974,
     975,    31,    33,    35,    38,    41,    43,    46,    48,    51,
      54,    56,    67,    68,    71,    73,    76,    78,    82,    95,
      97,   117,   118,   119,   120,   124,   125,   126,   127,   128,
     129,   132,   134,   137,   139,   142,   142,   147,   153,   176,
     184,   194,   194,    29,    31,    41,    42,    43,    44,    74,
      74,    84,    84,    85,    89,    90,   101,   106,   120,   125,
      36,    38,    48,    49,    50,    51,    52,    53,    54,    57,
      59,    63,    67,    68,    69,    70,    74,    78,    82,    96,
     116,   117,   118,   119,   120,   121,   122,   123,   127,   128,
     129,   130,   131,   132,   135,   137,   140,   142,   146,   149,
     154,   155,   156,   160,   161,   165,   166,   169,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   201,   203,   207,
     210,   230,   236,   236,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    33,    35,    43,    44,    45,    46,
      49,    51,    55,    59,    80,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   173,   175,   178,   180,   185,   187,   191,   191,   194,
     194,   197,   197,   200,   200,    48,    50,    88,    90,    91,
      94,    96,    97,    98,    99,   104,   105,   109,   110,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   126,   127,
     128,   129,   130,   134,   135,   136,   137,   138,   139,   143,
     144,   150,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   231,   231,   232,   233,   234,   235,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   253,   281,   282,   283,   285,   285,   285,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   330,   342,   344,   347,
     349,   353,   360,   363,   365,   367,   369,   371,   373,   375,
     377,   379,   381,   383,   385,   387,   389,   392,   409,   420,
      49,    52,    65,    67,    74,    75,    76,    77,    78,    79,
      80,    81,    84,    86,    90,    94,    95,    26,    28,    34,
      35,    36,    37,    38,    39,    40,    41,    44,    46,    50,
      53,    53,    62,    63,    64,    65,    66,    67,   212,   215,
     216,   217,   220,   236,   237,   241,   242,   246,   255,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   275,   290,   293,   295,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   308,   309,
     309,   310,   311,   312,   316,   317,   321,   329,   331,   335,
     336,   337,   341,   342,   345,   347,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   363,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   423,   425,   428,
     430,   438,   440,   441,   444,   446,   450,   451,   454,   464,
     486,   488,   492,   492,   495,   497,   500,   502,   506,   509,
     510,   511,   512,   515,   515,   518,   518,   521,   521,   526,
     526,   529,   529,   534,   534,   537,   537,   541,   541,   558,
     561,   562,   563,   564,   565,   566,   567,   568,    24,    26,
      40,    41,    42,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    23,    26,    25,    40,    41,    42,    43,
      53,    55,    68,    69,    70,    71,    72,    72,    73,    73,
      74,    75,    76,    79,    81,    85,    89,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   128,   132,
     133,   134,   135,   136,   137,   137,   138,   138,   139,   140,
     141,   142,   146,   147,   148,   151,   189,   191,   194,   196,
     200,   203,   215,   216,   217,   218,   222,   229,   237,   239,
     242,   244,   248,   252,   262,   267,   268,   269,   273,   285,
     287,   291,   292,   296,   309,   314,   315,   316,   320,   332,
     334,   338,   339,   344,   345,   349,   350,   353,   354,    47,
      50,    51,    54,    68,    69,    70,    71,    72,    73,    76,
      78,    82,    86,   111,   141,   142,   143,   144,   145,   146,
     147,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   174,   175,   176,   177,   180,   182,   185,   187,   191,
     194,   195,   199,   199,   202,   202,    43,    45,    54,    56,
      58,    62,    63,    64,    65,    66,    67,    68,    69,    75,
      81,    87,    88,    92,    99,   100,   103,   105,   123,   124,
     128,   134,   136,   139,   141,   145,   146,   147,   151,   157,
     167,   169,   173,   174,   175,   179,    56,    58,    65,    66,
      67,    68,    69,    70,    78,    82,    87,    92,    95,    98,
     103,   107,   115,   116,   119,   121,   124,   124,   137,   138,
     142,   147,   148,   149,   150,   151,   152,   153,   153,   158,
     167,   180,   180,   183,   192,   194,   197,   199,   203,   203,
      31,    34,    35,    36,    39,    40,    41,    43,    44,    45,
      46,    47,    48,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    63,    64,    65,    66,    67,    68,    70,
      71,    72,    73,    74,    76,    77,    78,    79,    80,    82,
      83,    32,    34,    36,    38,    45,    46,    49,    51,    55,
      65,    66,    67,    75,    85,    86,    90,    91,    95,    96,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   112,
     115,   116,   126,   128,   134,   134,   136,   144,   146,   149,
     152,   153,   154,   155,   163,   163,   166,   166,   173,   173,
     176,   176,   179,   179,   182,   182,   185,   185,   190,   190,
     195,   196,   200,   201,   202,    43,    45,    50,    51,    54,
      55,    59,    60,    65,    66,    70,    71,    72,    73,    77,
      84,    85,    96,    98,   101,   102,   105,   106,   107,   114,
     121,   124,   126,   129,   131,   135,   138,   139
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "END", "CLI_MARKER", "INVALID_TOKEN",
  "ELSECOL", "DDOT", "GEQ", "LEQ", "NEQ", "AND", "OR", "IMP", "PO", "PC",
  "NUM", "ENUM_TOKEN", "IP4", "IP6", "VPN_RD", "CF_SYM_KNOWN",
  "CF_SYM_UNDEFINED", "CF_SYM_METHOD_BARE", "CF_SYM_METHOD_ARGS", "TEXT",
  "BYTETEXT", "PREFIX_DUMMY", "'='", "'<'", "'>'", "'~'", "NMA", "'+'",
  "'-'", "'*'", "'/'", "'%'", "'!'", "'.'", "DEFINE", "ON", "OFF", "YES",
  "NO", "S", "MS", "US", "PORT", "VPN", "MPLS", "FROM", "MAX", "AS",
  "FLOW4", "FLOW6", "DST", "SRC", "PROTO", "NEXT", "HEADER", "DPORT",
  "SPORT", "ICMP", "TYPE", "CODE", "TCP", "FLAGS", "LENGTH", "DSCP",
  "DONT_FRAGMENT", "IS_FRAGMENT", "FIRST_FRAGMENT", "LAST_FRAGMENT",
  "FRAGMENT", "LABEL", "OFFSET", "QUIT", "EXIT", "HELP", "IN", "FUNCTION",
  "PRINT", "PRINTN", "UNSET", "RETURN", "ACCEPT", "REJECT", "ERROR", "INT",
  "BOOL", "IP", "PREFIX", "RD", "PAIR", "QUAD", "EC", "LC", "ENUM", "SET",
  "STRING", "BYTESTRING", "BGPMASK", "BGPPATH", "CLIST", "ECLIST",
  "LCLIST", "IF", "THEN", "ELSE", "CASE", "FOR", "DO", "TRUE", "FALSE",
  "RT", "RO", "UNKNOWN", "GENERIC", "GW", "NET", "SOURCE", "SCOPE", "DEST",
  "IFNAME", "IFINDEX", "WEIGHT", "GW_MPLS", "GW_MPLS_STACK", "ONLINK",
  "PREFERENCE", "ROA_CHECK", "ASPA_CHECK", "DEFINED", "ADD", "DELETE",
  "RESET", "PREPEND", "EMPTY", "FILTER", "WHERE", "EVAL", "ATTRIBUTE",
  "FROM_HEX", "BT_ASSERT", "BT_TEST_SUITE", "BT_CHECK_ASSIGN",
  "BT_TEST_SAME", "FORMAT", "ROUTER", "ID", "HOSTNAME", "PROTOCOL",
  "TEMPLATE", "DISABLED", "DEBUG", "ALL", "DIRECT", "INTERFACE", "IMPORT",
  "EXPORT", "NONE", "VRF", "DEFAULT", "TABLE", "TABLES", "STATES",
  "ROUTES", "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6", "ROA4", "ROA6",
  "SADR", "ASPA", "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK", "RESTART",
  "DISABLE", "KEEP", "FILTERED", "RPKI", "PASSWORD", "KEY", "PASSIVE",
  "TO", "EVENTS", "PACKETS", "PROTOCOLS", "CHANNELS", "INTERFACES",
  "ALGORITHM", "KEYED", "HMAC", "MD5", "SHA1", "SHA256", "SHA384",
  "SHA512", "BLAKE2S128", "BLAKE2S256", "BLAKE2B256", "BLAKE2B512",
  "PRIMARY", "STATS", "COUNT", "COMMANDS", "PREEXPORT", "NOEXPORT",
  "EXPORTED", "GENERATE", "BGP", "PASSWORDS", "DESCRIPTION", "RELOAD",
  "OUT", "MRTDUMP", "MESSAGES", "RESTRICT", "MEMORY", "IGP_METRIC",
  "CLASS", "TIMEFORMAT", "ISO", "SHORT", "LONG", "ROUTE", "BASE", "LOG",
  "GRACEFUL", "WAIT", "CHECK", "LINK", "SORTED", "TRIE", "MIN", "SETTLE",
  "TIME", "GC", "THRESHOLD", "PERIOD", "MPLS_LABEL", "MPLS_POLICY",
  "MPLS_CLASS", "ASPA_PROVIDERS", "IPV4_MC", "IPV4_MPLS", "IPV6_MC",
  "IPV6_MPLS", "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS",
  "PRI", "SEC", "NET_TYPE", "RTS", "RTD", "ROA", "AF", "SHOW", "STATUS",
  "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES", "SOCKETS", "NEIGHBORS",
  "ATTRIBUTES", "ECHO", "ENABLE", "DOMAIN", "RANGE", "STATIC", "DYNAMIC",
  "START", "POLICY", "AGGREGATE", "RANGES", "AGGREGATOR", "PEER", "MERGE",
  "BY", "BFD", "IDLE", "RX", "TX", "INTERVAL", "MULTIPLIER", "MULTIHOP",
  "NEIGHBOR", "DEV", "LOCAL", "AUTHENTICATION", "SIMPLE", "METICULOUS",
  "STRICT", "BIND", "ZERO", "UDP6", "CHECKSUM", "SESSIONS", "BABEL",
  "METRIC", "RXCOST", "HELLO", "UPDATE", "WIRED", "WIRELESS", "BUFFER",
  "PRIORITY", "HOP", "BABEL_METRIC", "ENTRIES", "RANDOMIZE", "MAC",
  "PERMISSIVE", "EXTENDED", "TUNNEL", "RTT", "DECAY", "SEND", "TIMESTAMPS",
  "COST", "DELAY", "HOLD", "CONNECT", "RETRY", "KEEPALIVE", "STARTUP",
  "VIA", "SELF", "PATH", "FORGET", "AFTER", "BGP_PATH", "BGP_LOCAL_PREF",
  "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP", "BGP_ATOMIC_AGGR",
  "BGP_AGGREGATOR", "BGP_COMMUNITY", "BGP_EXT_COMMUNITY",
  "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS", "CLIENT", "CLUSTER", "AS4",
  "ADVERTISE", "CAPABILITIES", "PREFER", "OLDER", "MISSING", "LLADDR",
  "DROP", "IGNORE", "ENHANCED", "REFRESH", "INTERPRET", "COMMUNITIES",
  "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST", "IGP", "GATEWAY", "RECURSIVE",
  "MED", "TTL", "SECURITY", "DETERMINISTIC", "SECONDARY", "ALLOW", "PATHS",
  "AWARE", "SETKEY", "CONFEDERATION", "MEMBER", "MULTICAST", "LIVED",
  "STALE", "IBGP", "EBGP", "MANDATORY", "INTERNAL", "EXTERNAL", "SETS",
  "NAME", "DIGITS", "BGP_AIGP", "AIGP", "ORIGINATE", "ENFORCE", "FIRST",
  "FREE", "VALIDATE", "ROLE", "ROLES", "PROVIDER", "CUSTOMER", "RS_SERVER",
  "RS_CLIENT", "REQUIRE", "BGP_OTC", "GLOBAL", "CEASE", "HIT",
  "ADMINISTRATIVE", "SHUTDOWN", "CONFIGURATION", "CHANGE", "DECONFIGURED",
  "CONNECTION", "REJECTED", "COLLISION", "OF", "ASPA_CHECK_UPSTREAM",
  "ASPA_CHECK_DOWNSTREAM", "L3VPN", "TARGET", "DISTINGUISHER", "MRT",
  "FILENAME", "ALWAYS", "V2", "V3", "OSPF", "OSPF_METRIC1", "OSPF_METRIC2",
  "OSPF_TAG", "OSPF_ROUTER_ID", "AREA", "RFC1583COMPAT", "STUB", "TICK",
  "COST2", "RETRANSMIT", "TRANSMIT", "DEAD", "BROADCAST", "BCAST",
  "NONBROADCAST", "NBMA", "POINTOPOINT", "PTP", "POINTOMULTIPOINT", "PTMP",
  "CRYPTOGRAPHIC", "ELIGIBLE", "POLL", "NETWORKS", "HIDDEN", "VIRTUAL",
  "ONLY", "LARGE", "NORMAL", "STUBNET", "TAG", "LSADB", "ECMP", "NSSA",
  "TRANSLATOR", "STABILITY", "LSID", "INSTANCE", "REAL", "NETMASK", "LSA",
  "SUPPRESSION", "RFC5838", "PE", "TOPOLOGY", "STATE", "PERF", "EXP",
  "REPEAT", "MODE", "PIPE", "RADV", "RA", "SOLICITED", "UNICAST",
  "MANAGED", "OTHER", "CONFIG", "LINGER", "MTU", "REACHABLE", "RETRANS",
  "TIMER", "CURRENT", "VALID", "PREFERRED", "MULT", "LIFETIME", "SKIP",
  "AUTONOMOUS", "RDNSS", "DNSSL", "NS", "TRIGGER", "SENSITIVE", "LOW",
  "MEDIUM", "HIGH", "PROPAGATE", "RA_PREFERENCE", "RA_LIFETIME", "CUSTOM",
  "OPTION", "VALUE", "NG", "RIP", "INFINITY", "TIMEOUT", "GARBAGE",
  "VERSION", "SPLIT", "HORIZON", "POISON", "REVERSE", "PLAINTEXT",
  "DEMAND", "CIRCUIT", "RIP_METRIC", "RIP_TAG", "REMOTE", "BIRD",
  "PRIVATE", "PUBLIC", "SSH", "TRANSPORT", "USER", "EXPIRE", "PROHIBIT",
  "BLACKHOLE", "UNREACHABLE", "TRANSIT", "PROVIDERS", "KERNEL", "NETLINK",
  "KRT_PREFSRC", "KRT_REALM", "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW",
  "KRT_RTT", "KRT_RTTVAR", "KRT_SSTHRESH", "KRT_CWND", "KRT_ADVMSS",
  "KRT_REORDERING", "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN",
  "KRT_INITRWND", "KRT_QUICKACK", "KRT_CONGCTL", "KRT_FASTOPEN_NO_COOKIE",
  "KRT_LOCK_MTU", "KRT_LOCK_WINDOW", "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR",
  "KRT_LOCK_SSTHRESH", "KRT_LOCK_CWND", "KRT_LOCK_ADVMSS",
  "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT", "KRT_LOCK_INITCWND",
  "KRT_LOCK_RTO_MIN", "KRT_LOCK_INITRWND", "KRT_LOCK_QUICKACK",
  "KRT_LOCK_CONGCTL", "KRT_LOCK_FASTOPEN_NO_COOKIE", "KRT_FEATURE_ECN",
  "KRT_FEATURE_ALLFRAG", "KRT_SSTRESH", "KRT_LOCK_SSTRESH", "SYSLOG",
  "STDERR", "UDP", "CLI", "TRACE", "INFO", "WARNING", "AUTH", "FATAL",
  "BUG", "LATENCY", "WATCHDOG", "THREADS", "CONFIGURE", "SOFT", "CONFIRM",
  "UNDO", "DOWN", "PERSIST", "SCAN", "LEARN", "DEVICE", "KRT_SOURCE",
  "KRT_METRIC", "';'", "'('", "')'", "','", "'{'", "'}'", "':'", "'['",
  "']'", "'?'", "$accept", "KEYWORD", "enum_type", "config",
  "conf_entries", "conf", "definition", "expr", "expr_us", "symbol",
  "symbol_known", "bool", "ipa", "ipa_scope", "pxlen4", "net_ip4_",
  "net_ip6_", "net_ip6_sadr_", "net_vpn4_", "net_vpn6_", "net_roa4_",
  "net_roa6_", "net_mpls_", "net_aspa_", "net_ip_", "net_vpn_", "net_roa_",
  "net_", "net_ip4", "net_ip6", "net_ip", "net_any", "net_or_ipa",
  "label_stack_start", "label_stack", "time", "text", "opttext",
  "text_or_ipa", "bytestring", "bytestring_text", "bytestring_expr",
  "flow_num_op", "flow_logic_op", "flow_num_type_", "flow_num_type",
  "flow_flag_type", "flow_frag_type", "flow_srcdst", "flow_num_opts",
  "flow_num_opt_ext_expr", "flow_num_opt_ext", "flow_bmk_opts", "flow_neg",
  "flow_frag_val", "flow_frag_opts", "flow4_item", "flow6_item",
  "flow4_opts", "flow6_opts", "flow_builder_init", "flow_builder_set_ipv4",
  "flow_builder_set_ipv6", "net_flow4_", "net_flow6_", "net_flow_",
  "cli_cmd", "cmd_QUIT", "cmd_EXIT", "cmd_HELP", "filter_def", "$@1",
  "filter_eval", "custom_attr", "bt_test_suite", "bt_test_same", "type",
  "function_argsn", "function_args", "function_vars", "function_type",
  "filter_body", "filter", "$@2", "where_filter", "function_body",
  "function_def", "$@3", "$@4", "cmds", "cmds_scoped", "$@5", "cmd_var",
  "cmd_prep", "cmds_int", "fipa", "set_atom0", "set_atom", "switch_atom",
  "cnum", "pair_item", "ec_kind", "ec_item", "lc_item", "set_item",
  "switch_item", "ec_items", "set_items", "switch_items", "fprefix",
  "fprefix_set", "switch_body", "bgp_path_expr", "bgp_path",
  "bgp_path_tail", "constant", "constructor", "var_list_r", "var_list",
  "function_call", "symbol_value", "static_attr", "term_dot_method", "$@6",
  "method_name_cont", "$@7", "term", "term_bs", "break_command", "var",
  "for_var", "cmd", "$@8", "$@9", "$@10", "$@11", "get_cf_position",
  "lvalue", "rtrid", "idval", "hostname_override", "gr_opts",
  "net_type_base", "net_type", "table", "table_start", "table_sorted",
  "table_opt", "table_opts", "table_opt_list", "proto_start", "proto_name",
  "proto_item", "channel_start", "channel_item_", "channel_item",
  "channel_opts", "channel_opt_list", "channel_end", "proto_channel",
  "rtable", "imexport", "limit_action", "limit_spec", "debug_default",
  "timeformat_base", "timeformat_which", "timeformat_spec",
  "iface_patt_node_init", "iface_patt_node_body", "iface_negate",
  "iface_patt_node", "iface_patt_list", "iface_patt_list_nopx",
  "iface_patt_init", "iface_patt", "tos", "proto", "dev_proto_start",
  "dev_proto", "dev_iface_init", "dev_iface_patt", "debug_mask",
  "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_list_body", "password_items",
  "password_item", "pass_key", "password_item_begin",
  "password_item_params", "password_algorithm", "password_item_end",
  "bfd_opts", "cmd_SHOW_STATUS", "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS",
  "cmd_SHOW_PROTOCOLS_ALL", "optproto", "cmd_SHOW_INTERFACES",
  "cmd_SHOW_INTERFACES_SUMMARY", "cmd_SHOW_ROUTE", "r_args", "r_args_for",
  "r_args_for_val", "export_mode", "channel_sym", "channel_arg",
  "cmd_SHOW_SYMBOLS", "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS",
  "cmd_DUMP_EVENTS", "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS",
  "cmd_DUMP_ATTRIBUTES", "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS",
  "cmd_DUMP_FILTER_ALL", "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size",
  "cmd_DISABLE", "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD",
  "cmd_RELOAD_IN", "cmd_RELOAD_OUT", "cmd_DEBUG", "debug_args",
  "cmd_MRTDUMP", "cmd_RESTRICT", "cmd_TIMEFORMAT", "proto_patt",
  "proto_patt2", "dynamic_attr", "mpls_domain", "mpls_domain_start",
  "mpls_domain_opt", "mpls_domain_opts", "mpls_domain_opt_list",
  "mpls_domain_end", "mpls_range", "mpls_range_start", "mpls_range_opt",
  "mpls_range_opts", "mpls_range_opt_list", "mpls_range_end",
  "mpls_channel", "mpls_channel_start", "mpls_label_policy",
  "mpls_channel_opt", "mpls_channel_opts", "mpls_channel_opt_list",
  "mpls_channel_end", "$@12", "show_mpls_ranges_args",
  "cmd_SHOW_MPLS_RANGES", "aggregator_proto_start",
  "aggregator_proto_item", "$@13", "aggregator_proto_opts",
  "aggregator_proto", "aggr_list", "aggr_item", "bfd_proto_start",
  "bfd_proto_item", "bfd_proto_opts", "bfd_proto", "bfd_accept_item",
  "bfd_accept", "bfd_iface_start", "bfd_iface_finish", "bfd_iface_item",
  "bfd_auth_type", "bfd_iface_opts", "bfd_iface_opt_list", "bfd_iface",
  "bfd_multihop", "bfd_neigh_iface", "bfd_neigh_local",
  "bfd_neigh_multihop", "bfd_neighbor", "bfd_item", "bfd_items",
  "bfd_opts_start", "bfd_opts_end", "cmd_SHOW_BFD_SESSIONS",
  "bfd_show_sessions_args", "babel_proto_start", "babel_proto_item",
  "babel_proto_opts", "babel_proto", "babel_iface_start",
  "babel_iface_finish", "babel_iface_item", "babel_iface_opts",
  "babel_iface_opt_list", "babel_iface", "cmd_SHOW_BABEL_INTERFACES",
  "cmd_SHOW_BABEL_NEIGHBORS", "cmd_SHOW_BABEL_ENTRIES",
  "cmd_SHOW_BABEL_ROUTES", "bgp_proto_start", "bgp_loc_opts",
  "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list", "bgp_cease_flag",
  "bgp_role_name", "bgp_proto", "$@14", "$@15", "bgp_afi",
  "bgp_channel_start", "bgp_nh", "bgp_lladdr", "bgp_channel_item",
  "bgp_channel_opts", "bgp_channel_opt_list", "bgp_channel_end",
  "bgp_proto_channel", "l3vpn_channel_start", "l3vpn_channel",
  "l3vpn_proto_start", "l3vpn_proto_item", "l3vpn_proto_opts",
  "l3vpn_proto", "l3vpn_targets", "mrt_proto_start", "mrt_proto_item",
  "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP", "mrt_dump_args",
  "ospf_variant", "ospf_proto_start", "ospf_proto", "ospf_af_mc",
  "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@16", "$@17", "ospf_stubnet", "ospf_stubnet_start",
  "ospf_stubnet_opts", "ospf_stubnet_item", "ospf_vlink",
  "ospf_vlink_opts", "ospf_vlink_item", "ospf_vlink_start",
  "ospf_iface_item", "pref_list", "pref_item", "pref_base", "pref_opt",
  "nbma_list", "nbma_eligible", "nbma_item", "ospf_iface_start",
  "ospf_instance_id", "ospf_iface_patt_list", "$@18", "ospf_iface_opts",
  "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@19", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@20", "$@21", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@22", "$@23", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_tcp_opts_list",
  "rpki_transport_tcp_opts", "rpki_transport_tcp_item",
  "rpki_transport_tcp_check", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_mpls", "stat_route0", "$@24",
  "stat_route", "$@25", "stat_aspa_provider", "stat_aspa_providers",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list",
  "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item", "log_begin",
  "log_config", "syslog_name", "log_limit", "log_file", "log_udp_host",
  "log_udp_port", "log_mask", "log_mask_list", "log_cat", "mrtdump_base",
  "cli", "cli_opts", "cli_opts_begin", "cli_opts_block", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name", "cfg_timeout",
  "kern_proto_start", "kern_learn", "kern_mp_limit", "kern_channel",
  "kern_item", "kif_proto_start", "kif_proto", "kif_item",
  "kif_iface_start", "kif_iface_item", "kif_iface_opts",
  "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    61,    60,
      62,   126,   283,    43,    45,    42,    47,    37,    33,    46,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,   777,   778,   779,   780,   781,   782,   783,
     784,   785,   786,   787,   788,   789,   790,   791,   792,   793,
     794,   795,   796,   797,   798,   799,   800,   801,   802,   803,
     804,   805,   806,   807,   808,   809,   810,   811,   812,   813,
     814,   815,   816,   817,   818,   819,   820,   821,   822,   823,
     824,   825,   826,   827,   828,   829,   830,   831,   832,   833,
     834,   835,   836,   837,   838,   839,   840,   841,   842,   843,
     844,   845,   846,   847,   848,   849,   850,   851,   852,    59,
      40,    41,    44,   123,   125,    58,    91,    93,    63
};
# endif

#define YYPACT_NINF -2910

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-2910)))

#define YYTABLE_NINF -1583

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-1583)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     159,  2717,   376,    68,   297,   524,   579,  8080,   983,  1191,
    1191,  1179,  1191,   589,   125,   238,  2365,  1682,    90,  1191,
     389,   240,   646, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, 10026,   565, -2910, -2910, 10026, 10026,
    8080,  4769,   150,   157,   719,   830, -2910, -2910,   953, -2910,
     714, -2910, -2910, -2910, -2910, -2910,   686,  1125, -2910,   761,
     830,    89,   391, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910,   803, -2910,   736,  4128,
   -2910, -2910, -2910, 10614,  3660, -2910,   370, 10614, -2910, 10614,
   -2910, 10614, -2910, 10614,  4768, 10614, -2910, 10614, -2910, 10614,
    2732, 10614,  3686,   406,  2131, 10614, -2910, 10614, -2910, 10614,
   -2910, 10614,  2966,  2874, -2910, -2910, -2910, -2910, 10614, 10614,
    1608, -2910, -2910, -2910,    71, -2910, -2910,   990,  1010,  1413,
   -2910, -2910, -2910,   899,   479,  8080,  1049, -2910,   463,   477,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910,   492,   507,   552,   558,   582,
     597,   610,   637,   648,  1256, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910,   722,   750, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910,  4233,   108,   768,  1272,  1342, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910,  4169, -2910, -2910,  1307, -2910, -2910,    91,  1415,    91,
   -2910,  1444,  1444,  1191,  1191,  1477,   143, -2910,   391,  1207,
    1503,  1540,  1265,  1194,   407,  1577, -2910,  1586, -2910,  1574,
    1295,  1000,   831,   691,  1462,   830,   830,   830,   830,   830,
     830,   830,   830, -2910, -2910,   505,  1609,  1444, -2910, -2910,
    1624,  1626,  1624,  1656,  1661,  1155, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
    1653, 10026, -2910, -2910,  3636, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910,  2862, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910,   391, -2910, 11202,  1673,  1673,   206, -2910, -2910,
    1093,    91,    91,    91,   391,   840, -2910,   143,  1101, -2910,
   -2910, -2910, -2910,   125,   183,  1482, -2910,   391,   391, -2910,
    8080,  1103, -2910, 10026, -2910,  1113, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910,  1055, -2910, -2910, -2910,  1222,
   -2910, -2910, -2910, -2910,  1722,  1713,  1154,  1621,   893,    91,
   -2910,   969,   830,   143,  1539, -2910, -2910,  1171,  1172,  1180,
    1192, -2910, -2910,  1201,  1204,  1209,  1219, -2910,   775, -2910,
   -2910,   151,  1484,  1228,  1814,  1178,    17,   152,   185,   272,
     641,   830,   893,  1457,  1671,  1627,  1104,   898,  1478,  1546,
     132,   248,   902,   674,  1591,  1567,  1638,   484,  1658,  1587,
    1615,  1202,  1572,  1779,   893,  1592,  1575,  1650,  1667,  1601,
    1593,   785,   893,   292,  1557,  1676,   980, -2910,  1371,  1379,
    1385, -2910,  1386,  1392,  1389,  1390,  1394,  1541, -2910,  1837,
    1633,   293,   893,  1877,   391,   893,  1879,   893, -2910,  1642,
   -2910,  1172, -2910,  1432,  1433, -2910,  1448,   893,   246,  2060,
     530,  2063,  1526, -2910,  1471, -2910,  1472, -2910,   391,  1581,
    1583,  2061,  1905,  1866,  1926, -2910,  1487,  1491,  1490,  1494,
    1495,  1499,  2247,  1878,  1927, -2910,  1505,  1507,  1512,  1317,
    1510,  1947,  1750,   391,  1967,  1841,   893,  1891,   936, -2910,
   -2910, -2910, -2910,  1528, -2910,  1529,  1550,  1551, -2910,  1901,
   -2910, -2910,  1533,    84,    71,    71,  8080,   163,    71, -2910,
      71,  2138, -2910,  2140, -2910,  2153,   990,  2129, -2910, -2910,
    2137,   905,  2141,  2132, -2910, -2910, -2910,  2061,  2061,  8080,
    8080,  8080,  8080,  8080,  8080,  8080, -2910,  2061,  2061, -2910,
   -2910,  2156, -2910,  1565,   160, -2910, -2910,  2129, -2910,  3662,
   -2910, -2910, -2910, -2910,   153, -2910, -2910,  2169, -2910, -2910,
   -2910, -2910,   653, -2910,   696,  8080,  2172,  2176, -2910,  8080,
    8080,  8080,  8080,  8080,  8080,  8080,  8080,  8080,  8080,  8080,
    8080,  8080,  8080, -2910,  3769, -2910, -2910,  1783, -2910, -2910,
   -2910, -2910,  2192,  2194,  2195,  2197, -2910, -2910, -2910,   456,
    2198,  2177,  1686,  1689, -2910, -2910, -2910, -2910, -2910,  1156,
    2200, -2910,  2206, -2910,  4566, -2910,  2136, -2910,  2207, -2910,
    1574,  1574,  1574,  1574,  1574,  1574, -2910,   352,   603,  2208,
    1574,  1574,   830,  2211,  2212,  2230,  2231,  2233,  2236,  2237,
    2238, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
    -214, -2910, -2910,  2241,  2242,  1294,  2244, -2910,  1155, -2910,
   -2910,   391,  2245,  8080, -2910,  1639, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,  4808,   123,
    1643,  1641,  1644, -2910, -2910, -2910, -2910,  8080,  1645, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,   391, -2910,
   -2910,  1646, -2910,  1649,  1869, -2910,   193,   391,   -63,   391,
   -2910,   713,  1408, -2910, -2910,   523, -2910, -2910, -2910, -2910,
   -2910, -2910, 10614, -2910, -2910,  2239, -2910,   293, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910,   893, -2910, -2910, -2910, -2910,
   -2910,     4, -2910, -2910, -2910, -2910, -2910,  1865,  2082,  2028,
    2029,  1442, -2910,  1665,   391,   391, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910,   893,   -11,  1670,  1674,   337,   250,
     893,  1890,  2100,  2050,  2052,  1930,  2076,   893,  2072,   441,
    2062,  1696,  1698,  1697, -2910,  1702, -2910, -2910, -2910,  1511,
    2275,   181,  1008,  2275,   195,   893,  2078,   391,  2079,  2080,
     391,  2085,   893,   893,  2168,   893,   893,  1715,   893,   893,
     893,   893,   893,   893,  1935,  2276,   893,   893,  1727,   893,
    1728,  2278,   893,   893,  1946,  1972,  2159,  2121,   893,  2114,
     893, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910,   893,   454,   893, -2910, -2910,   893, -2910,  2173,   391,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,   391,   391,
   -2910,  2334,  2338, -2910, -2910, -2910, -2910, -2910, -2910,  1673,
    8080, -2910, -2910,   452,  2170, -2910, -2910,   452, -2910, -2910,
   -2910,   452,   893,  2061, -2910, -2910, -2910, -2910, -2910, -2910,
    1010,  1413, -2910, -2910, -2910,   893,  2061, -2910, -2910, -2910,
   -2910,  1323, -2910,  1442, -2910, -2910, -2910, -2910, -2910,  1301,
    2024, -2910,  1752,   893,   893, -2910,   391,  2047, -2910,   391,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,   391,
   -2910,  2347, -2910, -2910, -2910,   555, -2910, -2910,    71,   708,
   -2910, -2910, -2910, -2910,  2314,  2351, -2910,  2232,  2335, -2910,
   -2910, -2910,  1157,  1760,   567,   295,   328,   360,   405,   718,
     753,  1762,  1763, -2910,  8080, -2910,  8080,  1764,    28,  1765,
     766, -2910, -2910,  2359,   331,   361, -2910,  1413, -2910,  1766,
    1769,  3636,  2329,  2332,  3068,  3068,  3068,  3559,  3559,  3068,
    3068,  3068,  3068,  3068,  1336,  1336,  2132,  2132, 11871, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910,   342, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910,   624, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910,   856,  2383, -2910, -2910, -2910,  2247,  1497,
    1673,  1673, -2910,  2223,  2224,   926, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910,  2368, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910,  2657,  1444,  1444,  1444,  1444,  1444,
    1444,  2217,  1574,  1444,  1574,  1444, -2910,  1444,  1444,  2388,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,   505, -2910,
   -2910, -2910, -2910,  1673,  1376,   830, -2910, -2910,  2390, -2910,
   -2910,  1903,  1784,  2381,  3655, -2910, -2910, 11202, -2910,   830,
    1673, -2910,  1790,   798, -2910, -2910, -2910, -2910,   830, -2910,
   -2910, -2910, -2910, -2910,  8080, -2910,  2353,   830, -2910, -2910,
     505,  1793,  1794, -2910, -2910, -2910, -2910, -2910, -2910,   266,
   -2910, -2910, -2910,  2374, -2910,  1800,  1804,   769, -2910,  2143,
   -2910,  1807, -2910,  1809,  3887,  2088,  3381,  2037,  2185,   391,
     391,  1821, -2910,  1839,  1840,  1842,   893,   300, -2910, -2910,
    2253,  2204,   391,  1844,  1847,  1850,  2073,  2219,   391,   391,
     893,   893,  1855,  2084,   391,  1858,   391, -2910, -2910,  2461,
   -2910, -2910, -2910, -2910, -2910, 10026, -2910,   391,   391, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910,  1860, -2910,   391,
     391, -2910,  1861,   391,  1862,   391,   391,  1871,   391,  1872,
    1873,   293,  1881,  1882, -2910,  1884,  1885,  1886,  1887,  1888,
    1889,   893,   296,  1892,  1893, -2910,  1895, -2910,   893,  1896,
    1897,  2252,   893,   893,   893,  1898,  2133,  1899,  1349, -2910,
   -2910,  3252, -2910,  2303,  3013, -2910,   391, -2910, -2910, -2910,
   -2910,   391, -2910, -2910,  1438, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910,  3636, -2910,  2330, -2910,   893, -2910, -2910, -2910,
    1906,  2674,  3345,  2271,  2460,  1907,  1911, -2910,  2275,  2473,
    2509,  2513,   391,   893,   893,  2505,  1301,  8451, -2910, -2910,
    2355, -2910,   391, -2910,  1800,  1922, -2910,    71, -2910, -2910,
      71,  2518, -2910,  2506,  2508, -2910, -2910, -2910,  8080,  8080,
   -2910,  8080,  8080,  8080,  8080, -2910, -2910, -2910, -2910,   417,
     251,  5225,  8080,  5796,  8080, -2910,  1931,  8080, -2910, -2910,
   -2910,  8080, -2910,  2523,  2528, -2910, -2910, -2910, -2910, -2910,
    1783, -2910,   456, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
     990,   704,  1756, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910,  2525,  2525, -2910, -2910,  1307, -2910, -2910,
   -2910, -2910, -2910, -2910,   830, -2910, -2910, -2910,   830,  1549,
    2544,  2545,  2546,  2548,  2549,  2550, -2910, -2910,  2539,   293,
   -2910, -2910, -2910,   293,   293,  1444,  2553,  1444,  2556,  2558,
    2560, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
    4808,  4808, -2910,  8814, 11202,  1955,  1954,  1956,  1800, -2910,
   -2910, -2910,   862,  2555, -2910, -2910,   652, -2910, -2910,     9,
    2333,    91,   893,   893,  2336,  1538, -2910,  1964, -2910,  2551,
   -2910, -2910,    91, -2910, -2910,  1966, 10026, -2910, -2910, -2910,
    2538,  2416,  2293, -2910, -2910, -2910,  1973, -2910, -2910, -2910,
    1442,  2280,  2279, -2910, -2910,  1977, -2910,  2445, -2910, -2910,
   -2910,  1988,  2356,   391,  1989,  1991, -2910, -2910, -2910, -2910,
    1994,  1372, -2910,  1997,   642,   391,  1998, -2910, -2910, -2910,
    2360,   391,  2004,  2005,  2006,  2007, -2910,   893,  2008, -2910,
    2009,  2010, -2910,  2012,   421, -2910,   584, -2910, -2910, -2910,
     475, -2910, -2910, -2910,  2013, -2910,  2020,  2021, -2910,  2027,
   -2910, -2910,  2032, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910,  2034, -2910,  2040, -2910, -2910, -2910,  2042, -2910, -2910,
    2437,  2043,  2044,  2048, -2910,   893, -2910,  1147,  1673, -2910,
   -2910,  2049, -2910,  2408,  2339,  2281,  1743,  1805,  2273,  2498,
    2481,  2436,  2608,   391,  2306,  2510,   116,   893,   893,  1109,
     893,   330, -2910, -2910,  2070,  2652,  2254,  2255,  1380, -2910,
   -2910, -2910, -2910,  1172, -2910,  2074,  1673,  1382,   391,   830,
    2561, -2910, -2910, -2910,  2075, -2910, -2910, -2910,   872,   893,
   -2910,  1099, -2910,  2448,  1511, -2910,  1128, -2910,  2081, -2910,
    2218, -2910,  1474, -2910, -2910, -2910,  1427, -2910, -2910, -2910,
    1427,  2515,  2181, -2910, -2910, -2910,  2083, -2910,   893,   391,
   -2910, -2910, -2910,  2090,   391,  2182,  2183,  2357,  2520,  2668,
    2520,   193,   135,  2520, -2910, -2910, -2910,  2112, -2910,   391,
   -2910, -2910, -2910, -2910,  2513, -2910, -2910,  2097, -2910, -2910,
    2688, -2910, -2910, -2910, -2910,  2687,  8080,  8080,  2117,  8080,
   -2910, -2910, -2910,  8080,  8080, -2910,  2120,  2122, -2910, -2910,
      37,  2124,  2703,  8080, -2910,  2699,  2712, -2910,   391, -2910,
   -2910, -2910, -2910, -2910, -2910,  2705,  2708, -2910,  1604,  2036,
     449,   510,  1024,  1039,  1077,  1357,  8080, -2910,  8080,  1198,
      31,  3636,  2134,  1213,    27,  2135,  2727,   766,  3636, -2910,
   -2910,  2139, -2910, -2910,  2725,   990,  2129,  1307, -2910, -2910,
   -2910, -2910,   990,  2129, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,  2745, -2910,
    2747, -2910, -2910, -2910, 11202,  2653, -2910, 11202,  2144, -2910,
   -2910,  8814, -2910, -2910,  2148, -2910, -2910,  2737, -2910, -2910,
   -2910, -2910,  2151,  2519, -2910, -2910, -2910,  2521,   391,   391,
   -2910,  1595,  1549, -2910, -2910, -2910, -2910, -2910,     7, -2910,
    9455,  2061, -2910, -2910,   870, -2910, -2910,  2152, -2910,   317,
   -2910,   893,  2458, -2910, -2910, -2910,  2617, -2910,   391,  2160,
     391, -2910, -2910,  2590,  2348,  2354, -2910,   307,  2358,  1426,
    1070, -2910, -2910,  2162,  2164,  2167, -2910,   391,  2171, -2910,
   -2910, -2910, -2910,  2174, -2910, -2910, -2910,  1979, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
     893, -2910, -2910, -2910,  2175,   801,   418, -2910, -2910,  2392,
     786,   627,   893,   893,   371,  2061,   893,  2402,  2472, -2910,
     842,  2061, -2910, -2910, -2910, -2910, -2910, -2910, -2910,  2410,
    2733, -2910, -2910,   412,   412,   412,  2771, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910,  2455, -2910, -2910, -2910,   391,   391,
     893, -2910,  2184,   391, -2910,  2187,   293, -2910, -2910,  2189,
     391, -2910, -2910,   391,  2193, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910,  2199, -2910, -2910, -2910,   212,    23, -2910,   893,
    2743, -2910, -2910, -2910,  2632, -2910, -2910, -2910,   391,   391,
    1442, -2910,   391,  2748,   391, -2910,  2773, -2910, -2910, -2910,
     391, -2910, -2910,  2688,  2509,  2808,   916,   924,  3579,  1981,
    3698,   126,  4370, -2910, -2910,  2216,  8814,  8080, -2910,  8080,
     938, -2910,  8080, -2910,  -231,  2815,  2799, -2910, -2910, -2910,
   -2910,  2779, -2910, -2910,  1787,  2774, -2910, -2910, -2910, -2910,
   -2910, -2910,   599,  2802,  2802,  1582,  2240, -2910,   599,  2802,
    2802,  1427,  2243,  8080,  8080, -2910, -2910, -2910, -2910,  1466,
    1530, -2910,  2807,  8080, -2910,  6367, -2910,  2818,  8080,  2847,
    6938,  7509,  2246,  8080, -2910, -2910, -2910,  1089, -2910, -2910,
      53, -2910, -2910, -2910,  2248, -2910,   391,   391, -2910, -2910,
   -2910,   391,   391, -2910,  2256, -2910,  8080, -2910, -2910,  2249,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,  2152, -2910,
   -2910, 10026,   830,  2557, -2910,  2565,  2250,   893,  2257, -2910,
    2259,  2449,  2599, -2910, -2910, -2910, -2910, -2910, -2910,  1372,
   -2910, -2910, -2910, -2910,  2262, -2910, -2910, -2910, -2910,   893,
    2260, -2910,  1564,  2582,   391,   391,   650, -2910, -2910, -2910,
   -2910,   490,  2263,  2266,  2268, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910,  2491,   802,   802,  1442,  2469, -2910,
   -2910, -2910, -2910, -2910,  2700,  2641, -2910, -2910,  2501,   893,
   -2910, -2910, -2910, -2910, -2910,   893,  2572,  1677,  2283, -2910,
   -2910, -2910, -2910, -2910, -2910,   893,  1800,  2277, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910,  2284, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910,   391,  2285,   391, -2910, -2910, -2910, -2910,   893, -2910,
   -2910,  2294,  2298, -2910, -2910, -2910, -2910, -2910,  2301,  2302,
   -2910,  9092, -2910, -2910, 11202,  2811,  8080, 11790, -2910, -2910,
    2039,  2116, -2910, 11871,  2150,  1442, -2910,  2287, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910,  2902,   391,  1859, -2910,  2304, -2910,   109,   391,
    1993,   119, -2910, -2910, -2910, -2910,  1859,   109,   119,  2839,
   -2910,  1543,  1576, -2910, -2910,  2307,  2308,  1291,    35,  2309,
    1297,  2311,  2312,    43,  2315,    55, -2910,  2319, -2910, -2910,
    8080, -2910, -2910, -2910, -2910, -2910, -2910, -2910,  1612,  9455,
   -2910, -2910,  1900, -2910, -2910, -2910,  1442,  2627,   893, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,  1729,
    2638,  2639,  2642, -2910, -2910, -2910,  1723, -2910,  2728, -2910,
   -2910, -2910, -2910,  8080, -2910, -2910, -2910, -2910,  1648, -2910,
   -2910, -2910,  2692, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
     893,   391,  2695, -2910, -2910,   893, -2910,   783, -2910,  2218,
   -2910, -2910,   121,   179,   716,  2568,   512, -2910, -2910, -2910,
   -2910, -2910,  2422, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
    2337,  2346,  2832,    96, -2910, -2910,  3636, -2910, -2910, -2910,
   -2910, -2910, -2910,  2349, -2910, -2910, -2910,   391, -2910, -2910,
     391,  2305,   391, -2910,  2802,  2802,  2906, -2910, -2910, -2910,
   -2910, -2910,  2802,  2802,  2927, -2910, -2910, -2910, -2910, -2910,
    2910,  8080, -2910, -2910, -2910,  2912,  8080, -2910,  8080,  2941,
   -2910,  8080, -2910, -2910,  2196, -2910, -2910, -2910,   893,  1637,
    2664,   391,   391,   650, -2910, -2910,  2352, -2910,   893, -2910,
   -2910,  2300, -2910,  2363,  2361,   391,   391,   391, -2910, -2910,
    1741,  1719,  2937,   663,   391,  2937,  1826,   740,  2364,   391,
   -2910, -2910,   391, -2910,  2283, -2910, -2910,  4215, -2910, -2910,
   -2910,   793, -2910,   893,   391,   893, -2910,  2362,   391,   236,
     391,   391,  2633,   402, -2910, -2910,  2370,   893,  2467,  2468,
     893,   893, -2910,  2371,  2470, -2910,   707,   -10,   491,  2296,
   -2910,    85, -2910,  1060, -2910, -2910,  9092, -2910, -2910, -2910,
    2965, -2910, -2910, -2910, -2910,  1019,  8080,  2377,  2369, -2910,
   -2910,  2304,   391, -2910,   391,   391,   391,  1993,  1993, -2910,
    2378,  2379,  2385,  2382,  2386,  2372,  2391, -2910, -2910,  2680,
    2706,  2710, -2910, -2910, -2910, -2910, -2910,   391,  2684,  -108,
     391,  2767,  2690,  1086,   494,   391,  2713,  2714,  2950,   379,
    2682, -2910, -2910,  2405, -2910,  1729, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910,  2406,  2937,  2937,  2409,  2413,  1835,  1854,
   -2910, -2910, -2910, -2910,  2415,  2937,  2937, -2910, -2910, -2910,
   -2910,  2265,   391,  2780,  2552,  2412,   893,  2715,  1107,   269,
    2579,   391,   391,   391,  2655,   893,   391,  2702,   403,   -18,
     391,  2907,  2589, -2910, -2910,  2428, -2910,   391,  2432, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,   391,
     391, -2910, -2910, -2910,   391,   391, -2910, -2910, -2910,  2563,
     446,   144,   430,  2559,   231,  2570,   893,  2566,  2800,  2562,
    2734,  2761,  2762,  2547, -2910,  2452,   387,  1442, -2910,  2456,
    3041,   387, -2910,  2459, -2910, -2910, -2910,   391,   893,   138,
     893,  2757,  1129,   821,   391,  2831,  1442,  2707,  2833,  2955,
     557,  2843,  2845,   390,  2569,  2578,  2576, -2910, -2910,  2484,
     830,   369, -2910,  2502,  2554,  2575,   830, -2910,  2503, -2910,
   -2910,   127,   483, -2910,  3636,  2504,  8080, -2910,  3080,  3081,
   -2910, -2910, -2910, -2910, -2910, -2910,  8080, -2910,  8080, -2910,
     391,   391,   391, -2910,  1777, -2910, -2910, -2910, -2910,   893,
     391,   391,   391,   391,   391, -2910, -2910,  2796, -2910,   391,
     391,  2812,   391,   391,   391,   391,   893, -2910, -2910,  1648,
    2522,  2532,  1648,  1648, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910,  1648,  2534,  2535, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910,   893,  2644, -2910,
   -2910,   254,   391,   391, -2910, -2910, -2910, -2910,   893, -2910,
   -2910, -2910,  1338, -2910, -2910,   391,   391, -2910,   893,   893,
   -2910,   391,   893, -2910, -2910, -2910, -2910, -2910,  2640,  2640,
    2853,  2905, -2910,  1001,   391,  1001,  2908,   391,   391,   391,
    2856,  2666, -2910,   893,   391,   391,  2978,   893,   212,   893,
      23,    21, -2910,   391, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910,   893,   893, -2910,   391,   391,
     391, -2910, -2910, -2910, -2910, -2910, -2910, -2910,   391, -2910,
    1449,   391,   391, -2910, -2910,   391,   391,   893, -2910,   893,
     893,   893, -2910, -2910, -2910, -2910, -2910,  2972,  2976, -2910,
   -2910, -2910, -2910, -2910, -2910,  3053, -2910,  1857,   391,   391,
    2574,  2564, -2910, -2910, -2910,  1442,  1442, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910,   893, -2910, -2910, -2910,
   -2910, -2910, -2910,  1648,  1648, -2910, -2910, -2910,  1648,  1648,
   -2910,   893,   207, -2910, -2910, -2910, -2910, -2910, -2910,  2720,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910,   893, -2910, -2910,
     391,   391, -2910, -2910, -2910, -2910,  2640, -2910,   391,  2640,
   -2910, -2910,   391,   893, -2910, -2910, -2910,   391, -2910, -2910,
   -2910, -2910,   391,   893, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910,  2730, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910,   830,   830,  9092,  2583, -2910, -2910, -2910,  8080, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,  2711, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
    2671, -2910, -2910, -2910, -2910, -2910, -2910,  2581, -2910,  2585,
     491,  8080, -2910, -2910,  2584, -2910
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
     574,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2210,     0,   573,   722,   724,   726,  1150,  1152,  1154,
    1156,  1160,  1162,  1164,  1222,  1231,  1233,  1235,  1237,  1239,
    1241,  1243,  1245,  1247,  1249,  1251,  1258,  1260,  1262,  1264,
    1266,  1268,  1270,  1274,  1276,  1278,  1331,  1412,  1467,  1469,
    1471,  1473,  1690,  1833,  1835,  1837,  1839,  1841,  1843,  1845,
    1847,  2022,  2024,  2108,  2194,  2196,  2198,  2200,  2202,  2204,
    2206,  2208,     1,   572,     0,   994,   990,   991,     0,     0,
       0,     0,     0,     0,     0,     0,  1012,  1013,     0,   983,
     984,   986,   987,   988,   989,   992,     0,     0,  2153,     0,
       0,     0,     0,   576,   575,   577,   728,   731,   733,   735,
     737,   772,   972,   979,   981,   993,     0,   995,   998,     0,
    1056,  1061,  1011,  1014,  1018,  1291,  1297,  1014,  1333,  1014,
    1350,  1014,  1424,  1014,  1018,  1014,  1660,  1014,  1677,  1014,
    1018,  1014,  1018,     0,  1018,  1014,  1880,  1014,  1969,  1014,
    2026,  1014,  1018,  1018,  2152,  2179,  2182,  2189,  1014,  1014,
    1018,   723,   725,   727,   857,   858,   869,   785,   786,   864,
     588,   861,   862,     0,     0,     0,     0,   880,     0,     0,
     883,   859,   860,   881,   882,   884,   885,   886,   887,   888,
     889,   891,   892,   893,   890,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1286,  1288,  1289,  1290,  1287,
    1466,  1644,  1647,  1646,  1643,  1645,  1648,  1649,  1650,  1653,
    1655,  1651,  1652,  1654,  1656,     0,     0,  1829,  1830,  1831,
    1832,  1967,  1968,  2020,  2021,  2114,  2115,  2116,  2117,  2118,
    2119,  2120,  2121,  2123,  2124,  2125,  2126,  2127,  2128,  2129,
    2130,  2131,  2132,  2133,  2134,  2135,  2136,  2137,  2139,  2140,
    2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,  2149,  2150,
    2122,  2138,  2246,  2247,     0,     0,   879,   610,   611,   620,
     612,   613,   614,   615,   621,   622,   616,   617,   618,   865,
     720,   721,   619,   863,   873,   919,   920,   937,   918,   921,
     923,     0,   936,   922,  1280,  1282,  1281,     0,     0,     0,
    1280,   643,   643,     0,     0,     0,     0,  1277,  1067,     0,
       0,     0,     0,  1284,     0,     0,  1166,     0,  1224,  1159,
       0,     0,  1159,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1254,  1253,     0,  1256,   643,  1692,  2211,
    2210,     0,  2210,     0,     0,  2212,  2207,   586,   585,     2,
       3,     4,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   587,
       0,     0,   773,   729,   732,   739,   740,   741,   743,   742,
     744,   745,   746,   747,     0,   748,   749,   750,   751,   752,
     753,   754,     0,   755,     0,     0,     0,     0,   641,   640,
       0,     0,     0,     0,     0,   594,   985,     0,     0,  1064,
    1063,  1065,  1066,     0,     0,     0,  2186,     0,     0,   579,
       0,     0,   581,     0,   999,  1009,  1089,  2027,  1476,  2067,
    1334,  1351,  1425,  1663,  1678,  1699,  1859,  1874,  1881,  1970,
    2216,  2233,  1702,  1972,    13,  1015,     0,     0,   594,     0,
    1095,     0,     0,     0,     0,  1088,  1026,     0,  1040,     0,
       0,  1295,  1299,     0,     0,     0,     0,  1310,     0,  1599,
    1600,     0,     0,     0,     0,     0,  1589,  1590,     0,     0,
       0,     0,   594,     0,     0,     0,     0,     0,     0,     0,
     594,     0,  1480,  1477,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   594,     0,     0,     0,     0,     0,
       0,     0,   594,     0,     0,     0,     0,  1475,     0,     0,
    1323,  1601,  1639,     0,     0,     0,     0,     0,   994,     0,
       0,     0,   594,     0,     0,   594,     0,   594,  1698,  1705,
    1709,  1040,  1710,     0,     0,  1723,     0,   594,     0,     0,
       0,     0,     0,  1858,     0,  1863,     0,  1876,     0,     0,
       0,     0,     0,     0,     0,  1873,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2066,     0,     0,     0,  2091,
    2106,     0,     0,     0,     0,     0,   594,     0,   594,  2215,
    2225,  2223,  2224,     0,  2226,     0,     0,     0,  2239,     0,
    2232,  2236,     0,   857,   857,   857,     0,     0,   857,   879,
     857,     0,   846,     0,   601,     0,     0,     0,   604,   605,
       0,     0,     0,   916,   608,   715,   715,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   609,     0,     0,   806,
     807,     0,   809,     0,     0,   787,   790,   786,   789,     0,
     866,   793,   610,   611,   837,   788,   792,   824,   821,   822,
     823,   833,     0,   841,     0,   874,     0,     0,  1250,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   894,     0,  1098,  1097,     0,  1273,  1271,
    1272,   642,     0,     0,     0,     0,  1265,  1109,  1108,     0,
       0,     0,  1069,  1072,  1279,  2209,  1327,  1283,  1285,  1284,
       0,  1161,     0,  1153,     0,  1151,     0,  1158,     0,  1414,
    1159,  1159,  1159,  1159,  1159,  1159,  1849,  1159,  1159,     0,
    1159,  1159,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2175,  2170,  2173,  2171,  2172,  2174,  2176,  2177,  2178,
       0,  2168,  1257,     0,     0,     0,     0,  2203,  2212,  2199,
    2201,  2213,     0,     0,  1293,     0,   762,   564,   567,   569,
     562,   563,   565,   566,   568,   570,   571,   757,     0,   756,
       0,     0,     0,   975,   977,   978,  1084,     0,     0,   980,
    1059,  1057,  1058,  1060,   590,   592,   591,   593,     0,   589,
    2190,     0,  2181,     0,  2156,  2161,     0,  2157,     0,     0,
    2183,     0,     0,  2193,  2192,     0,  2151,   997,  1007,   996,
    1700,  1701,  1014,  1971,  1016,     0,  1090,     0,  1019,  1020,
    1075,  1025,  1024,  1023,  1021,   594,  1091,  1038,  1042,  1092,
    1093,     0,  1292,  1341,  1359,  1430,  1503,     0,     0,     0,
       0,     0,  1521,     0,     0,     0,  1593,  1591,  1594,  1592,
    1595,  1597,  1596,  1598,   594,     0,     0,     0,     0,   594,
     594,     0,     0,     0,     0,     0,     0,   594,     0,     0,
       0,     0,     0,     0,  1522,     0,   595,   596,   597,     0,
     598,     0,     0,   598,     0,   594,     0,     0,     0,     0,
       0,     0,   594,   594,     0,   594,   594,     0,   594,   594,
     594,   594,   594,   594,     0,     0,   594,   594,     0,   594,
       0,     0,   594,   594,     0,     0,     0,     0,   594,     0,
     594,  1504,  1506,  1321,  1325,  1637,  1641,  1505,  1672,  1687,
    1703,   594,   594,   594,  1724,  1711,   594,  1721,  1718,     0,
    1712,  1706,  1707,  1042,  1704,  1726,  1860,  1870,     0,     0,
    1869,     0,     0,  1866,  1871,  1872,  1862,  1861,  1033,   768,
       0,  1047,  1048,     0,     0,  1046,  1028,     0,  1029,  1044,
    1027,     0,   594,     0,  1877,  1878,  1893,  1979,  2029,  2068,
       0,     0,   630,   629,  2086,   594,     0,  2069,  2070,  2071,
    2093,     0,  2092,     0,  2096,  2094,  2095,  2099,  2097,  2082,
    2088,  2104,     0,   594,   594,  2112,     0,     0,  2227,     0,
    2220,  2219,  2229,  2110,  2218,  2217,  2234,  1075,  2237,     0,
    2235,     0,   849,   855,   853,     0,   785,   786,   857,     0,
     854,   856,   848,   600,   602,     0,   924,     0,     0,   925,
     716,   717,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   808,     0,   901,     0,     0,     0,     0,
     795,   838,   839,     0,     0,     0,   867,     0,   868,   877,
       0,   875,     0,     0,   913,   911,   909,   906,   907,   908,
     910,   912,   914,   915,   902,   903,   904,   905,     0,  1217,
    1215,  1216,  1200,  1203,  1207,  1210,  1213,  1214,  1218,  1201,
    1202,  1204,  1205,  1206,  1208,  1209,  1211,  1212,  1219,  1220,
    1221,  1102,  1103,  1104,  1106,  1107,  1105,     0,  1100,  1263,
    1259,  1267,  1269,  1113,  1114,     0,  1111,  1275,  1068,  1070,
    1071,  1073,  1074,     0,     0,  1155,  1163,  1165,     0,     0,
     768,     0,  1176,     0,  1197,     0,  1178,  1177,  1182,  1183,
    1196,  1198,  1199,  1167,  1175,     0,  1223,  1230,  1227,  1226,
    1228,  1229,  1225,  2109,     0,   643,   643,   643,   643,   643,
     643,     0,  1159,   643,  1159,   643,  1834,   643,   643,     0,
    1244,  1236,  1246,  1238,  1232,  1234,  1240,  1242,     0,  1255,
    1252,  1261,  1691,   768,     0,     0,  1696,  2205,     0,  2214,
    2195,     0,   758,   764,     0,   730,   766,     0,   734,     0,
       0,  1075,     0,     0,   973,  2191,  2180,  1062,     0,  2160,
     645,   646,   647,   644,     0,  2163,  2164,     0,  2159,  2166,
       0,     0,     0,  2185,  2187,   582,   583,   584,   580,     0,
    1875,  1017,  1022,  1078,  1081,  1096,     0,     0,  1043,     0,
    1298,     0,  1294,  1306,  1018,  1018,  1018,     0,     0,     0,
       0,     0,  1512,     0,     0,     0,   594,   594,  1559,  1561,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     594,   594,     0,     0,     0,     0,     0,  1581,  1580,  1409,
    1583,  1523,   628,   627,  1480,     0,  1480,     0,     0,  1483,
    1484,  1509,  1498,  1499,  1500,  1501,  1502,     0,  1477,     0,
       0,  1507,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1558,     0,     0,     0,     0,     0,
       0,   594,     0,     0,     0,  1560,     0,  1516,   594,     0,
       0,     0,   594,   594,   594,     0,     0,     0,     0,  1309,
    1042,     0,  1642,  1018,  1018,  1713,     0,  1716,  1715,  1720,
    1714,     0,  1722,  1708,     0,  1868,  1867,  1864,  1865,   767,
    1045,   762,   770,  1055,  1049,  1031,   594,  1032,  1030,  1035,
       0,  1018,  1018,  1018,  2084,     0,     0,  2076,   598,  2089,
       0,     0,     0,   594,   594,     0,  2083,     0,  2074,  2230,
    2221,  2111,     0,  2228,  1083,  2243,  2238,   857,   847,   851,
     857,     0,   602,     0,     0,   711,   713,   932,     0,     0,
     917,     0,     0,     0,     0,   938,   935,  1659,  1658,     0,
       0,     0,     0,     0,     0,   791,     0,     0,   825,   834,
     842,     0,   878,     0,     0,   896,   897,   899,   895,   900,
       0,  1099,     0,  1110,  1332,  1329,  1330,  1328,  1157,  1169,
    1194,  1195,     0,  1191,  1192,  1193,  1187,  1185,  1186,  1168,
    1184,  1174,  1181,     0,     0,  1171,  1170,   588,  1179,  1180,
    1413,  1415,  1419,  1422,     0,  1420,  1421,  1423,     0,     0,
       0,     0,     0,     0,     0,     0,  1848,  1857,     0,     0,
    1852,  1855,  1850,     0,     0,   643,     0,   643,     0,     0,
       0,  1248,  2169,  1695,  1694,  1693,  1697,  2197,   578,   760,
       0,     0,   774,   776,     0,     0,     0,     0,  1085,   974,
     976,  2155,     0,     0,  2162,  2158,     0,  2154,   982,     0,
       0,     0,   594,   594,     0,     0,  1010,     0,  1079,   643,
    1075,  1094,     0,  1041,  1036,     0,     0,  1296,  1304,  1308,
       0,     0,     0,  1343,  1335,  1336,     0,  1366,  1368,  1368,
       0,     0,     0,  1361,  1352,     0,  1433,     0,  1432,  1426,
    1427,     0,     0,     0,     0,     0,  1535,  1534,  1533,  1588,
       0,     0,  1485,     0,   594,     0,     0,  1569,  1568,  1579,
       0,     0,     0,     0,     0,     0,  1548,   594,     0,  1524,
       0,     0,  1407,     0,     0,   599,     0,  1481,  1482,  1586,
       0,  1478,  1479,  1526,     0,  1518,     0,     0,  1539,     0,
    1528,  1514,     0,  1515,  1550,  1531,  1562,  1530,  1529,  1578,
    1532,     0,  1563,     0,  1565,  1566,  1517,     0,  1527,  1555,
       0,     0,     0,     0,  1553,   594,  1587,     0,     0,  1324,
    1315,     0,  1326,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   594,   594,   594,
     594,     0,  1640,  1608,     0,     0,     0,     0,     0,  1674,
    1661,  1664,  1666,  1040,  1665,     0,   768,     0,     0,     0,
       0,  1689,  1683,  1679,     0,  1717,  1719,  1819,     0,   594,
    1739,   594,  1737,     0,     0,  1729,   594,  1725,     0,  1743,
    1820,   769,     0,  1054,  1034,  1879,     0,  1896,  1886,  1888,
       0,     0,     0,  1895,  1882,  1883,     0,  1982,   594,     0,
    1981,  1973,  1974,     0,     0,     0,     0,     0,  2044,     0,
    2044,     0,     0,  2044,  2028,  2031,  2032,     0,  2035,     0,
    2087,  2072,  2073,  2075,     0,  2100,  2101,  2098,   636,   637,
    2078,  2080,  2079,  2081,  2077,   588,   874,   874,     0,     0,
     939,   940,   941,     0,     0,   949,     0,     0,   778,  2107,
       0,     0,   970,   874,  2103,     0,   971,  2105,     0,  2231,
    2113,  2241,  2245,   850,   852,     0,     0,   926,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   870,     0,     0,
       0,   795,     0,     0,     0,     0,     0,     0,   876,   606,
     607,     0,  1101,  1112,     0,  1188,  1189,     0,  1172,  1173,
    1417,  1418,   633,   634,   635,   631,   632,  1416,  1474,  1468,
    1470,  1472,  1838,  1836,  1853,  1856,  1851,  1854,     0,  1840,
       0,  1844,  2023,  2025,     0,   765,   762,     0,     0,   782,
     783,   777,   780,   781,     0,  1657,   736,     0,   648,  2165,
    2167,  2188,     0,     0,  1001,  1000,  1002,     0,     0,     0,
    1008,  1076,     0,  1080,  1082,  1037,  1039,  1301,     0,  1300,
       0,     0,  1339,  1342,  1353,  1075,  1354,  1386,  1355,  1390,
    1356,   594,     0,  1360,  1075,  1428,     0,  1431,     0,     0,
       0,  1542,  1544,     0,     0,     0,  1489,     0,     0,     0,
       0,  1487,  1545,     0,     0,     0,  1570,     0,     0,  1519,
    1540,  1546,  1549,     0,  1525,  1536,  1149,     0,  1584,  1511,
    1510,  1508,  1541,  1537,  1538,  1520,  1513,  1567,  1564,  1585,
     594,  1551,  1556,  1554,     0,     0,     0,  1316,  1322,     0,
       0,   594,   594,   594,     0,     0,   594,     0,     0,  1634,
       0,     0,  1615,  1616,  1617,  1613,  1633,  1632,  1618,     0,
       0,  1638,  1667,     0,     0,     0,     0,  1042,  1673,  1682,
    1681,  1680,  1685,  1684,     0,  1688,  1075,  1742,     0,     0,
     594,  1730,     0,     0,  1728,     0,     0,  1746,  1741,  1745,
       0,  1735,  1727,     0,  1753,  1050,  1051,  1052,  1053,   626,
     625,  1931,  1940,  1885,  1075,  1884,     0,     0,  1891,   594,
       0,  1894,  1075,  1978,  1975,  1977,  1980,  2046,     0,     0,
       0,  2045,     0,     0,     0,  2047,  2033,  2050,  2059,  2037,
       0,  2030,  2085,  2090,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   968,   968,     0,   776,     0,   962,     0,
       0,   964,     0,  2222,     0,     0,     0,   669,   680,   681,
     667,     0,   670,   671,     0,     0,   674,   675,   679,   676,
     718,   677,     0,   693,   693,     0,     0,   719,     0,   693,
     693,     0,     0,     0,     0,   929,   930,   928,   931,     0,
       0,   804,     0,     0,   802,     0,   798,     0,     0,   796,
       0,     0,     0,   874,  1190,  1842,  1846,     0,   756,   775,
       0,   771,   784,   763,     0,  2184,     0,     0,  1005,  1006,
    1077,     0,     0,  1307,     0,  1347,     0,  1349,  1348,  1338,
    1344,  1337,   762,  1364,  1362,  1363,  1365,  1367,  1386,  1384,
    1369,     0,     0,  1393,  1357,     0,  1463,   594,     0,  1572,
       0,     0,     0,  1492,  1493,  1491,  1495,  1494,  1496,     0,
    1486,  1574,  1573,  1575,     0,  1571,  1547,  1122,  1123,   594,
       0,  1404,     0,     0,     0,     0,     0,  1410,  1406,  1115,
    1117,     0,  1148,     0,     0,  1552,  1318,  1319,  1317,  1312,
    1314,  1311,  1313,  1320,     0,   594,   594,     0,     0,  1626,
    1627,  1628,  1630,  1631,     0,     0,  1636,  1619,     0,   594,
    1605,  1606,  1607,  1614,  1635,   594,     0,     0,     0,  1675,
    1669,  1670,  1671,  1668,  1662,   594,  1822,  1826,  1732,  1733,
    1731,  1807,  1734,  1807,  1767,  1747,  1736,  1821,  1754,  1938,
    1937,  1928,  1944,  1943,  1951,  1887,  1953,  1954,  1961,  1889,
    1892,     0,  2017,     0,  2043,  2042,  2036,  2039,   594,  2038,
    2034,  2051,     0,  2040,  2102,   638,   960,   961,     0,     0,
     954,     0,   843,   945,     0,     0,     0,     0,   946,   779,
       0,     0,   959,     0,     0,     0,  2244,     0,   603,   927,
     668,   672,   673,   678,   663,   661,   659,   658,   660,   662,
     657,   664,   686,     0,   703,   688,   684,   694,   704,     0,
       0,   705,   624,   623,   702,   712,   708,   709,   710,   706,
     714,     0,     0,   871,   872,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   840,     0,   759,   761,
       0,   943,   738,  1004,  1003,  1303,  1302,  1305,     0,     0,
    1340,  1369,     0,  1389,  1391,  1392,     0,  1395,   594,  1461,
    1434,  1429,  1577,  1543,  1490,  1497,  1488,  1576,  1403,  1118,
       0,     0,     0,  1398,  1402,  1378,     0,  1379,     0,  1405,
    1411,   652,   651,     0,  1124,   653,   654,   655,  1125,  1121,
    1408,  1557,     0,  1603,  1604,  1602,  1611,  1610,  1609,  1612,
     594,     0,     0,  1624,  1629,   594,   831,     0,  1686,  1820,
    1824,  1828,     0,     0,     0,  1756,     0,  1942,  1926,  1925,
    1949,  1959,     0,  2015,  1983,  1976,  2041,  2053,  2058,  2060,
       0,     0,   947,     0,   944,   950,   968,   969,   970,   968,
     971,   953,   956,     0,   955,  2240,  2242,     0,   682,   666,
     665,     0,     0,   665,   693,   693,     0,   695,   696,   697,
     698,   699,   693,   693,     0,   933,   934,   819,   803,   801,
       0,     0,   799,   817,   797,     0,     0,   815,     0,   813,
     812,     0,   810,   898,     0,  1346,  1345,  1388,   594,     0,
       0,     0,     0,     0,  1387,  1377,     0,  1394,   594,  1397,
    1358,  1435,  1465,     0,     0,     0,     0,     0,  1380,  1381,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1620,  1621,     0,  1625,     0,  1676,  1823,     0,  1740,  1810,
    1808,  1811,  1738,   594,     0,   594,  1744,     0,     0,     0,
       0,     0,     0,     0,  1752,  1766,     0,   594,     0,     0,
     594,   594,  1941,     0,     0,  1930,  1945,  1955,     0,     0,
    2019,     0,  2048,     0,   958,   957,     0,   778,   963,   794,
     829,   826,   827,   828,   835,     0,     0,     0,     0,   965,
     687,   685,     0,   689,     0,     0,     0,     0,     0,   707,
       0,     0,     0,     0,     0,     0,     0,   942,  1375,     0,
       0,     0,  1370,  1374,  1376,  1385,  1396,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1464,  1460,     0,  1116,  1118,  1399,  1400,  1401,  1382,
    1383,   656,   639,     0,     0,     0,     0,     0,     0,     0,
    1144,  1145,  1146,  1147,     0,     0,     0,  1148,  1623,  1622,
     832,     0,     0,     0,     0,     0,   594,     0,     0,     0,
       0,     0,     0,     0,     0,   594,     0,     0,     0,     0,
       0,     0,     0,  1827,  1806,     0,  1812,     0,     0,  1750,
    1751,  1749,  1748,  1760,  1763,  1764,  1765,  1757,  1758,     0,
       0,  1761,  1755,  1933,     0,     0,  1932,  1934,  1939,     0,
       0,     0,     0,     0,     0,     0,   594,     0,     0,     0,
       0,  1914,  1916,     0,  1929,     0,     0,     0,  1948,     0,
       0,     0,  1958,     0,   649,  1890,   650,     0,   594,     0,
     594,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2018,  2010,     0,
       0,     0,  2052,     0,     0,     0,     0,  2065,     0,   948,
     845,     0,     0,   778,   951,     0,     0,   683,     0,     0,
     690,   701,   700,   818,   800,   816,     0,   814,     0,   811,
       0,     0,     0,  1436,     0,  1439,  1440,  1441,  1438,   594,
       0,     0,     0,     0,     0,  1446,  1452,  1453,  1437,     0,
       0,     0,     0,     0,     0,     0,   594,  1462,  1119,  1125,
       0,     0,  1125,  1125,  1134,  1135,  1136,  1137,  1138,  1139,
    1140,  1141,  1142,  1143,  1125,     0,     0,  1120,  1775,  1776,
    1777,  1778,  1779,  1780,  1781,  1782,  1772,   594,     0,  1814,
    1805,     0,     0,     0,  1800,  1794,  1795,  1796,   594,  1769,
    1787,  1768,   594,  1789,  1771,     0,     0,  1773,   594,   594,
    1770,     0,   594,  1825,  1813,  1809,  1759,  1762,  1965,  1965,
       0,     0,  1913,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1901,   594,     0,     0,     0,   594,     0,   594,
       0,     0,  1927,     0,  1963,  1947,  1946,  1952,  1950,  1956,
    1957,  1962,  1960,  1989,  1987,   594,   594,  2008,     0,     0,
       0,  2003,  2011,  2014,  2013,  2012,  2009,  1984,     0,  1988,
     594,     0,     0,  1985,  1986,     0,     0,   594,  1990,   594,
     594,   594,  2016,  2057,  2055,  2056,  2054,     0,     0,  2064,
    2049,  2061,   830,   836,   844,     0,   966,     0,     0,     0,
       0,     0,  1371,  1372,  1373,     0,     0,  1448,  1444,  1445,
    1087,  1086,  1447,  1454,  1442,  1443,   594,  1456,  1455,  1458,
    1457,  1459,  1130,  1125,  1125,  1132,  1131,  1133,  1125,  1125,
    1790,   594,     0,  1798,  1797,  1799,  1802,  1801,  1788,     0,
    1803,  1786,  1774,  1785,  1784,  1791,  1783,   594,  1935,  1936,
       0,     0,  1922,  1923,  1924,  1909,  1965,  1910,     0,  1965,
    1903,  1899,     0,   594,  1902,  1904,  1905,     0,  1919,  1915,
    1920,  1917,     0,   594,  1964,  2007,  1994,  2001,  2002,  2004,
    1996,     0,  2005,  1999,  2000,  1997,  1998,  1991,  1992,  1993,
    1995,     0,     0,     0,     0,   692,   691,   805,     0,  1449,
    1450,  1451,  1128,  1129,  1126,  1127,  1792,  1793,  1816,  1815,
    1804,  1966,  1898,  1911,  1907,  1912,  1908,  1897,  1900,  1906,
       0,  1921,  2006,  2063,  2062,   952,   967,     0,  1817,     0,
       0,     0,  1818,  1918,     0,   820
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2910, -2910, -2910, -2910, -2910, -2910, -2910,   -52,  -971,   -66,
      -7,  2149, -1037, -1384, -2910,  -175,  -178,  1465,  1492,  1496,
   -2910, -2910, -2910, -2910,  -276, -2910, -2910, -1029, -2910, -2218,
   -1418, -1097,   734, -2910,   873, -1967,   -96,  -296,   883,  -468,
   -2910,   434,   166, -1613, -2910,   841,   843,   844,   845,   541,
     174,   178,   550, -2187, -1223,   553, -2910, -2910, -2910, -2910,
    2046, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910,   -85, -2910, -2910, -2910,
   -2910,  1289, -1599, -2910, -1242, -2347, -2910, -2910, -2910,   590,
   -2909, -2910, -2910,   794, -2910,  -282, -2736,  1605,  -121, -1957,
   -2718,  2961, -2508, -2701,  1613,  -115, -2910,  2086, -2910,  1614,
   -2910, -2910, -2910, -2910, -1069, -2910, -2910, -1045,   546, -1927,
    -172, -1621, -2910, -2910,   367, -2910,    51, -2753, -2910, -2910,
   -2910, -1918, -2910, -2910, -2910, -2910, -2348,   375, -2910, -1067,
   -2910, -2910,     2,  3105, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910,   -71,  -111, -2910,  -137,  -250, -2910, -1074, -1488,  -133,
   -1134, -1099, -2910,  -131, -2910, -2910, -2910,  2286, -2910, -2910,
   -2910,  1137, -1377, -1281, -2910, -2910, -2623, -2910, -2910, -2910,
   -2910, -2910,  -311, -2910,  1241,  -234, -2910,  1240, -1645, -2910,
      38, -2860, -2910, -2910, -1941, -2910,    18, -2910, -2910, -2910,
   -2910, -2910,  -322, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -1370, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,   976,  1999,
   -1622, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910,  -151, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,   318,
   -2910, -2910, -2910, -2910, -2910, -2910,  1127,   319, -2910,   180,
   -2910,   533, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,  1396,
    -169, -2910, -2910,   513, -2910, -2910, -2910, -2910, -2910, -2910,
     480, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910,  -593, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910,   444, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
     270, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910,  -197, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910,   -20,   -36, -2910, -2910, -2910, -2910,  -205,   -35, -2910,
   -2910, -2910, -2910,  -206,   -34, -2565, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910,  -684,   660, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,  1720,
   -2910, -2910, -2910, -2910, -2910, -2910,   655, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910,  1493,  1534, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,  1345,  1976,
   -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910, -2910,
   -2910, -2910, -2910
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,   929,  1337,     2,     3,   114,   115,  1359,  1373,  1005,
     982,  2995,  2843,  1866,  1174,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,  2914,  2601,
    3129,  1554,  2417,  2339,  2340,  3233,   960,  1252,  1795,  3325,
    2984,  3326,  2903,  3051,  2671,  2672,  2673,  2674,  2675,  2904,
    2905,  2906,  2908,  2909,  3061,  2911,  2676,  2682,  2378,  2379,
    1610,  1985,  1986,   300,   301,   302,    23,    24,    25,    26,
     116,  1326,   117,   118,   119,   120,  2437,  2090,  1773,  1774,
    2092,  1775,  1940,  1941,  1535,  1776,   121,  1325,  2436,  2438,
    2645,  2646,  2439,  2440,  2441,   303,  1216,  1217,  3170,  1628,
    1218,  1629,  1219,  1220,  1221,  3174,  3007,  1222,  3175,  1223,
    1224,  3033,  1170,   304,  1171,   305,   306,  1639,  1640,   307,
     308,   309,   310,  1658,  2018,  2401,  2391,   312,  2363,  2442,
    2875,  2443,  2642,  3176,  3545,  2883,  2876,  2365,   122,  1348,
     123,   124,  1016,   126,   127,   128,   985,  2117,  1809,  1379,
     129,  1006,  1017,  1018,  2124,  2125,  1817,  1398,  1818,  1019,
    1540,  1536,  2293,  1945,   130,   131,   973,   330,  1813,  2463,
    2119,  1814,  1974,  1975,  1781,  1782,  3395,   132,   133,   134,
    1390,  1020,  1248,  1687,  1688,  1260,  1695,  1696,  2778,  2779,
    3103,  2780,  2781,  2782,  3118,  3244,  2989,  1860,    27,    28,
      29,    30,  1278,    31,    32,    33,  1274,  2039,  2040,  1725,
    1680,   317,    34,  1276,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,   356,  1313,    46,    47,    48,
      49,    50,    51,    52,   318,    53,    54,    55,   319,  1270,
     313,   135,   136,  1821,  1401,  1022,  1402,  1822,  1823,  2724,
    2468,  2129,  2469,  1079,  1080,  2793,  2231,  1918,  1494,  1919,
    1920,  1703,    56,   137,  2136,  2732,  1824,   138,  2729,  2730,
     139,  2145,  1825,   140,  2737,  2474,  2475,  2953,  3096,  2979,
    2952,  2740,  2476,  2478,  2743,  2957,  3099,  2480,  2783,  2517,
    2182,  2980,    57,  1734,   141,  2151,  1826,   142,  2484,  3102,
    3223,  3101,  2960,  2485,    58,    59,    60,    61,   143,  1454,
    1451,  2163,  2500,  2501,  1877,   144,  1443,  2183,  1081,  1082,
    2996,  2813,  2254,  1921,  1496,  1922,  1083,  2263,  2264,   145,
    2265,  1923,   146,  2820,   147,  2274,  1924,   148,    62,  1315,
    1002,   149,   150,  1512,  1101,  1102,  1103,  1104,  1105,  1934,
    2288,  2585,  2582,  2588,  2589,  3014,  3137,  2289,  3015,  3146,
    2290,  3275,  3012,  3130,  3131,  3278,  3582,  3679,  3659,  2576,
    2594,  2827,  3009,  3127,  3011,  2577,    63,    64,    65,    66,
      67,    68,    69,    70,  1741,   151,   152,  1116,   153,  1382,
     154,   155,  2306,  2606,  2607,  1951,   156,  2604,  3315,  3488,
    3490,  3605,  3155,  3154,  3019,  2605,  2602,  3153,  3017,  3016,
    2840,  2603,  2844,  3020,  3319,  3497,  3156,  2845,  2848,  3021,
    3323,  3501,  3157,  2849,  3495,  3598,  1003,   157,  2313,  1952,
     158,  2612,  3160,  3349,  3516,  3159,  3024,  2613,    71,    72,
     159,   160,  1953,  2327,  2622,  2328,  2626,  2629,  2861,  3028,
    3161,  3353,  3162,  2862,  3163,  3358,  3540,   161,   162,  1569,
    1570,  2330,  1139,  1954,  1140,  1960,  2336,  2337,  2367,  1967,
    1572,    73,   163,  1153,   974,   164,  1789,  1798,  1368,  1796,
    2104,  1801,  1310,  1311,   165,   166,  1370,  1371,  2109,   167,
      74,    75,    76,    77,    78,    79,    80,    81,   365,  1322,
     168,  1582,  2369,  1154,  1155,   169,   170,  1162,  1587,  2887,
    2654,  2372,  1588
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     286,  1179,  1172,  1215,  1178,   125,   954,  1374,  1250,  1214,
     968,  1138,  1152,  1815,   976,  1450,  1453,  1127,   930,  1115,
    1289,  1538,   932,   933,  1504,  1933,  1253,  1513,  2987,  1137,
    1151,  1864,  1724,  1078,  2698,  2002,  2019,  2017,  2693,  1100,
    2361,  1114,  3071,  1126,  2390,  2392,  2394,  2395,  2846,  2364,
    3078,  1136,  1150,  1612,  1613,  2819,  2819,  2819,   311,  1161,
     981,  1314,  3081,  1621,  1622,  2647,  1023,  1416,  1024,  1878,
    1025,    83,  1026,  1766,  1084,  2721,  1085,  1836,  1086,  1819,
    1106,  2940,  2608,   286,  1128,  3622,  1129,  1163,  1130,  2709,
    1131,  1591,   180,  1799,  1592,  1593,  1594,  1156,  1157,  1600,
    1163,  1601,  3167,  1553,  1164,   180,  1165,  1213,    84,  3104,
    1212,  2041,  1205,  1206,  1596,  1597,  1208,  1164,    85,  1165,
    3049,  3053,    86,    87,  1205,  1206,   177,  1207,  1208,   180,
    3049,  3053,   353,  1245,  1229,  1230,  1231,  1232,  1233,  1176,
    1177,   934,  1862,  1205,  1206,  1596,  1597,  1208,   979,    88,
     328,   -60,   125,   180,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,  1242,     1,  2083,  1243,  2361,  1169,  1229,  1230,
    1231,  1232,  1233,  1354,  1355,  1356,  1357,  1723,   286,  1205,
    1206,  1596,  1597,  1208,   180,  1257,  1631,  1632,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,  1242,  1176,  1177,  1243,
    1862,  2627,  1418,   -60,   958,  3385,  3386,    89,   959,    90,
      91,  1790,  1791,    92,  1792,    93,  3387,    94,  1793,    95,
      96,    97,  1343,    98,  1344,  1446,  1447,  1345,  1448,  1867,
    1446,  1447,  2451,  1448,  1868,  1420,  1183,    99,   100,   101,
     102,   103,   104,  1879,   105,  1553,   354,  1246,  1880,  1293,
    1294,  1295,  1296,  1297,  1298,  1299,  1300,  1346,  3360,  1229,
    1230,  1231,  1232,  1233,   979,   359,   979,  3320,  2885,   180,
     979,   180,  3350,  2552,  3473,   180,  1261,   286,  1211,  1234,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,  2722,   106,
    1243,  1354,  1355,  1356,  1357,   107,  2877,  3169,  1518,  1258,
     171,   108,   109,  1229,  1230,  1231,  1232,  1233,   979,  1343,
    3006,  1344,   979,   180,  1345,  3171,   979,   180,  2110,  3623,
    1812,   180,  1422,  1234,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,  1242,  3173,  3458,  1243,  1204,  1229,  1230,  1231,  1232,
    1233,  1354,  1355,  1356,  1357,  2366,  2362,  1205,  1206,  1596,
    1597,  1208,   180,   329,  2741,  2049,  1234,  1235,  1236,  1237,
    1238,  1239,  1240,  1241,  1242,  3104,  1441,  1243,  1229,  1230,
    1231,  1232,  1233,  1277,  1831,  3505,    82,  1205,  1206,  1596,
    1597,  1208,   180,  2886,  3351,  2950,  1409,  1785,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,  1242,  3284,  1758,  1243,
    1759,  1837,  1417,   979,  2098,  2987,   979,   979,   180,  1950,
    1271,   180,   180,  1229,  1230,  1231,  1232,  1233,   979,   979,
     331,  2111,  1956,   180,   180,  1229,  1230,  1231,  1232,  1233,
    3445,  3402,  2232,  1234,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,  1242,  3506,  2754,  1243,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,  1242,  3544,  3459,  1243,  1229,  1230,  1231,
    1232,  1233,   958,  2919,  2559,  1177,   959,  2599,   979,  1867,
     979,  2366,  2362,   180,  1868,   180,   360,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  1242,  1519,  2910,  1243,  2553,
    1410,  3321,  1842,  2910,  1943,  1354,  1355,  1356,  1357,  1205,
    1206,  1596,  1597,  1208,  2112,  2113,  2114,   361,  1742,  2115,
    2789,   180,   180,  1181,  2361,  2981,  2982,  3324,  1229,  1230,
    1231,  1232,  1233,  1879,  1958,  3172,  1959,   172,  1880,  1979,
    3534,  1229,  1230,  1231,  1232,  1233,  3285,  1419,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,  1242,  1935,  1936,  1243,
    1800,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,
    3475,  3479,  1243,  1229,  1230,  1231,  1232,  1233,  3535,  3446,
    1421,  1840,  1869,  1870,  2333,  1229,  1230,  1231,  1232,  1233,
    2790,  1521,   173,  1234,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,  1242,   327,  1301,  1243,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,  1242,  3322,  2804,  1243,  2894,  2895,  2896,
     977,  2029,  3290,  3456,  2742,   979,  3250,  1182,  1820,  3403,
     180,  2723,  1693,  2452,  1277,  3169,  3169,  2897,  2898,  2899,
    2085,  1843,  1867,   212,   212,  3444,  2847,  1868,  2699,  2700,
    2003,  3147,  2694,   979,  3171,  3474,  3072,  1225,   180,   366,
    1350,  1351,  1352,  2560,  3079,  3396,   110,  1423,   979,   358,
    1302,  3173,  2941,   180,   111,   112,  3082,  2569,  1354,  1355,
    1356,  1357,  2628,  2408,  2409,  1272,  1479,   113,  1694,  1553,
     978,  1166,  2272,  1354,  1355,  1356,  1357,  1167,  3177,  1168,
    3286,  3178,  1446,  1447,  1166,  1448,  1926,  2791,  1389,  3352,
    1167,  2792,  1168,   355,  1247,  3404,  1209,   958,  3405,  3511,
    3168,   959,  2900,  2901,  3234,  3583,  3584,  3480,  1209,  2361,
    1522,  3054,  2755,  3447,  1841,  1210,  1229,  1230,  1231,  1232,
    1233,  3062,   -60,  1361,   -60,  3128,  2926,  2007,  2928,  2872,
    1175,  2930,   980,  2933,  2935, -1582,  1234,  1235,  1236,  1237,
    1238,  1239,  1240,  1241,  1242,  2404,  1259,  1243,  2805,  1744,
     955,  1229,  1230,  1231,  1232,  1233,  1633,   956,  1364,  1365,
    1366,  1625,  1626,  1209,  1229,  1230,  1231,  1232,  1233,  1394,
    1598,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,
    1871,  3245,  1243,  3132,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,  1242,  1794,  1881,  1243,  1229,  1230,  1231,  1232,
    1233,  2975,  1869,  1870,  1458,  3397,  1347,  1459,   979,  2366,
    2362,  3657,   180,   180,  2202,  2842,  1234,  1235,  1236,  1237,
    1238,  1239,  1240,  1241,  1242,  1927,  1854,  1243,  1474,   362,
     363,   364,   931,  1354,  1355,  1356,  1357,  2976,  2728,  2727,
    3527,   958,  1277,  3235,  3172,   959,   979,  1444,   980,  2024,
     980,   180,  2387,  2388,   980,  1324,  2587,  3184,  3185,   957,
    1229,  1230,  1231,  1232,  1233,  3187,  3188,   180,  1367,   967,
    2116,  1354,  1355,  1356,  1357,  1215,  1290,  3493,  1340,   966,
    1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,  1118,
    1338,  1243,   980,  1347,  3599,  2212,   980,  1991,  2373,   979,
     980,  2374,  1353,  2161,   180,  1392,  1393,  1377,  2799,  2800,
    1446,  1447,  3476,  1448,  2122,  1372,  1372,  2987,  1119,  1120,
    3246,  3477,  1424,  1121,  1354,  1355,  1356,  1357,  3471,  1607,
    1992,  2007,  3523,   975,  2361,  1426,  1122,   180,  1341,  1342,
    2977,  2978,   979,  3032,  2020,  1123,  2021,   180,  1735,  1736,
    1737,  1738,  1739,  1740,  1291,  1743,  1745,   983,  1747,  1748,
    2795,  1209,  1993,   286,   984,  1869,  1870,  1354,  1355,  1356,
    1357,  1425,  3512,  1021,  3133,   321,   322,   325,   326,  1284,
     958,  1172,  1172,  1172,   959,   357,  1172,   980,  1172,  1445,
     980,   980,  2425,  3524,   314,  1407,  2426,  2427,   315,  1408,
    3148,  3149,   980,   980,  3150,  3151,  2869,  1994,  1358,  1117,
    3513,  1480,  2817,  2503,  2366,  2362,  1173,  2733,  2818,  2386,
    2519,  1375,  1229,  1230,  1231,  1232,  1233,  1180,  1303,  2734,
    2735,  3664,  1507,  1608,  3666,  3134,  1175,  1229,  1230,  1231,
    1232,  1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
    1242,  2683,   980,  1243,   980,  1184,  1528,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  1242,  1185,  1452,  1243,  2824,
    2786,  2787,  2045,  1475,  2521,  1229,  1230,  1231,  1232,  1233,
    1186,  1575,  1580,  1209,  1304,  1305,  1306,  1307,  1308,  1309,
    2983,  2983,  1187,  2479,  1285,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,  1242,  3191,   979,  1243,  1188,   961,  3193,
     180,  3194,  2684,  2796,  3196,   979,  3152,  1476,  1477,  1435,
     180,  1483,  1391,  2571,  1808,  2025,  2026,  2797,  1538,   316,
    1354,  1355,  1356,  1357,   979,  2798,   962,   963,  3237,   180,
    1354,  1355,  1356,  1357,  3391,  3392,  1169,  1169,  1169,   286,
    1211,  1169,  1189,  1169,   964,  2736,  1978,  1280,  1190,  1354,
    1355,  1356,  1357,  1863,  3135,  3442,  3392,  1267,  1990,  2810,
    1449,  1268,   286,   286,   286,   286,   286,   286,   286,  2567,
    2993,  2994,  1191,  2520,  2738,  1281,  1749,  3509,  3392,  2826,
     320,  2578,   286,  2746,   315,  2811,  2812,  1192,  3316,   980,
    1484,  1485,   320,  3317,  1486,  1267,   315,  1595,   286,  1268,
    1193,  1436,   286,   286,   286,   286,   286,   286,   286,   286,
     286,   286,   286,   286,   286,   286,  2022,   980,  2023,  2361,
    1614,  1615,  1616,  1617,  1618,  1619,  1620,  1194,  3359,  2366,
    2362,  3276,   980,  1777,  1437,  3040,  3038,  3277,  1195,   323,
    1630,  2019,  2017,  1438,  1758,  1635,  2450,  3410,  3411,  1769,
    1636,  1213,  1196,  1282,  1212,  3514,  1641,   969,  3425,  3426,
    1644,  1645,  1646,  1647,  1648,  1649,  1650,  1651,  1652,  1653,
    1654,  1655,  1656,  1657,  1872,  3055,  1286,  1762,  3063,  1254,
    1255,  2636,  2637,  1487,  3055,  3063,  1372,  3095,  1637,  1287,
    1288,  1810,  3393,  1638,  2579,  1797,   286,  1802,  2650,  1283,
    1635,  3318,  1803,  2841,  1226,  1980,  1804,  2728,  2727,  1995,
    3136,  2852,  1197,  3393,  1431,   316,  1488,  2731,  1432,  2580,
     286,  1446,  1447,  1855,  1448,  1489,  1244,   316,  1957,  3515,
    1269,  1961,  1215,  1215,   979,  3393,   970,   971,   972,   180,
    1198,  1214,  1833,  1834,  1996,  1229,  1230,  1231,  1232,  1233,
    3145,  1241,  1242,  1179,  1771,  1243,  1178,  2005,  1225,  1354,
    1355,  1356,  1357,  2123,  1490,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,  1242,  1227,  3124,  1243,  1539,  1783,   324,
    3125,  2084,  3394,  1539,  1560,  1884,  1947,  2570,  1887,  2100,
    1948,  2806,   980,  1873,  1874,  1875,  1876,  2814,  1249,  3550,
    2075,  3551,  2077,  3443,  2227,  2535,  1172,  1962,  2583,  2536,
    1963,  1176,  1177,  1763,  1530,  1433,  1262,  1263,  1434,  2060,
    2061,  2062,  2063,  2064,  2065,  3510,  1177,  2076,  2599,  2078,
     980,  2079,  2080,  1805,  1806,  1807,  3222,  1932,  1764,  1213,
    1446,  1447,  1212,  1448,  2493,   979,  1372,  1372,  3572,  1251,
     180,  3575,  3576,  2448,  1229,  1230,  1231,  1232,  1233,  1118,
    1256,  1944,  3274,  3577,  1765,  1944,  1380,  1381,  2719,  1944,
    1354,  1355,  1356,  1357,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,  1242,   980,  2122,  1243,  1264,  2556,  1119,  1120,
    3602,  3603,  3604,  1121,  3348,  2030,  2031,  2032,  2033,  2834,
    1414,  1415,  1939,   286,  1971,  2866,  1122,  1973,  2011,  1176,
    1177,  2035,  1862,  2867,  2034,  1123,  2011,  1976,  1229,  1230,
    1231,  1232,  1233,  1265,  2366,  2362,   980,  2882,   965,  1266,
    2011,  1229,  1230,  1231,  1232,  1233,  1463,  1464,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,  1242,  2412,  2413,  1243,
    2414,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,
    1273,  1942,  1243,  2856,  1229,  1230,  1231,  1232,  1233,  1275,
    1964,  1169,  2494,  3354,  3355,  1277,  2277,  2590,  1965,  3356,
    1176,  2278,  1279,  2912,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,  1242,  -642,  -642,  1243,  -642,   286,  1292,   286,
    1229,  1230,  1231,  1232,  1233,  1312,  2228,  1211,  1211,  1317,
    3589,  3362,  3652,  3653,  3363,  2685,  2624,  3654,  3655,  2630,
    1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,   359,
    2686,  1243,  2657,  1561,  2595,  2596,  2597,  2598,  2495,  1319,
    2658,  2659,  2660,  2661,  1320,  2662,  2663,  2664,  2230,  2086,
    2665,  2253,  2666,  2667,  3357,  1999,  1321,  2000,  2668,  2669,
    1562,  1323,  2759,  2096,  2760,  1524,  1525,  2135,  2687,  2094,
    1563,  3677,  2101,  2150,   180,  2184,  2027,  2186,  2938,  3112,
    2939,  2105,  1349,  1939,  2042,  1316,  2279,  1318,  2046,   980,
    1362,  2095,  1376,  2134,  2144,  2149,  2361,  1369,  2048,   980,
    1529,  1530,  1529,  1530,  3684,  3675,  1378,  1229,  1230,  1231,
    1232,  1233,  1699,  1700,  3113,  1701,  1702,  1531,   980,  1531,
    1383,  3631,  1532,  1384,  1532,  2943,  2944,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  1242,  1939,  1007,  1243,  1533,
    2998,  1537,  1008,  1009,  1385,  1534,  1158,  1386,  1987,  1988,
    1011,  1387,  2262,  2097,  2405,  2406,  1395,  2154,  2155,  2428,
    1396,  2430,  2458,  2459,  2496,  1397,  2497,   286,  2498,  1399,
    2166,  2499,  1199,  1200,  1201,  1202,  2172,  2173,  3114,  2185,
    2454,  1400,  2178,  2973,  2180,  1172,  2565,  2566,  1172,  2691,
    2692,  2465,  2261,  2273,  1403,  2187,  2188,  1404,  2305,  2312,
    2326,   344,  1405,  2462,  2696,  2697,  1012,  2191,  2192,  1013,
    2280,  2194,  1406,  2196,  2197,  1411,  2199,  1412,  3115,  1413,
    2304,  2311,  2325,  1428,  3116,  2102,  2757,  2758,  3045,   345,
    2213,  2891,  2892,  1429,  1179,  2970,  2971,  1178,  1564,  1565,
    1566,  1567,  1568,  3117,  1430,  1229,  1230,  1231,  1232,  1233,
    3049,  3050,  1439,   346,  2275,   347,  1440,   348,  2281,  2276,
    1457,  2416,  1529,  1530,  2415,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,  1242,  1455,  2282,  1243,  2283,  1456,  1531,
    1460,  2284,  3069,  3070,  1532,  2285,  2286,  2542,  3074,  3075,
    2341,  1229,  1230,  1231,  1232,  1233,  2767,  2768,  1461,  3097,
    2370,  1533,  3108,  3109,  1462,  2260,  1465,  1534,  3199,  3200,
    1466,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,
    3229,  3230,  1243,  1469,  1529,  1530,  3555,  3556,   980,  1681,
    1682,  1683,  1468,   349,   350,   351,   352,  1481,  2410,  1470,
    2360,  1531,  2411,  2229,  3371,  3372,  1532,  1473,  2688,  2543,
    1169,  2821,  2822,  1169,  1684,  1685,  1471,  1472,  1686,  1482,
    1491,   286,   286,  1537,   286,   286,   286,   286,  1492,  1229,
    1230,  1231,  1232,  1233,   286,   286,   286,   286,  1493,  1495,
     286,  1497,  1498,  1499,   286,  2434,  2435,  1500,  1863,  1234,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,  1501,  1502,
    1243,  2366,  2362,  3238,  3239,  1503,  1506,  1511,  2444,  1509,
    3240,  3241,  3242,  3243,  3414,  3415,  3416,  3417,  3418,  2380,
    2381,  1514,  2382,  2383,  2384,  2385,  1515,  1229,  1230,  1231,
    1232,  1233,  2287,  3419,  3420,  3421,  3422,  3423,  2397,   980,
    2467,  1516,  2398,  3057,  3058,  3059,  3060,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  1242,  1520,  2923,  1243,  1523,
    1526,  1527,  1539,  1541,  2657,  1542,  2360,  2767,  2768,  3088,
    1543,  1556,  2658,  2659,  2660,  2661,  1544,  2662,  2663,  2664,
    1545,  2489,  2665,  1546,  2666,  2667,  1213,  1547,  1548,  1212,
    2668,  2669,  1549,  2505,  1557,  1555,  1558,  2770,  2600,  2508,
    3202,  1559,  2600,  1571,  1229,  1230,  1231,  1232,  1233,  1573,
    1574,  1576,  1577,  1579,  3226,  3227,  3228,  1583,  1584,  1726,
    3089,  2924,  1590,  1589,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,  1242,  1602,  3065,  1243,  1603,  1727,  1229,  1230,
    1231,  1232,  1233,  1585,  1586,  1605,  2767,  2768,  2769,  1604,
    1606,  1243,  1623,  2573,  2137,  1609,  1634,  1624,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,  1242,  3066,  1642,  1243,
    3090,  2549,  1643,  3091,  3092,  1689,  2770,  1690,  1691,  3093,
    1692,  1697,  1698,  1705,  1229,  1230,  1231,  1232,  1233,  1706,
    1733,  1746,  1159,  2771,  1750,  1751,  2572,  1728,  2670,  2772,
    2066,  2537,  1160,  3085,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,  1242,  1752,  1753,  1243,  1754,  1007,  2067,  1755,
    1756,  1757,  1008,  1009,  1760,  1761,  2138,  1767,  1770,  1772,
    1011,  1827,  1778,  1779,  1784,  1786,  1780,  2615,  1787,  1939,
    1811,  1118,  2617,  1788,  1828,  1176,  1550,  1551,  1552,  2773,
    1829,  1830,  2774,  2775,  1832,  1729,  1846,  2632,  2776,  1838,
    1007,  2068,  1847,  1839,  2416,  1008,  1009,  2415,  1730,  1731,
    1119,  1120,  1848,  1011,  1849,  1121,  1850,   186,  1851,  3519,
    1732,   188,   189,  1853,  1856,  1857,  1012,  1858,  1122,  1013,
    1859,  1861,  1865,  2894,  2895,  2896,  2653,  1123,  1891,  2314,
    1883,  1885,  1886,  2315,  1894,    86,    87,  1888,  1901,  1902,
    3231,  1908,  1911,  2897,  2898,  2899,  1905,  1907,  1912,   286,
     286,  1913,   286,  1914,  3327,  1916,   286,   286,  3207,  1012,
    1937,  1931,  1013,  1027,  1938,  1946,   286,    86,    87,  3208,
    1561,  1968,  1972,  1977,  3209,  1981,  2069,  1982,  2707,  1984,
    1983,  2710,  1989,  1997,  1998,  2006,  2001,  2004,  2011,   286,
    2012,   286,  2013,  2139,  2140,  2014,  2028,  2043,  2044,  2047,
    2141,  2081,  2142,  2087,  2091,  2089,  2255,  1641,  1641,  2099,
    2639,  2103,  2107,  2108,  2640,  2641,  2718,  1372,  2118,  3552,
    3553,  3554,  2120,  2121,  1641,   332,  2127,  1124,  2900,  2901,
    1007,  2126,  2128,   214,  2152,  1008,  1009,  2153,  3564,  3565,
    2156,  3567,  3568,  1011,  2360,  2164,  2748,  2689,  2750,  2690,
      99,   100,   101,   102,   103,   104,  2165,   105,  2157,  2158,
    2177,  2159,  1007,  2167,  2070,  2764,  2168,  1008,  1009,  2169,
    2170,  2171,  2256,  2257,  2176,  1011,  2181,  2179,  3644,  2189,
    2193,  2195,    99,   100,   101,   102,   103,   104,  3210,   105,
    2198,  2200,  2201,  2767,  2768,  3328,  2220,  2767,  2768,  1012,
    2203,  2204,  1013,  2205,  2206,  2207,  2208,  2209,  2210,  2225,
    2913,  2214,  2215,  2600,  2216,  2218,  2219,  2224,  2226,  2292,
    2329,  2316,  2088,  2770,  3094,  2295,  2331,  2770,  3649,  3650,
    2332,  1012,  3299,  2334,  1013,  2335,  2828,  2829,  2788,  2338,
    2344,  2832,  3329,  2368,  2258,  2371,  3211,  2375,  2836,  2399,
    2376,  2837,  2377,  2396,  2400,  3658,  2407,  2418,  2419,  2420,
    3633,  2421,  2422,  2423,  2071,  2424,  2429,  2874,   333,  2431,
     334,  2432,  3300,  2433,  2445,  2446,  2854,  2855,  2447,  2317,
    2857,  2449,  2859,  2460,  2453,  2466,  2461,  2457,  2863,  2470,
    2471,  2472,  2473,  2481,  2482,  3330,  2483,  3331,  3332,   335,
    2870,  3212,  3213,  2777,  2486,  3333,   336,  2487,  2488,  3214,
    2491,  2490,  2507,  2492,  2318,  3334,  2502,  2506,  3335,  2986,
    3215,  3216,  3217,  2509,  2510,  2511,  2512,  2514,  2515,  2530,
    2902,  2518,  2522,  3218,  2516,  3219,  2902,  3220,  2072,  2523,
    2524,  2868,   337,  3301,   338,  2319,  2525,  2320,  2539,  2360,
     286,  2526,   286,  2527,   339,   286,  2955,  3336,  3041,  2528,
    2677,  2529,  2531,  2532,   340,  2073,  2540,  2533,  2538,  2544,
    2050,  2541,  2545,  2546,  1372,  1372,  2547,  2548,  2550,  2945,
    2946,  3337,  2562,   341,  2551,  2954,   286,   286,  2051,  2561,
    2563,  2564,  2609,  2568,  2575,  2586,   286,  2074,   286,  2593,
    2592,   286,  2611,   286,   286,  2574,   286,  2610,  2880,  2616,
    2881,  3302,  2143,  2884,  2621,  2618,  2619,  3303,  2620,  2634,
    3304,  3428,  3429,  3430,  3431,  3432,  3433,  3434,  3435,   286,
    2623,  2631,  1372,  2974,  2635,  3042,  -969,  2638,    86,    87,
    2643,  2649,  2644,  2648,  2921,  2922,  1863,  1863,  2651,  3338,
    2652,  2655,  2656,  2702,  2704,  1125,  2695,  2701,  2705,  2703,
    2706,  1215,  2708,  2714,  1641,  2767,  2768,  2713,  2711,  3044,
    2715,  2716,  3339,  2717,  2745,  2739,  2296,  2747,  2751,  2749,
    2752,  2761,  2753,  2762,  1169,  2756,  2763,  2948,  2794,  3340,
    2765,  1087,  1088,  2766,  2785,  2770,    86,    87,  2808,  2809,
    2815,  2823,  2816,  2825,     4,     5,     6,  2831,   342,  3022,
    2833,  3025,  2835,  3138,  2321,  3197,  2838,  2851,  3034,  2322,
    2853,  2323,  2839,  2052,  2053,  2054,  2858,  3341,  3342,  3343,
    3344,  2314,  3345,  1007,  2865,  3346,  2055,  2056,  1008,  1009,
    2878,  2888,  2297,  2889,  1213,  1213,  1011,  1212,  1212,  2890,
    2907,  2893,  2925,    99,   100,   101,   102,   103,   104,  2915,
     105,  3048,  2920,  2929,  2931,  2956,  2958,  3056,     7,  2942,
    2936,  2949,  2964,  2959,  2360,  2947,  2962,  3139,  2963,   286,
    2965,  2967,     8,  2969,  2972,  2990,  2988,  2991,  2992,  3140,
    2999,  1007,  3000,  3001,   343,  2324,  1008,  1009,  3002,  3005,
    3010,  3035,  1012,  2817,  1011,  1013,  3046,  3018,  3023,     9,
      10,    99,   100,   101,   102,   103,   104,  3027,   105,  3047,
    3347,  3029,  3030,  3031,  3221,  3064,  3052,  2259,  3067,  3068,
    3073,  3076,  3098,  3077,  1027,  3110,  3080,  3036,    86,    87,
    3083,  3105,  3106,   286,  3119,  3107,    11,  3122,    12,  3158,
      13,  3166,  3186,  3189,    14,  3190,  3164,  3192,  3195,  3121,
    1012,    15,  2057,  1013,  2058,  3165,  3201,  3305,  3179,  3306,
    3307,  3205,  3232,  3289,  3308,  3309,  1089,  3310,  3294,  3295,
    3225,  3282,  3361,  3380,  3311,  3312,   286,  3224,  3247,  3292,
    3298,  3366,  3378,    16,  1327,  3313,  2986,    17,  3365,  3373,
    3374,  3084,    18,    19,  3376,  3180,  3375,  3377,  2902,  3381,
    2902,  3384,  3379,  3382,  3389,  3390,  3399,  3400,  2059,  3401,
    3406,  3141,  3142,  3143,  3407,  3409,  1027,  3437,  3412,  1090,
      86,    87,  3413,  1007,  3424,  3439,  3438,  3448,  1008,  1009,
    3441,  3452,  3455,  3461,  3111,  3462,  1011,  3463,  1328,  1372,
    3203,  3465,  3484,    99,   100,   101,   102,   103,   104,  3470,
     105,  3486,  3478,  1372,  1372,  1372,  3481,  3483,  3485,  3487,
    3489,  3492,  3236,  3491,   286,  3498,  2846,  3248,  3502,   286,
    3249,   286,  3508,  3518,   286,  3521, -1583, -1583, -1583,  1215,
    1215,  3522,  3280,  3520,  3314,  3525,  3283,  3526,  3287,  3288,
    3537,  3291,  1012,  3532,  3529,  1013, -1583, -1583, -1583, -1583,
   -1583,  1239,  1240,  1241,  1242,  3530,  3531,  1243,  1141,  1329,
    3538,  3536,  3541,  3546,  1360,  1007,  3548,  3549,  3563,  3581,
    1008,  1009,  2600,  1330,  1331,  1332,  1333,  1334,  1011,  3566,
    3367,  3573,  3368,  3369,  3370,    99,   100,   101,   102,   103,
     104,  3574,   105,  3578,  3579,    20,  3600,  3601,  3597,  3612,
    3608,  1169,  2266,  1530,  3613,  3383,  3617,  1388,  3388,  2360,
    3641,  1142,  1007,  3398,  3642,  3643,  3678,  1008,  1009,   286,
    1091,  1092,  1093,  1094,  2036,  1011,  3648,  2267,  2298,  2299,
    3660,  2300,  3144,  1143,  1012,  3647,  2301,  1013,  3680,  2302,
    3672,  1427,  3676,  3681,  3682,  3685,  2720,  1132,  1095,  1442,
    3436,  2037,  1133,  1096,  2625,  2038,  1335,  2633,  1097,  3449,
    3450,  3451,  3683,  1467,  3454,  2985,  3457,  3182,  3460,  2916,
    2678,  1478,  2679,  2680,  2681,  3464,  3183,  3364,  3181,  2917,
    2291,  1012,  1611,  2918,  1013,  2712,  2879,  3466,  3467,  2008,
    3542,  1505,  3468,  3469,  1508,  1203,  1510,  3543,  2009,  2937,
    3043,  2010,  3039,  1599,  3533,  1099,  1517,  2464,  2268,  1363,
    3539,  2402,  2403,  3408,  3494,  3427,  2477,  3086,  1704,  3494,
    3087,  2951,  2966,  3204,  2190,  3503,  2997,  3013,  3607,  3126,
    3472,  3496,  3517,  3619,  3621,  3499,  2860,  3500,  2303,  2864,
    1966,  3528,  2082,  2106,  1768,  1578,     0,  1581,     0,     0,
       0,     0,     0,     0,  2233,     0,     0,     0,     0,     0,
       0,  2234,     0,     0,     0,    21,     0,     0,     0,    22,
       0,     0,     0,     0,     0,     0,     0,     0,  1372,  1372,
    1372,     0,     0,     0,     0,     0,     0,  1134,  3558,  3559,
    3560,  3561,  3562,     0,     0,     0,  1098,  1372,  1372,     0,
    1372,  1372,  3569,  3570,     0,     0,     0,     0,     0,   286,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   286,
       0,   286,     0,     0,     0,  1336,     0,     0,     0,     0,
       0,     0,  1118,     0,     0,     0,  2235,     0,     0,  3585,
    3586,  3587,     0,     0,     0,     0,     0,     0,     0,    86,
      87,     0,     0,  3591,  3592,     0,     0,  2122,     0,  3595,
       0,  2236,  2237,     0,     0,     0,  1121,  3547,     0,     0,
    1144,  1145,  3606,     0,     0,  3609,  3610,  3611,     0,  1122,
       0,     0,  3615,  3616,     0,    86,    87,     0,  1123,     0,
       0,  3624,  2269,  2270,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3627,  3628,  3629,     0,
       0,     0,     0,     0,     0,     0,  3630,     0,     0,  1372,
    3634,     0,     0,  3635,  3636,     0,     0,  1146,  1147,  1148,
       0,     0,  2238,     0,  2239,     0,  2240,     0,  1149,     0,
       0,     0,  2241,     0,  1007,     0,  3645,  3646,     0,  1008,
    1009,     0,     0,  2307,     0,     0,     0,  1011,  2986,     0,
       0,     0,     0,     0,    99,   100,   101,   102,   103,   104,
       0,   105,     0,     0,     0,     0,     0,     0,     0,     0,
    1007,     0,     0,     0,     0,  1008,  1009,     0,     0,  2146,
       0,     0,     0,  1011,  1816,  3673,  3674,     0,  3662,  3663,
      99,   100,   101,   102,   103,   104,  3665,   105,     0,     0,
    3667,     0,     0,  1012,     0,  3669,  1013,  1229,  1230,  1231,
    3670,     0,     0,  1835,     0,  2242,     0,     0,  1844,  1845,
    1135,  2243,     0,     0,     0,     0,  1852,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  1242,     0,     0,  1243,  1012,
     180,     0,  1013,     0,  1882,     0,     0,     0,     0,     0,
       0,  1889,  1890,  2244,  1892,  1893,     0,  1895,  1896,  1897,
    1898,  1899,  1900,  2245,  2246,  1903,  1904,  2271,  1906,     0,
    2247,  1909,  1910,     0,     0,     0,  2360,  1915,     0,  1917,
       0,   286,  2248,     0,  1229,  1230,  1231,  1232,  1233,  2249,
    1925,  1928,  1929,     0,  2250,  1930,     0,     0,     0,     0,
       0,  2251,     0,     0,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,  1242,  1169,   286,  1243,   174,     0,   175,   176,
     177,   178,   179,   180,     0,     0,     0,   181,   182,     0,
       0,  1949,     0,     0,     0,   183,   184,  1627,     0,     0,
     185,  2147,     0,     0,  1955,     0,  1229,  1230,  1231,  1232,
    1233,     0,   186,   187,    86,    87,   188,   189,     0,     0,
     190,     0,  1969,  1970,     0,     0,  1234,  1235,  1236,  1237,
    1238,  1239,  1240,  1241,  1242,     0,     0,  1243,     0,     0,
      86,    87,     0,     0,   935,   936,   937,   938,   939,   940,
     941,   942,   943,   944,     0,   945,   946,   947,   948,   949,
     950,   951,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,  1199,  1200,  1201,
    1202,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,     0,   210,
       0,   211,     0,     0,   215,   212,  2871,     0,     0,  1007,
     213,  2308,     0,     0,  1008,  1009,     0,     0,  1010,  1659,
       0,     0,  1011,  1660,  1661,   216,   217,   218,   219,    99,
     100,   101,   102,   103,   104,  1007,   105,     0,   214,     0,
    1008,  1009,     0,     0,     0,     0,     0,     0,  1011,     0,
       0,     0,     0,     0,     0,    99,   100,   101,   102,   103,
     104,     0,   105,     0,     0,  2309,  2252,     0,     0,     0,
    1107,     0,     0,     0,     0,     0,     0,     0,  1012,     0,
       0,  1013,     0,     0,     0,     0,   953,   215,     0,     0,
       0,     0,     0,     0,     0,     0,  1014,   220,     0,     0,
       0,     0,     0,     0,  1012,     0,     0,  1013,   216,   217,
     218,   219,     0,     0,     0,     0,     0,     0,     0,     0,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
    1108,     0,     0,     0,     0,     0,     0,     0,  1662,  1663,
    1664,  1665,  1666,  1667,     0,  1668,     0,     0,   231,   232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2310,
    1109,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   233,     0,     0,     0,     0,
     220,     0,     0,     0,     0,  2160,  2162,     0,     0,   234,
       0,     0,     0,     0,     0,  2148,     0,     0,     0,  2174,
    2175,     0,     0,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   237,   238,   239,   240,  1118,     0,  1669,
    1670,  1671,  1672,  1673,  1674,  1675,  1676,  1677,  1678,  1679,
       0,   231,   232,     0,     0,     0,  1007,     0,     0,     0,
       0,  1008,  1009,     0,     0,     0,  1119,  1120,     0,  1011,
    2211,  1121,     0,     0,     0,     0,     0,  2217,   233,     0,
       0,  2221,  2222,  2223,  1122,     0,     0,     0,     0,     0,
       0,     0,   234,  1123,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,     0,     0,
       0,     0,   241,   242,     0,  2294,   237,   238,   239,   240,
       0,     0,     0,     0,     0,  1012,     0,     0,  1013,     0,
     243,   244,  2342,  2343,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,     0,     0,     0,  1110,  1111,  1112,
    2130,     0,  1228,  2131,  2132,   241,   242,  1229,  1230,  1231,
    1232,  1233,     0,     0,     0,     0,   282,   283,     0,     0,
       0,     0,     0,   243,   244,     0,     0,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  1242,     0,     0,  1243,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   174,     0,   175,
     176,   177,   178,   179,   180,     0,     0,     0,   181,   182,
       0,  2455,  2456,     0,     0,     0,   183,   184,  2093,   282,
     283,   185,   284,     0,  1015,     0,     0,     0,   285,  3251,
       0,     0,     0,   186,   187,   986,     0,   188,   189,     0,
       0,   190,     0,     0,     0,     0,     0,     0,     0,     0,
    1113,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2504,   987,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2513,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   988,     0,   191,   192,  1199,  1200,
    1201,  1202,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,     0,
     210,     0,   211,     0,  2534,     0,   212,     0,     0,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2873,     0,     0,     0,     0,  2554,  2555,  2557,  2558,
       0,     0,  2767,  2768,     0,     0,     0,   989,     0,   214,
       0,     0,     0,   990,     0,     0,     0,   991,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2581,     0,
    2584,     0,  2770,     0,     0,  2591,   992,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3252,  3253,  3254,     0,     0,     0,     0,  2614,   215,   935,
     936,   937,   938,   939,   940,   941,   942,   943,   944,     0,
     945,   946,   947,   948,   949,   950,   951,     0,     0,   216,
     217,   218,   219,     0,     0,     0,     0,     0,  3255,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2133,     0,     0,  3256,     0,  3257,  3258,     0,     0,
       0,     0,     0,     0,  3259,     0,     0,  3260,     0,     0,
       0,     0,     0,     0,     0,     0,  3261,     0,     0,     0,
       0,  3262,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3263,     0,     0,     0,     0,     0,
       0,   220,     0,   993,     0,     0,   994,     0,     0,     0,
       0,   995,     0,     0,     0,     0,     0,     0,     0,  1707,
       0,     0,     0,     0,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,  1176,  1550,  1551,  1552,     0,     0,
    3264,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   953,   231,   232,     0,     0,     0,     0,   996,     0,
       0,     0,   997,   998,     0,     0,   186,     0,     0,     0,
     188,   189,     0,     0,     0,     0,     0,     0,     0,   233,
    2744,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   234,     0,     0,  1708,   999,     0,     0,
       0,     0,     0,     0,     0,  3265,   235,   236,  3266,  3267,
    3268,     0,     0,     0,     0,     0,  3269,   237,   238,   239,
     240,  3270,     0,     0,  1000,     0,     0,  1709,     0,  2784,
       0,  3271,     0,     0,     0,     0,     0,  3272,     0,     0,
    2801,  2802,  2803,     0,     0,  2807,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1710,  1530,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1711,     0,
       0,     0,  1712,     0,     0,  1713,  1714,     0,     0,  2830,
    1715,     0,     0,     0,  1001,     0,     0,     0,     0,     0,
       0,     0,   214,     0,     0,     0,   241,   242,     0,     0,
       0,  1716,     0,     0,     0,     0,     0,     0,  2850,     0,
       0,     0,     0,     0,   243,   244,     0,     0,     0,     0,
       0,     0,     0,     0,  1717,  1718,  1719,     0,  1720,  1721,
    1722,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,  1027,     0,
    1028,     0,  1029,  1030,     0,     0,     0,     0,     0,  3273,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     282,   283,     0,   284,     0,     0,     0,     0,     0,   285,
       0,     0,     0,     0,     0,     0,  1031,     0,   935,   936,
     937,   938,   939,   940,   941,   942,   943,   944,     0,   945,
     946,   947,   948,   949,   950,   951,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1032,
       0,     0,     0,     0,     0,     0,  2961,   935,   936,   937,
     938,   939,   940,   941,   942,   943,   944,     0,   945,   946,
     947,   948,   949,   950,   951,     0,     0,  1007,  2968,     0,
       0,     0,  1008,  1009,     0,  1033,  1034,     0,     0,     0,
    1011,  1035,     0,     0,     0,     0,     0,  1036,  1037,  1038,
    1039,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1040,     0,     0,     0,  1041,     0,  1042,  3003,     0,
       0,     0,     0,     0,  3004,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3008,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   952,  1012,     0,     0,  1013,
       0,     0,     0,     0,     0,     0,     0,     0,  1043,     0,
     953,     0,  1044,     0,  1045,     0,     0,  3026,  1046,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   953,
       0,     0,     0,     0,  1047,     0,     0,     0,  1048,  1049,
       0,     0,     0,     0,     0,     0,     0,  1050,     0,     0,
       0,     0,     0,  1051,  1052,     0,  1053,     0,     0,     0,
    1054,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1055,     0,     0,     0,  1056,
    1057,     0,  1058,  1059,     0,     0,  1060,  3100,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1061,  1062,     0,     0,     0,  1063,  1064,  1065,     0,     0,
       0,     0,     0,     0,     0,  1066,     0,     0,     0,  1067,
       0,     0,  1068,  1069,     0,  1070,     0,  1071,     0,  3120,
    1072,  1073,     0,     0,  3123,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1074,     0,  1075,
       0,     0,     0,     0,     0,     0,     0,  1076,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3198,     0,   174,
       0,   175,   176,   177,   178,   179,   180,  3206,     0,     0,
     181,   182,     0,     0,     0,     0,     0,     0,   183,   184,
    2389,     0,     0,   185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   186,   187,     0,     0,   188,
     189,     0,  3279,   190,  3281,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3293,     0,     0,  3296,
    3297,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   191,   192,
       0,     0,     0,     0,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,     0,   210,     0,   211,     0,     0,     0,   212,     0,
       0,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,  1077,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   214,     0,     0,     0,  3440,     0,     0,     0,     0,
       0,     0,     0,     0,  3453,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     215,     0,     0,     0,     0,  3482,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   216,   217,   218,   219,     0,     0,  3504,     0,  3507,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3557,     0,
       0,     0,     0,   220,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3571,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3580,     0,     0,     0,
       0,     0,     0,     0,   231,   232,     0,  3588,     0,     0,
       0,  3590,     0,     0,     0,     0,     0,  3593,  3594,     0,
       0,  3596,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   233,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3614,     0,     0,   234,  3618,     0,  3620,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
       0,     0,     0,     0,  3625,  3626,     0,     0,     0,   237,
     238,   239,   240,     0,     0,     0,     0,     0,     0,  3632,
       0,     0,     0,     0,     0,     0,  3637,     0,  3638,  3639,
    3640,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3651,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3656,     0,     0,     0,     0,     0,     0,     0,   241,   242,
       0,     0,     0,     0,     0,     0,  3661,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   243,   244,     0,     0,
       0,     0,  3668,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3671,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     174,     0,   175,   176,   177,   178,   179,   180,     0,     0,
       0,   181,   182,     0,     0,     0,     0,     0,     0,   183,
     184,  2393,   282,   283,   185,   284,     0,     0,     0,     0,
       0,   285,     0,     0,     0,     0,   186,   187,     0,     0,
     188,   189,     0,     0,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,     0,     0,     0,     0,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,     0,   210,     0,   211,     0,     0,     0,   212,
       0,     0,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   214,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   215,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   216,   217,   218,   219,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   231,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   233,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     237,   238,   239,   240,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   241,
     242,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   174,     0,   175,   176,   177,   178,   179,   180,     0,
       0,     0,   181,   182,     0,     0,     0,     0,     0,     0,
     183,   184,  2927,   282,   283,   185,   284,     0,     0,     0,
       0,     0,   285,     0,     0,     0,     0,   186,   187,     0,
       0,   188,   189,     0,     0,   190,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     191,   192,     0,     0,     0,     0,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,     0,   210,     0,   211,     0,     0,     0,
     212,     0,     0,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   214,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   215,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   216,   217,   218,   219,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   220,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   231,   232,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   233,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   237,   238,   239,   240,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     241,   242,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   243,   244,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   174,     0,   175,   176,   177,   178,   179,   180,
       0,     0,     0,   181,   182,     0,     0,     0,     0,     0,
       0,   183,   184,  2932,   282,   283,   185,   284,     0,     0,
       0,     0,     0,   285,     0,     0,     0,     0,   186,   187,
       0,     0,   188,   189,     0,     0,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,     0,     0,     0,     0,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,     0,   210,     0,   211,     0,     0,
       0,   212,     0,     0,     0,     0,   213,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   214,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   215,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   216,   217,   218,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   231,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   233,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   237,   238,   239,   240,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   241,   242,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   174,     0,   175,   176,   177,   178,   179,
     180,     0,     0,     0,   181,   182,     0,     0,     0,     0,
       0,     0,   183,   184,  2934,   282,   283,   185,   284,     0,
       0,     0,     0,     0,   285,     0,     0,     0,     0,   186,
     187,     0,     0,   188,   189,     0,     0,   190,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   191,   192,     0,     0,     0,     0,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,     0,   210,     0,   211,     0,
       0,     0,   212,     0,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   214,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   215,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   216,   217,   218,   219,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   220,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   231,   232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   233,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   237,   238,   239,   240,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   241,   242,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     243,   244,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   174,     0,   175,   176,   177,   178,
     179,   180,     0,     0,     0,   181,   182,     0,     0,     0,
       0,     0,     0,   183,   184,     0,   282,   283,   185,   284,
       0,     0,     0,     0,     0,   285,     0,     0,     0,     0,
     186,   187,     0,     0,   188,   189,     0,     0,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,     0,     0,     0,     0,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,     0,   210,     0,   211,
       0,     0,     0,   212,     0,     0,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   214,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   215,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   216,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   220,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   231,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2345,     0,     0,     0,   233,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   187,   235,   236,     0,     0,     0,     0,   190,
       0,     0,     0,     0,   237,   238,   239,   240,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2346,  2347,  2348,  2349,  2350,  2351,  2352,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2353,     0,
       0,  2354,  2355,     0,     0,     0,     0,     0,     0,     0,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   241,   242,  2356,     0,  2357,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   215,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   282,   283,     0,
     284,     0,     0,     0,     0,     0,   285,   216,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     231,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2345,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   233,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   234,     0,     0,     0,   187,     0,     0,     0,     0,
       0,     0,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   237,   238,   239,   240,     0,
       0,     0,     0,     0,     0,     0,  2346,  2347,  2348,  2349,
    2350,  2351,  2352,   935,   936,   937,   938,   939,   940,   941,
     942,   943,   944,     0,   945,   946,   947,   948,   949,   950,
     951,  2353,     0,     0,  2354,  2355,     0,     0,     0,     0,
       0,     0,     0,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2356,     0,
    2357,     0,     0,     0,   241,   242,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   243,   244,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,     0,     0,     0,   215,
       0,     0,     0,     0,     0,   953,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   282,   283,
     216,   217,   218,   219,  2358,  2359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2345,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   220,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   187,     0,     0,     0,     0,     0,     0,
     190,     0,     0,     0,     0,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2346,  2347,  2348,  2349,  2350,  2351,
    2352,     0,     0,   231,   232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2353,
       0,     0,  2354,  2355,     0,     0,     0,     0,     0,     0,
     233,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,     0,   234,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2356,     0,  2357,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   237,   238,
     239,   240,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   215,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   241,   242,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   216,   217,
     218,   219,     0,     0,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     220,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   282,   283,     0,     0,     0,     0,  2358,     0,     0,
       0,     0,     0,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   231,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2725,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   233,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,     0,     0,     0,   187,     0,     0,     0,
       0,     0,     0,   190,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   237,   238,   239,   240,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   241,   242,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,     0,     0,     0,
     215,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   282,
     283,   216,   217,   218,   219,  2358,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   220,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   231,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   233,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   237,
     238,   239,   240,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   241,   242,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   243,   244,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
       0,     0,     0,     0,     0,     0,     0,   367,   368,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   282,   283,     0,  2726,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,     0,     0,     0,
       0,     0,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,   683,   684,   685,   686,
     687,   688,   689,   690,   691,   692,   693,   694,   695,   696,
     697,   698,   699,   700,   701,   702,   703,   704,   705,   706,
     707,   708,   709,   710,   711,   712,   713,   714,   715,   716,
     717,   718,   719,   720,   721,   722,   723,   724,   725,   726,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   746,
     747,   748,   749,   750,   751,   752,   753,     0,     0,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,   784,
     785,   786,   787,   788,   789,   790,   791,   792,   793,   794,
     795,   796,   797,   798,   799,   800,   801,   802,   803,   804,
     805,   806,   807,   808,   809,   810,   811,   812,   813,   814,
     815,   816,   817,   818,   819,   820,   821,   822,   823,   824,
     825,   826,   827,   828,   829,   830,   831,   832,   833,   834,
     835,   836,   837,   838,     0,   839,   840,   841,   842,   843,
     844,   845,   846,   847,   848,   849,   850,   851,   852,   853,
     854,   855,   856,   857,   858,   859,   860,   861,   862,   863,
     864,   865,   866,   867,   868,   869,   870,   871,   872,   873,
     874,   875,   876,   877,   878,   879,   880,   881,   882,   883,
     884,   885,   886,   887,   888,   889,   890,   891,   892,   893,
     894,   895,   896,   897,   898,   899,   900,   901,   902,   903,
     904,   905,   906,   907,   908,   909,   910,   911,   912,   913,
     914,   915,   916,   917,   918,   919,   920,   921,   922,   923,
     924,   925,   926,   927,   928,   367,   368,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,  1004,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,     0,     0,     0,     0,     0,
     589,   590,   591,   592,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,   683,   684,   685,   686,   687,   688,
     689,   690,   691,   692,   693,   694,   695,   696,   697,   698,
     699,   700,   701,   702,   703,   704,   705,   706,   707,   708,
     709,   710,   711,   712,   713,   714,   715,   716,   717,   718,
     719,   720,   721,   722,   723,   724,   725,   726,   727,   728,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   746,   747,   748,
     749,   750,   751,   752,   753,     0,     0,   754,   755,   756,
     757,   758,   759,   760,   761,   762,   763,   764,   765,   766,
     767,   768,   769,   770,   771,   772,   773,   774,   775,   776,
     777,   778,   779,   780,   781,   782,   783,   784,   785,   786,
     787,   788,   789,   790,   791,   792,   793,   794,   795,   796,
     797,   798,   799,   800,   801,   802,   803,   804,   805,   806,
     807,   808,   809,   810,   811,   812,   813,   814,   815,   816,
     817,   818,   819,   820,   821,   822,   823,   824,   825,   826,
     827,   828,   829,   830,   831,   832,   833,   834,   835,   836,
     837,   838,     0,   839,   840,   841,   842,   843,   844,   845,
     846,   847,   848,   849,   850,   851,   852,   853,   854,   855,
     856,   857,   858,   859,   860,   861,   862,   863,   864,   865,
     866,   867,   868,   869,   870,   871,   872,   873,   874,   875,
     876,   877,   878,   879,   880,   881,   882,   883,   884,   885,
     886,   887,   888,   889,   890,   891,   892,   893,   894,   895,
     896,   897,   898,   899,   900,   901,   902,   903,   904,   905,
     906,   907,   908,   909,   910,   911,   912,   913,   914,   915,
     916,   917,   918,   919,   920,   921,   922,   923,   924,   925,
     926,   927,   928,   367,   368,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,  1339,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,     0,     0,     0,     0,     0,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,   683,   684,   685,   686,   687,   688,   689,   690,
     691,   692,   693,   694,   695,   696,   697,   698,   699,   700,
     701,   702,   703,   704,   705,   706,   707,   708,   709,   710,
     711,   712,   713,   714,   715,   716,   717,   718,   719,   720,
     721,   722,   723,   724,   725,   726,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,   746,   747,   748,   749,   750,
     751,   752,   753,     0,     0,   754,   755,   756,   757,   758,
     759,   760,   761,   762,   763,   764,   765,   766,   767,   768,
     769,   770,   771,   772,   773,   774,   775,   776,   777,   778,
     779,   780,   781,   782,   783,   784,   785,   786,   787,   788,
     789,   790,   791,   792,   793,   794,   795,   796,   797,   798,
     799,   800,   801,   802,   803,   804,   805,   806,   807,   808,
     809,   810,   811,   812,   813,   814,   815,   816,   817,   818,
     819,   820,   821,   822,   823,   824,   825,   826,   827,   828,
     829,   830,   831,   832,   833,   834,   835,   836,   837,   838,
       0,   839,   840,   841,   842,   843,   844,   845,   846,   847,
     848,   849,   850,   851,   852,   853,   854,   855,   856,   857,
     858,   859,   860,   861,   862,   863,   864,   865,   866,   867,
     868,   869,   870,   871,   872,   873,   874,   875,   876,   877,
     878,   879,   880,   881,   882,   883,   884,   885,   886,   887,
     888,   889,   890,   891,   892,   893,   894,   895,   896,   897,
     898,   899,   900,   901,   902,   903,   904,   905,   906,   907,
     908,   909,   910,   911,   912,   913,   914,   915,   916,   917,
     918,   919,   920,   921,   922,   923,   924,   925,   926,   927,
     928,  3037,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   187,     0,     0,     0,     0,     0,     0,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2015,  2016,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,     0,   187,     0,     0,     0,     0,     0,     0,   190,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   215,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   216,   217,   218,   219,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   215,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   220,     0,
       0,     0,     0,     0,     0,     0,     0,   216,   217,   218,
     219,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   231,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   233,     0,     0,   220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,     0,     0,   237,   238,   239,   240,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     231,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   233,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   241,   242,   237,   238,   239,   240,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   241,   242,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   282,   283,     0,
       0,     0,   243,   244,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   282,   283
};

static const yytype_int16 yycheck[] =
{
       7,   179,   174,   285,   179,     3,    91,   978,   319,   285,
     106,   162,   163,  1390,   110,  1052,  1053,   154,    84,   152,
     342,  1120,    88,    89,  1091,  1513,   322,  1101,  2781,   162,
     163,  1449,  1274,   144,     7,     7,  1658,  1658,     7,   150,
    1967,   152,     7,   154,  2001,  2002,  2003,  2004,    25,  1967,
       7,   162,   163,  1187,  1188,  2563,  2564,  2565,     7,   170,
     112,   357,     7,  1197,  1198,    28,   137,    50,   139,  1453,
     141,     3,   143,  1315,   145,    68,   147,    88,   149,    75,
     151,    28,  2300,    90,   155,    64,   157,    16,   159,  2436,
     161,     7,    21,   156,  1163,  1164,  1165,   168,   169,  1168,
      16,  1170,     6,  1132,    33,    21,    35,   285,    40,  2969,
     285,  1710,    16,    17,    18,    19,    20,    33,    50,    35,
      11,    12,    54,    55,    16,    17,    18,    19,    20,    21,
      11,    12,    42,    42,     8,     9,    10,    11,    12,    18,
      19,    90,    21,    16,    17,    18,    19,    20,    16,    81,
      25,    28,   150,    21,    28,    29,    30,    31,    32,    33,
      34,    35,    36,     4,  1763,    39,  2093,   174,     8,     9,
      10,    11,    12,    41,    42,    43,    44,  1274,   185,    16,
      17,    18,    19,    20,    21,    42,    33,    34,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    18,    19,    39,
      21,    66,    50,    80,    21,   313,   314,   139,    25,   141,
     142,    18,    19,   145,    21,   147,   324,   149,    25,   151,
     152,   153,    16,   155,    18,    18,    19,    21,    21,    48,
      18,    19,   223,    21,    53,    50,   185,   169,   170,   171,
     172,   173,   174,    48,   176,  1274,   156,   156,    53,   345,
     346,   347,   348,   349,   350,   351,   352,    51,  3167,     8,
       9,    10,    11,    12,    16,    25,    16,   277,   499,    21,
      16,    21,   187,   157,   130,    21,   328,   284,   285,    28,
      29,    30,    31,    32,    33,    34,    35,    36,   281,   221,
      39,    41,    42,    43,    44,   227,  2644,  3033,    52,   156,
       3,   233,   234,     8,     9,    10,    11,    12,    16,    16,
    2818,    18,    16,    21,    21,  3033,    16,    21,    52,   298,
    1387,    21,    50,    28,    29,    30,    31,    32,    33,    34,
      35,    36,  3033,   351,    39,   284,     8,     9,    10,    11,
      12,    41,    42,    43,    44,  1967,  1967,    16,    17,    18,
      19,    20,    21,   228,    37,  1725,    28,    29,    30,    31,
      32,    33,    34,    35,    36,  3225,   234,    39,     8,     9,
      10,    11,    12,    21,  1411,   237,     0,    16,    17,    18,
      19,    20,    21,   614,   299,  2732,   235,  1358,    28,    29,
      30,    31,    32,    33,    34,    35,    36,   161,   612,    39,
     614,   412,   385,    16,  1781,  3158,    16,    16,    21,  1543,
       3,    21,    21,     8,     9,    10,    11,    12,    16,    16,
     182,   155,  1556,    21,    21,     8,     9,    10,    11,    12,
     161,    52,  1920,    28,    29,    30,    31,    32,    33,    34,
      35,    36,   304,   136,    39,    28,    29,    30,    31,    32,
      33,    34,    35,    36,  3363,   473,    39,     8,     9,    10,
      11,    12,    21,  2681,   134,    19,    25,    21,    16,    48,
      16,  2093,  2093,    21,    53,    21,   236,    28,    29,    30,
      31,    32,    33,    34,    35,    36,   240,  2674,    39,   373,
     339,   501,   242,  2680,    42,    41,    42,    43,    44,    16,
      17,    18,    19,    20,   238,   239,   240,   267,   156,   243,
      92,    21,    21,    34,  2441,    25,    26,    26,     8,     9,
      10,    11,    12,    48,  1561,  3033,  1563,     3,    53,  1598,
     161,     8,     9,    10,    11,    12,   300,   385,    28,    29,
      30,    31,    32,    33,    34,    35,    36,  1518,  1519,    39,
     613,    28,    29,    30,    31,    32,    33,    34,    35,    36,
     130,   330,    39,     8,     9,    10,    11,    12,   199,   300,
     385,   234,   391,   392,  1958,     8,     9,    10,    11,    12,
     162,    51,     3,    28,    29,    30,    31,    32,    33,    34,
      35,    36,     3,    88,    39,    28,    29,    30,    31,    32,
      33,    34,    35,    36,   614,   234,    39,     8,     9,    10,
     521,  1708,   210,   210,   297,    16,  3124,   138,   614,   240,
      21,   614,   166,   614,    21,  3361,  3362,    28,    29,    30,
    1764,   381,    48,   143,   143,  3258,   613,    53,   611,   612,
     612,   129,   611,    16,  3362,   501,   611,   610,    21,     3,
     961,   962,   963,   323,   611,   161,   588,   385,    16,   270,
     155,  3362,   609,    21,   596,   597,   611,  2266,    41,    42,
      43,    44,   537,  2043,  2044,   268,   384,   609,   222,  1708,
     591,   610,  1924,    41,    42,    43,    44,   616,  3036,   618,
     454,  3039,    18,    19,   610,    21,   242,   279,  1009,   614,
     616,   283,   618,   613,   613,   326,   610,    21,   329,  3332,
     614,    25,   113,   114,    51,   461,   462,   486,   610,  2646,
     190,   612,   415,   454,   387,   617,     8,     9,    10,    11,
      12,   612,   609,   967,   611,   614,  2693,   610,  2695,   613,
      36,  2698,   610,  2700,  2701,   613,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    51,   613,    39,   387,   156,
     610,     8,     9,    10,    11,    12,   613,   610,   585,   586,
     587,   611,   612,   610,     8,     9,    10,    11,    12,  1013,
     617,    28,    29,    30,    31,    32,    33,    34,    35,    36,
     609,    51,    39,   614,    28,    29,    30,    31,    32,    33,
      34,    35,    36,   610,   609,    39,     8,     9,    10,    11,
      12,   161,   391,   392,   330,   321,   610,   333,    16,  2441,
    2441,   614,    21,    21,  1891,   613,    28,    29,    30,    31,
      32,    33,    34,    35,    36,   381,   395,    39,    53,   599,
     600,   601,   277,    41,    42,    43,    44,   197,  2470,  2470,
     460,    21,    21,   190,  3362,    25,    16,   609,   610,     3,
     610,    21,   611,   612,   610,   931,  2284,  3054,  3055,   150,
       8,     9,    10,    11,    12,  3062,  3063,    21,   974,   193,
     614,    41,    42,    43,    44,  1167,   195,   500,   954,   175,
      28,    29,    30,    31,    32,    33,    34,    35,    36,   130,
     952,    39,   610,   610,  3469,   609,   610,   612,  1977,    16,
     610,  1980,   964,   613,    21,  1011,  1012,   983,   291,   292,
      18,    19,   492,    21,   155,   977,   978,  3680,   159,   160,
     190,   501,   291,   164,    41,    42,    43,    44,   492,    34,
     612,   610,   385,   182,  2871,  1041,   177,    21,   955,   956,
     300,   301,    16,  2871,   612,   186,   614,    21,  1280,  1281,
    1282,  1283,  1284,  1285,   273,  1287,  1288,   164,  1290,  1291,
     184,   610,   612,   980,   238,   391,   392,    41,    42,    43,
      44,   340,   161,   613,   268,     9,    10,    11,    12,   158,
      21,  1163,  1164,  1165,    25,    19,  1168,   610,  1170,  1051,
     610,   610,  2069,   446,    21,   230,  2073,  2074,    25,   234,
     498,   499,   610,   610,   502,   503,  2638,   612,   178,   613,
     199,  1073,   610,   381,  2646,  2646,    36,   157,   616,   612,
     609,   980,     8,     9,    10,    11,    12,   138,   533,   169,
     170,  3606,  1094,   138,  3609,   329,    36,     8,     9,    10,
      11,    12,    28,    29,    30,    31,    32,    33,    34,    35,
      36,   612,   610,    39,   610,    16,  1118,    28,    29,    30,
      31,    32,    33,    34,    35,    36,   613,   403,    39,  2567,
     279,   280,   156,   298,   609,     8,     9,    10,    11,    12,
     613,  1143,   156,   610,   589,   590,   591,   592,   593,   594,
     610,   610,   610,  2140,   273,    28,    29,    30,    31,    32,
      33,    34,    35,    36,  3071,    16,    39,   610,   165,  3076,
      21,  3078,   612,   337,  3081,    16,   614,   342,   343,   231,
      21,   151,   163,  2267,   611,   279,   280,   351,  2237,   156,
      41,    42,    43,    44,    16,   359,   193,   194,  3115,    21,
      41,    42,    43,    44,    68,    69,  1163,  1164,  1165,  1166,
    1167,  1168,   610,  1170,   211,   295,   611,   167,   610,    41,
      42,    43,    44,  1449,   458,    68,    69,    21,   611,   337,
     278,    25,  1189,  1190,  1191,  1192,  1193,  1194,  1195,  2263,
     388,   389,   610,   609,  2475,   195,  1292,    68,    69,  2576,
      21,   329,  1209,  2484,    25,   363,   364,   610,   501,   610,
     230,   231,    21,   506,   234,    21,    25,  1166,  1225,    25,
     610,   323,  1229,  1230,  1231,  1232,  1233,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  1242,   612,   610,   614,  3166,
    1189,  1190,  1191,  1192,  1193,  1194,  1195,   610,  3166,  2871,
    2871,   458,   610,  1338,   356,  2877,  2877,   464,   610,    80,
    1209,  2883,  2883,   365,   612,   612,   614,  3234,  3235,  1321,
     617,  1449,    16,   273,  1449,   454,  1225,   152,  3245,  3246,
    1229,  1230,  1231,  1232,  1233,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,  1242,   286,  2908,   465,     3,  2911,   323,
     324,  2346,  2347,   323,  2917,  2918,  1358,  2952,   612,   478,
     479,  1382,   226,   617,   442,  1367,  1323,  1369,  2363,   319,
     612,   614,   609,  2604,    52,   617,   613,  2949,  2949,   611,
     614,  2612,   610,   226,   230,   156,   356,  2471,   234,   467,
    1347,    18,    19,  1439,    21,   365,    39,   156,    25,   528,
     156,    50,  1634,  1635,    16,   226,   231,   232,   233,    21,
     610,  1637,  1414,  1415,   611,     8,     9,    10,    11,    12,
    3015,    35,    36,  1551,  1323,    39,  1551,   611,   610,    41,
      42,    43,    44,   614,   404,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    52,   612,    39,    21,  1347,   220,
     617,    25,   316,    21,    87,  1457,  1537,    25,  1460,   611,
    1541,  2545,   610,   405,   406,   407,   408,  2551,     3,  3376,
    1742,  3378,  1744,   316,    75,   278,  1598,   126,   329,   282,
     129,    18,    19,   139,   140,   331,   229,   230,   334,  1735,
    1736,  1737,  1738,  1739,  1740,   316,    19,  1743,    21,  1745,
     610,  1747,  1748,    45,    46,    47,  3101,  1509,   164,  1637,
      18,    19,  1637,    21,    92,    16,  1518,  1519,  3409,    25,
      21,  3412,  3413,   611,     8,     9,    10,    11,    12,   130,
       3,  1533,  3127,  3424,   190,  1537,   431,   432,  2459,  1541,
      41,    42,    43,    44,    28,    29,    30,    31,    32,    33,
      34,    35,    36,   610,   155,    39,     3,   398,   159,   160,
     509,   510,   511,   164,  3159,    18,    19,    20,    21,  2586,
     342,   343,  1529,  1530,  1576,   609,   177,  1579,   612,    18,
      19,  1709,    21,   609,  1709,   186,   612,  1589,     8,     9,
      10,    11,    12,     3,  3166,  3166,   610,   609,   595,   284,
     612,     8,     9,    10,    11,    12,   354,   355,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    18,    19,    39,
      21,    28,    29,    30,    31,    32,    33,    34,    35,    36,
       3,  1530,    39,  2620,     8,     9,    10,    11,    12,     3,
     289,  1598,   220,   533,   534,    21,   158,   469,   297,   539,
      18,   163,   307,    21,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    18,    19,    39,    21,  1624,   156,  1626,
       8,     9,    10,    11,    12,    16,   277,  1634,  1635,     3,
     292,   612,  3573,  3574,   615,   611,  2320,  3578,  3579,  2323,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    25,
     611,    39,    48,   336,   180,   181,   182,   183,   286,     3,
      56,    57,    58,    59,     3,    61,    62,    63,  1918,  1765,
      66,  1921,    68,    69,   614,  1624,   521,  1626,    74,    75,
     363,    28,   612,  1779,   614,   159,   160,  1824,   611,  1774,
     373,  3648,  1788,  1826,    21,  1864,  1703,  1866,   609,    51,
     611,  1797,   609,  1710,  1711,   360,   268,   362,  1715,   610,
     609,  1777,   609,  1824,  1825,  1826,  3643,   235,  1725,   610,
     139,   140,   139,   140,  3681,  3643,   613,     8,     9,    10,
      11,    12,    46,    47,    86,    46,    47,   156,   610,   156,
     518,   292,   161,    21,   161,  2716,  2717,    28,    29,    30,
      31,    32,    33,    34,    35,    36,  1763,   149,    39,   178,
    2797,   178,   154,   155,    51,   184,   158,   613,   611,   612,
     162,   150,  1923,  1780,    18,    19,   237,  1829,  1830,  2075,
     609,  2077,   244,   245,   412,   613,   414,  1794,   416,   609,
    1842,   419,   115,   116,   117,   118,  1848,  1849,   150,  1865,
    2111,   609,  1854,  2774,  1856,  1977,   426,   427,  1980,   611,
     612,  2122,  1923,  1924,   613,  1867,  1868,   613,  1951,  1952,
    1953,   139,   613,  2119,   611,   612,   218,  1879,  1880,   221,
     392,  1883,   613,  1885,  1886,   351,  1888,   609,   190,    25,
    1951,  1952,  1953,   386,   196,  1794,   420,   421,  2885,   167,
    1902,    64,    65,   182,  2032,   291,   292,  2032,   541,   542,
     543,   544,   545,   215,   237,     8,     9,    10,    11,    12,
      11,    12,   394,   191,  1926,   193,   330,   195,   440,  1931,
     242,  2059,   139,   140,  2059,    28,    29,    30,    31,    32,
      33,    34,    35,    36,   303,   457,    39,   459,   331,   156,
     242,   463,   611,   612,   161,   467,   468,   164,   611,   612,
    1962,     8,     9,    10,    11,    12,   187,   188,   331,  2956,
    1972,   178,   199,   200,   309,  1923,   354,   184,   291,   292,
     151,    28,    29,    30,    31,    32,    33,    34,    35,    36,
     199,   200,    39,   368,   139,   140,   169,   170,   610,   166,
     167,   168,   360,   271,   272,   273,   274,   400,  2054,   309,
    1967,   156,  2058,   614,  3187,  3188,   161,   374,   611,   164,
    1977,  2564,  2565,  1980,   191,   192,   309,   376,   195,   303,
     609,  1988,  1989,   178,  1991,  1992,  1993,  1994,   609,     8,
       9,    10,    11,    12,  2001,  2002,  2003,  2004,   613,   613,
    2007,   609,   613,   613,  2011,  2090,  2091,   613,  2284,    28,
      29,    30,    31,    32,    33,    34,    35,    36,   477,   182,
      39,  3643,  3643,   197,   198,   392,   149,   385,  2094,   150,
     204,   205,   206,   207,   199,   200,   201,   202,   203,  1988,
    1989,   609,  1991,  1992,  1993,  1994,   613,     8,     9,    10,
      11,    12,   614,   199,   200,   201,   202,   203,  2007,   610,
    2126,   613,  2011,    70,    71,    72,    73,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    16,   611,    39,    16,
     609,   609,    21,   178,    48,   219,  2093,   187,   188,   189,
     164,   164,    56,    57,    58,    59,   609,    61,    62,    63,
     609,  2153,    66,   613,    68,    69,  2284,   613,   613,  2284,
      74,    75,   613,  2165,   609,   237,   609,   217,  2296,  2171,
    3091,   609,  2300,   613,     8,     9,    10,    11,    12,   182,
     380,   164,   291,   242,  3105,  3106,  3107,   609,   609,     3,
     240,   611,   609,   242,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    15,   611,    39,    16,    21,     8,     9,
      10,    11,    12,   613,   613,    36,   187,   188,   189,    16,
      33,    39,    16,  2269,    86,    34,     7,   612,    28,    29,
      30,    31,    32,    33,    34,    35,    36,   611,    16,    39,
     290,  2243,    16,   293,   294,     3,   217,     3,     3,   299,
       3,     3,    25,     3,     8,     9,    10,    11,    12,     3,
       3,     3,   604,   234,     3,     3,  2268,    81,   614,   240,
       3,  2228,   614,   611,    28,    29,    30,    31,    32,    33,
      34,    35,    36,     3,     3,    39,     3,   149,    21,     3,
       3,     3,   154,   155,     3,     3,   158,     3,     3,   610,
     162,   386,   609,   612,   609,   609,   612,  2309,   609,  2266,
      21,   130,  2314,   394,   182,    18,    19,    20,    21,   290,
     242,   242,   293,   294,   609,   139,   386,  2329,   299,   609,
     149,    64,   182,   609,  2462,   154,   155,  2462,   152,   153,
     159,   160,   242,   162,   242,   164,   366,    50,   222,  3336,
     164,    54,    55,   231,   242,   609,   218,   609,   177,   221,
     613,   609,    37,     8,     9,    10,  2368,   186,   150,    48,
     242,   242,   242,    52,   609,    54,    55,   242,   393,    53,
     611,    53,   386,    28,    29,    30,   609,   609,   366,  2346,
    2347,   182,  2349,   222,    48,   231,  2353,  2354,    48,   218,
      16,   178,   221,    50,    16,   185,  2363,    54,    55,    59,
     336,   609,   315,    16,    64,    51,   149,    16,  2434,    34,
     138,  2437,   612,   611,   611,    16,   612,   612,   612,  2386,
     611,  2388,    53,   295,   296,    53,     3,   164,   164,    21,
     302,     3,   304,     3,    13,   611,    93,  2346,  2347,   609,
    2349,    48,   609,   609,  2353,  2354,  2458,  2459,    34,  3380,
    3381,  3382,   612,   609,  2363,    50,   609,   286,   113,   114,
     149,   278,   613,   176,   387,   154,   155,   242,  3399,  3400,
     609,  3402,  3403,   162,  2441,   182,  2488,  2386,  2490,  2388,
     169,   170,   171,   172,   173,   174,   242,   176,   609,   609,
     366,   609,   149,   609,   237,  2507,   609,   154,   155,   609,
     387,   242,   159,   160,   609,   162,     5,   609,   611,   609,
     609,   609,   169,   170,   171,   172,   173,   174,   178,   176,
     609,   609,   609,   187,   188,   189,   234,   187,   188,   218,
     609,   609,   221,   609,   609,   609,   609,   609,   609,   366,
    2675,   609,   609,  2681,   609,   609,   609,   609,   609,   179,
      50,   240,   609,   217,   614,   609,   609,   217,  3555,  3556,
     609,   218,    52,    50,   221,    16,  2578,  2579,  2535,    16,
      25,  2583,   236,   178,   231,   613,   236,    19,  2590,    16,
      34,  2593,    34,   612,    16,  3582,    21,     3,     3,     3,
    3521,     3,     3,     3,   337,    16,     3,  2642,   193,     3,
     195,     3,    92,     3,   609,   611,  2618,  2619,   612,   298,
    2622,    16,  2624,   609,   241,   609,    25,   241,  2630,    41,
     164,   288,   609,   303,   305,   289,   609,   291,   292,   224,
     609,   291,   292,   614,   149,   299,   231,   609,   242,   299,
     609,   612,   242,   609,   333,   309,   609,   609,   312,  2781,
     310,   311,   312,   609,   609,   609,   609,   609,   609,   182,
    2672,   609,   609,   323,   614,   325,  2678,   327,   411,   609,
     609,  2638,   267,   163,   269,   364,   609,   366,   230,  2646,
    2647,   609,  2649,   609,   279,  2652,  2742,   351,   609,   609,
     614,   609,   609,   609,   289,   438,   317,   609,   609,   386,
       3,   380,   164,   182,  2716,  2717,   230,    59,   362,  2721,
    2722,   375,    20,   308,   164,  2741,  2683,  2684,    21,   609,
     426,   426,   167,   609,   609,   237,  2693,   470,  2695,   471,
     609,  2698,   609,  2700,  2701,   134,  2703,   516,  2647,   609,
    2649,   231,   614,  2652,   184,   523,   523,   237,   351,   612,
     240,   446,   447,   448,   449,   450,   451,   452,   453,  2726,
      52,   609,  2774,  2775,    36,   609,    39,   610,    54,    55,
     610,    28,   610,   609,  2683,  2684,  3012,  3013,    39,   443,
      28,    36,    34,    16,    19,   614,   612,   612,     3,   610,
       3,  3033,    99,    16,  2703,   187,   188,   609,   614,   609,
     609,   242,   466,   242,   306,   613,    92,   150,   178,   609,
     422,   609,   418,   609,  2781,   417,   609,  2726,   386,   483,
     609,    49,    50,   609,   609,   217,    54,    55,   386,   317,
     380,    20,    59,   338,    77,    78,    79,   613,   433,  2851,
     613,  2853,   613,   235,   533,   609,   613,    64,  2874,   538,
     178,   540,   613,   156,   157,   158,    68,   521,   522,   523,
     524,    48,   526,   149,    16,   529,   169,   170,   154,   155,
     614,    16,   158,    34,  3012,  3013,   162,  3012,  3013,    60,
      38,    67,    35,   169,   170,   171,   172,   173,   174,   609,
     176,  2903,   609,    35,     7,   298,   291,  2909,   141,   611,
     614,   612,   413,   613,  2871,   609,   609,   299,   609,  2876,
     271,   609,   155,   613,   292,   609,   613,   609,   387,   311,
     411,   149,   182,   242,   519,   614,   154,   155,   387,   317,
     613,    80,   218,   610,   162,   221,   609,   613,   613,   182,
     183,   169,   170,   171,   172,   173,   174,   613,   176,     7,
     614,   613,   611,   611,   614,    76,   612,   614,   611,   611,
     611,   610,   295,   611,    50,   197,   611,  2876,    54,    55,
     611,   293,   293,  2940,   242,   293,   219,   242,   221,   517,
     223,   109,    36,    16,   227,    35,   609,    35,     7,  3001,
     218,   234,   295,   221,   297,   609,   292,   487,   609,   489,
     490,   609,    25,   330,   494,   495,   234,   497,   501,   501,
     609,   609,     7,   293,   504,   505,  2983,   614,   614,   609,
     609,   612,   610,   266,   122,   515,  3158,   270,   611,   611,
     611,  2940,   275,   276,   612,  3047,   611,   611,  3050,   293,
    3052,   317,   611,   293,   237,   315,   293,   293,   351,    59,
     328,   443,   444,   445,   609,   609,    50,   237,   609,   287,
      54,    55,   609,   149,   609,   613,   474,   448,   154,   155,
     315,   376,   330,   126,  2983,   446,   162,   609,   176,  3091,
    3092,   609,   242,   169,   170,   171,   172,   173,   174,   486,
     176,   317,   493,  3105,  3106,  3107,   486,   491,   496,   298,
     298,   609,  3114,   516,  3071,   609,    25,  3119,   609,  3076,
    3122,  3078,   315,   242,  3081,   242,     8,     9,    10,  3361,
    3362,   126,  3134,   376,   614,   242,  3138,   242,  3140,  3141,
     536,  3143,   218,   609,   525,   221,    28,    29,    30,    31,
      32,    33,    34,    35,    36,   527,   530,    39,   234,   247,
     535,   609,   609,   609,   965,   149,    36,    36,   322,   475,
     154,   155,  3300,   261,   262,   263,   264,   265,   162,   317,
    3182,   609,  3184,  3185,  3186,   169,   170,   171,   172,   173,
     174,   609,   176,   609,   609,   428,   293,   242,   508,   293,
     242,  3158,   139,   140,   488,  3207,   178,  1008,  3210,  3166,
     188,   287,   149,  3215,   188,   112,   455,   154,   155,  3176,
     438,   439,   440,   441,  1709,   162,   612,   164,   504,   505,
     460,   507,   614,   309,   218,   611,   512,   221,   517,   515,
     460,  1042,   609,   612,   609,   611,  2462,   231,   466,  1050,
    3252,  1709,   236,   471,  2321,  1709,   344,  2334,   476,  3261,
    3262,  3263,  3680,  1064,  3266,  2781,  3268,  3051,  3270,  2678,
    2379,  1072,  2379,  2379,  2379,  3277,  3052,  3176,  3050,  2679,
    1941,   218,  1186,  2680,   221,  2441,  2646,  3289,  3290,  1634,
    3361,  1092,  3294,  3295,  1095,   284,  1097,  3362,  1635,  2703,
    2883,  1637,  2877,  1167,  3350,   150,  1107,  2120,   245,   973,
    3356,  2020,  2022,  3225,  3316,  3247,  2139,  2949,  1269,  3321,
    2951,  2738,  2759,  3093,  1878,  3327,  2796,  2833,  3475,  3009,
    3300,  3317,  3334,  3488,  3490,  3320,  2626,  3321,   614,  2634,
    1570,  3343,  1758,  1800,  1318,  1146,    -1,  1148,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,
      -1,    59,    -1,    -1,    -1,   598,    -1,    -1,    -1,   602,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3380,  3381,
    3382,    -1,    -1,    -1,    -1,    -1,    -1,   371,  3390,  3391,
    3392,  3393,  3394,    -1,    -1,    -1,   614,  3399,  3400,    -1,
    3402,  3403,  3404,  3405,    -1,    -1,    -1,    -1,    -1,  3366,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3376,
      -1,  3378,    -1,    -1,    -1,   513,    -1,    -1,    -1,    -1,
      -1,    -1,   130,    -1,    -1,    -1,   134,    -1,    -1,  3441,
    3442,  3443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,
      55,    -1,    -1,  3455,  3456,    -1,    -1,   155,    -1,  3461,
      -1,   159,   160,    -1,    -1,    -1,   164,  3366,    -1,    -1,
     546,   547,  3474,    -1,    -1,  3477,  3478,  3479,    -1,   177,
      -1,    -1,  3484,  3485,    -1,    54,    55,    -1,   186,    -1,
      -1,  3493,   429,   430,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3508,  3509,  3510,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3518,    -1,    -1,  3521,
    3522,    -1,    -1,  3525,  3526,    -1,    -1,   603,   604,   605,
      -1,    -1,   230,    -1,   232,    -1,   234,    -1,   614,    -1,
      -1,    -1,   240,    -1,   149,    -1,  3548,  3549,    -1,   154,
     155,    -1,    -1,   158,    -1,    -1,    -1,   162,  3680,    -1,
      -1,    -1,    -1,    -1,   169,   170,   171,   172,   173,   174,
      -1,   176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     149,    -1,    -1,    -1,    -1,   154,   155,    -1,    -1,   158,
      -1,    -1,    -1,   162,  1395,  3641,  3642,    -1,  3600,  3601,
     169,   170,   171,   172,   173,   174,  3608,   176,    -1,    -1,
    3612,    -1,    -1,   218,    -1,  3617,   221,     8,     9,    10,
    3622,    -1,    -1,  1424,    -1,   323,    -1,    -1,  1429,  1430,
     614,   329,    -1,    -1,    -1,    -1,  1437,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    -1,    -1,    39,   218,
      21,    -1,   221,    -1,  1455,    -1,    -1,    -1,    -1,    -1,
      -1,  1462,  1463,   361,  1465,  1466,    -1,  1468,  1469,  1470,
    1471,  1472,  1473,   371,   372,  1476,  1477,   614,  1479,    -1,
     378,  1482,  1483,    -1,    -1,    -1,  3643,  1488,    -1,  1490,
      -1,  3648,   390,    -1,     8,     9,    10,    11,    12,   397,
    1501,  1502,  1503,    -1,   402,  1506,    -1,    -1,    -1,    -1,
      -1,   409,    -1,    -1,    28,    29,    30,    31,    32,    33,
      34,    35,    36,  3680,  3681,    39,    14,    -1,    16,    17,
      18,    19,    20,    21,    -1,    -1,    -1,    25,    26,    -1,
      -1,  1542,    -1,    -1,    -1,    33,    34,    35,    -1,    -1,
      38,   320,    -1,    -1,  1555,    -1,     8,     9,    10,    11,
      12,    -1,    50,    51,    54,    55,    54,    55,    -1,    -1,
      58,    -1,  1573,  1574,    -1,    -1,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    -1,    -1,    39,    -1,    -1,
      54,    55,    -1,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,    -1,   137,
      -1,   139,    -1,    -1,   225,   143,   108,    -1,    -1,   149,
     148,   466,    -1,    -1,   154,   155,    -1,    -1,   158,    50,
      -1,    -1,   162,    54,    55,   246,   247,   248,   249,   169,
     170,   171,   172,   173,   174,   149,   176,    -1,   176,    -1,
     154,   155,    -1,    -1,    -1,    -1,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,   169,   170,   171,   172,   173,
     174,    -1,   176,    -1,    -1,   520,   614,    -1,    -1,    -1,
     184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,    -1,
      -1,   221,    -1,    -1,    -1,    -1,   231,   225,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   236,   318,    -1,    -1,
      -1,    -1,    -1,    -1,   218,    -1,    -1,   221,   246,   247,
     248,   249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   169,   170,
     171,   172,   173,   174,    -1,   176,    -1,    -1,   369,   370,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   614,
     274,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,
     318,    -1,    -1,    -1,    -1,  1836,  1837,    -1,    -1,   410,
      -1,    -1,    -1,    -1,    -1,   614,    -1,    -1,    -1,  1850,
    1851,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   434,   435,   436,   437,   130,    -1,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
      -1,   369,   370,    -1,    -1,    -1,   149,    -1,    -1,    -1,
      -1,   154,   155,    -1,    -1,    -1,   159,   160,    -1,   162,
    1901,   164,    -1,    -1,    -1,    -1,    -1,  1908,   396,    -1,
      -1,  1912,  1913,  1914,   177,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   410,   186,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   423,   424,    -1,    -1,    -1,
      -1,    -1,   513,   514,    -1,  1946,   434,   435,   436,   437,
      -1,    -1,    -1,    -1,    -1,   218,    -1,    -1,   221,    -1,
     531,   532,  1963,  1964,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,    -1,    -1,    -1,   481,   482,   483,
     283,    -1,     3,   286,   287,   513,   514,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,   607,   608,    -1,    -1,
      -1,    -1,    -1,   531,   532,    -1,    -1,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    -1,    -1,    39,    -1,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,    14,    -1,    16,
      17,    18,    19,    20,    21,    -1,    -1,    -1,    25,    26,
      -1,  2112,  2113,    -1,    -1,    -1,    33,    34,   613,   607,
     608,    38,   610,    -1,   614,    -1,    -1,    -1,   616,    64,
      -1,    -1,    -1,    50,    51,   157,    -1,    54,    55,    -1,
      -1,    58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2164,   186,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2177,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   216,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,    -1,
     137,    -1,   139,    -1,  2225,    -1,   143,    -1,    -1,    -1,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    21,    -1,    -1,    -1,    -1,  2247,  2248,  2249,  2250,
      -1,    -1,   187,   188,    -1,    -1,    -1,   279,    -1,   176,
      -1,    -1,    -1,   285,    -1,    -1,    -1,   289,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2279,    -1,
    2281,    -1,   217,    -1,    -1,  2286,   308,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     235,   236,   237,    -1,    -1,    -1,    -1,  2308,   225,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,    -1,    -1,   246,
     247,   248,   249,    -1,    -1,    -1,    -1,    -1,   273,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   614,    -1,    -1,   289,    -1,   291,   292,    -1,    -1,
      -1,    -1,    -1,    -1,   299,    -1,    -1,   302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   311,    -1,    -1,    -1,
      -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   329,    -1,    -1,    -1,    -1,    -1,
      -1,   318,    -1,   425,    -1,    -1,   428,    -1,    -1,    -1,
      -1,   433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,    18,    19,    20,    21,    -1,    -1,
     375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   231,   369,   370,    -1,    -1,    -1,    -1,   480,    -1,
      -1,    -1,   484,   485,    -1,    -1,    50,    -1,    -1,    -1,
      54,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,
    2481,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   410,    -1,    -1,    80,   519,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   440,   423,   424,   443,   444,
     445,    -1,    -1,    -1,    -1,    -1,   451,   434,   435,   436,
     437,   456,    -1,    -1,   546,    -1,    -1,   111,    -1,  2530,
      -1,   466,    -1,    -1,    -1,    -1,    -1,   472,    -1,    -1,
    2541,  2542,  2543,    -1,    -1,  2546,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   139,   140,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,
      -1,    -1,   156,    -1,    -1,   159,   160,    -1,    -1,  2580,
     164,    -1,    -1,    -1,   606,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,    -1,    -1,    -1,   513,   514,    -1,    -1,
      -1,   185,    -1,    -1,    -1,    -1,    -1,    -1,  2609,    -1,
      -1,    -1,    -1,    -1,   531,   532,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   208,   209,   210,    -1,   212,   213,
     214,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,    50,    -1,
      52,    -1,    54,    55,    -1,    -1,    -1,    -1,    -1,   614,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     607,   608,    -1,   610,    -1,    -1,    -1,    -1,    -1,   616,
      -1,    -1,    -1,    -1,    -1,    -1,    88,    -1,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   121,
      -1,    -1,    -1,    -1,    -1,    -1,  2747,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,    -1,    -1,   149,  2769,    -1,
      -1,    -1,   154,   155,    -1,   157,   158,    -1,    -1,    -1,
     162,   163,    -1,    -1,    -1,    -1,    -1,   169,   170,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   183,    -1,    -1,    -1,   187,    -1,   189,  2809,    -1,
      -1,    -1,    -1,    -1,  2815,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2825,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   216,   218,    -1,    -1,   221,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,
     231,    -1,   234,    -1,   236,    -1,    -1,  2858,   240,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   231,
      -1,    -1,    -1,    -1,   276,    -1,    -1,    -1,   280,   281,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   289,    -1,    -1,
      -1,    -1,    -1,   295,   296,    -1,   298,    -1,    -1,    -1,
     302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   327,    -1,    -1,    -1,   331,
     332,    -1,   334,   335,    -1,    -1,   338,  2958,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     352,   353,    -1,    -1,    -1,   357,   358,   359,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   367,    -1,    -1,    -1,   371,
      -1,    -1,   374,   375,    -1,   377,    -1,   379,    -1,  3000,
     382,   383,    -1,    -1,  3005,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   399,    -1,   401,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   409,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3088,    -1,    14,
      -1,    16,    17,    18,    19,    20,    21,  3098,    -1,    -1,
      25,    26,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      35,    -1,    -1,    38,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    54,
      55,    -1,  3133,    58,  3135,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3147,    -1,    -1,  3150,
    3151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,    -1,    -1,    -1,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,    -1,   137,    -1,   139,    -1,    -1,    -1,   143,    -1,
      -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   614,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,    -1,    -1,    -1,  3256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3265,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     225,    -1,    -1,    -1,    -1,  3306,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   246,   247,   248,   249,    -1,    -1,  3328,    -1,  3330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3389,    -1,
      -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3437,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   369,   370,    -1,  3448,    -1,    -1,
      -1,  3452,    -1,    -1,    -1,    -1,    -1,  3458,  3459,    -1,
      -1,  3462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3483,    -1,    -1,   410,  3487,    -1,  3489,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,   424,
      -1,    -1,    -1,    -1,  3505,  3506,    -1,    -1,    -1,   434,
     435,   436,   437,    -1,    -1,    -1,    -1,    -1,    -1,  3520,
      -1,    -1,    -1,    -1,    -1,    -1,  3527,    -1,  3529,  3530,
    3531,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3566,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3581,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,   514,
      -1,    -1,    -1,    -1,    -1,    -1,  3597,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   531,   532,    -1,    -1,
      -1,    -1,  3613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3623,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
      14,    -1,    16,    17,    18,    19,    20,    21,    -1,    -1,
      -1,    25,    26,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    35,   607,   608,    38,   610,    -1,    -1,    -1,    -1,
      -1,   616,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,
      54,    55,    -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,    -1,    -1,    -1,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,    -1,   137,    -1,   139,    -1,    -1,    -1,   143,
      -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   246,   247,   248,   249,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   369,   370,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   410,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,
     424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,   435,   436,   437,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,
     514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,   532,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,    14,    -1,    16,    17,    18,    19,    20,    21,    -1,
      -1,    -1,    25,    26,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    35,   607,   608,    38,   610,    -1,    -1,    -1,
      -1,    -1,   616,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    54,    55,    -1,    -1,    58,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,    -1,    -1,    -1,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,    -1,   137,    -1,   139,    -1,    -1,    -1,
     143,    -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   246,   247,   248,   249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   369,   370,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   410,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     423,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   434,   435,   436,   437,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,   514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,   532,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,    14,    -1,    16,    17,    18,    19,    20,    21,
      -1,    -1,    -1,    25,    26,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    35,   607,   608,    38,   610,    -1,    -1,
      -1,    -1,    -1,   616,    -1,    -1,    -1,    -1,    50,    51,
      -1,    -1,    54,    55,    -1,    -1,    58,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,    -1,    -1,    -1,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,    -1,   137,    -1,   139,    -1,    -1,
      -1,   143,    -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   246,   247,   248,   249,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   318,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   369,   370,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   410,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   423,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,   435,   436,   437,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,   514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,
     532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,    14,    -1,    16,    17,    18,    19,    20,
      21,    -1,    -1,    -1,    25,    26,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    35,   607,   608,    38,   610,    -1,
      -1,    -1,    -1,    -1,   616,    -1,    -1,    -1,    -1,    50,
      51,    -1,    -1,    54,    55,    -1,    -1,    58,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,    -1,    -1,    -1,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,    -1,   137,    -1,   139,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,   148,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   246,   247,   248,   249,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   369,   370,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   410,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   423,   424,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   434,   435,   436,   437,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   513,   514,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     531,   532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,    14,    -1,    16,    17,    18,    19,
      20,    21,    -1,    -1,    -1,    25,    26,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,   607,   608,    38,   610,
      -1,    -1,    -1,    -1,    -1,   616,    -1,    -1,    -1,    -1,
      50,    51,    -1,    -1,    54,    55,    -1,    -1,    58,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,    -1,    -1,    -1,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,    -1,   137,    -1,   139,
      -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,   148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   246,   247,   248,   249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   369,
     370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    21,    -1,    -1,    -1,   396,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    51,   423,   424,    -1,    -1,    -1,    -1,    58,
      -1,    -1,    -1,    -1,   434,   435,   436,   437,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    82,    83,    84,    85,    86,    87,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,   514,   144,    -1,   146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   531,   532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   607,   608,    -1,
     610,    -1,    -1,    -1,    -1,    -1,   616,   246,   247,   248,
     249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     369,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    21,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   410,    -1,    -1,    -1,    51,    -1,    -1,    -1,    -1,
      -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   434,   435,   436,   437,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,    -1,    -1,   110,   111,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,
     146,    -1,    -1,    -1,   513,   514,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   531,   532,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,    -1,    -1,    -1,   225,
      -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   607,   608,
     246,   247,   248,   249,   613,   614,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    21,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,
      58,    -1,    -1,    -1,    -1,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    82,    83,    84,    85,    86,    87,
      88,    -1,    -1,   369,   370,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,    -1,    -1,    -1,    -1,    -1,
     396,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,    -1,   410,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,   146,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,
     436,   437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,   514,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,   247,
     248,   249,    -1,    -1,    -1,   531,   532,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   607,   608,    -1,    -1,    -1,    -1,   613,    -1,    -1,
      -1,    -1,    -1,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   369,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    21,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   410,    -1,    -1,    -1,    51,    -1,    -1,    -1,
      -1,    -1,    -1,    58,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,   435,   436,   437,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,   514,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   531,   532,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,    -1,    -1,    -1,
     225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   607,
     608,   246,   247,   248,   249,   613,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   369,   370,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   410,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,
     435,   436,   437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,   514,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   531,   532,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    21,    22,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   607,   608,    -1,   610,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,    -1,    -1,    -1,
      -1,    -1,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,    -1,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,    -1,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,    21,    22,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,    -1,    -1,    -1,    -1,    -1,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,    -1,    -1,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,    21,    22,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,    -1,    -1,    -1,    -1,    -1,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,    -1,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
      -1,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,    58,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    23,    24,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,    -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,    58,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   246,   247,   248,   249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,   247,   248,
     249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   369,
     370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,   318,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,    -1,    -1,   434,   435,   436,   437,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     369,   370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,   514,   434,   435,   436,   437,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   531,   532,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   513,   514,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   607,   608,    -1,
      -1,    -1,   531,   532,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   607,   608
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     4,   622,   623,    77,    78,    79,   141,   155,   182,
     183,   219,   221,   223,   227,   234,   266,   270,   275,   276,
     428,   598,   602,   685,   686,   687,   688,   817,   818,   819,
     820,   822,   823,   824,   831,   833,   834,   835,   836,   837,
     838,   839,   840,   841,   842,   843,   846,   847,   848,   849,
     850,   851,   852,   854,   855,   856,   881,   911,   923,   924,
     925,   926,   957,   995,   996,   997,   998,   999,  1000,  1001,
    1002,  1057,  1058,  1090,  1109,  1110,  1111,  1112,  1113,  1114,
    1115,  1116,     0,     3,    40,    50,    54,    55,    81,   139,
     141,   142,   145,   147,   149,   151,   152,   153,   155,   169,
     170,   171,   172,   173,   174,   176,   221,   227,   233,   234,
     588,   596,   597,   609,   624,   625,   689,   691,   692,   693,
     694,   705,   757,   759,   760,   761,   762,   763,   764,   769,
     783,   784,   796,   797,   798,   860,   861,   882,   886,   889,
     892,   913,   916,   927,   934,   948,   951,   953,   956,   960,
     961,  1004,  1005,  1007,  1009,  1010,  1015,  1046,  1049,  1059,
    1060,  1076,  1077,  1091,  1094,  1103,  1104,  1108,  1119,  1124,
    1125,     3,     3,     3,    14,    16,    17,    18,    19,    20,
      21,    25,    26,    33,    34,    38,    50,    51,    54,    55,
      58,   113,   114,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     137,   139,   143,   148,   176,   225,   246,   247,   248,   249,
     318,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   369,   370,   396,   410,   423,   424,   434,   435,   436,
     437,   513,   514,   531,   532,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   607,   608,   610,   616,   629,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     682,   683,   684,   714,   732,   734,   735,   738,   739,   740,
     741,   745,   746,   859,    21,    25,   156,   830,   853,   857,
      21,   857,   857,    80,   220,   857,   857,     3,    25,   228,
     786,   182,    50,   193,   195,   224,   231,   267,   269,   279,
     289,   308,   433,   519,   139,   167,   191,   193,   195,   271,
     272,   273,   274,    42,   156,   613,   844,   857,   270,    25,
     236,   267,   599,   600,   601,  1117,     3,    21,    22,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   620,
     628,   277,   628,   628,   745,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,   100,   101,   102,   103,   104,
     105,   106,   216,   231,   695,   610,   610,   150,    21,    25,
     655,   165,   193,   194,   211,   595,   175,   193,   655,   152,
     231,   232,   233,   785,  1093,   182,   655,   521,   591,    16,
     610,   626,   629,   164,   238,   765,   157,   186,   216,   279,
     285,   289,   308,   425,   428,   433,   480,   484,   485,   519,
     546,   606,   959,  1045,    51,   628,   770,   149,   154,   155,
     158,   162,   218,   221,   236,   614,   761,   771,   772,   778,
     800,   613,   864,   770,   770,   770,   770,    50,    52,    54,
      55,    88,   121,   157,   158,   163,   169,   170,   171,   172,
     183,   187,   189,   230,   234,   236,   240,   276,   280,   281,
     289,   295,   296,   298,   302,   327,   331,   332,   334,   335,
     338,   352,   353,   357,   358,   359,   367,   371,   374,   375,
     377,   379,   382,   383,   399,   401,   409,   614,   771,   872,
     873,   937,   938,   945,   770,   770,   770,    49,    50,   234,
     287,   438,   439,   440,   441,   466,   471,   476,   614,   762,
     771,   963,   964,   965,   966,   967,   770,   184,   244,   274,
     481,   482,   483,   614,   771,   778,  1006,   613,   130,   159,
     160,   164,   177,   186,   286,   614,   771,   773,   770,   770,
     770,   770,   231,   236,   371,   614,   771,   778,   872,  1081,
    1083,   234,   287,   309,   546,   547,   603,   604,   605,   614,
     771,   778,   872,  1092,  1122,  1123,   770,   770,   158,   604,
     614,   771,  1126,    16,    33,    35,   610,   616,   618,   629,
     731,   733,   739,    36,   633,    36,    18,    19,   634,   635,
     138,    34,   138,   745,    16,   613,   613,   610,   610,   610,
     610,   610,   610,   610,   610,   610,    16,   610,   610,   115,
     116,   117,   118,   720,   745,    16,    17,    19,    20,   610,
     617,   629,   634,   635,   643,   714,   715,   716,   719,   721,
     722,   723,   726,   728,   729,   610,    52,    52,     3,     8,
       9,    10,    11,    12,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    39,    39,    42,   156,   613,   801,     3,
     801,    25,   656,   656,   857,   857,     3,    42,   156,   613,
     804,   626,   229,   230,     3,     3,   284,    21,    25,   156,
     858,     3,   268,     3,   825,     3,   832,    21,   821,   307,
     167,   195,   273,   319,   158,   273,   465,   478,   479,   821,
     195,   273,   156,   655,   655,   655,   655,   655,   655,   655,
     655,    88,   155,   533,   589,   590,   591,   592,   593,   594,
    1101,  1102,    16,   845,   656,   958,  1117,     3,  1117,     3,
       3,   521,  1118,    28,   628,   706,   690,   122,   176,   247,
     261,   262,   263,   264,   265,   344,   513,   621,   626,    99,
     628,   629,   629,    16,    18,    21,    51,   610,   758,   609,
     801,   801,   801,   626,    41,    42,    43,    44,   178,   626,
     630,   804,   609,   786,   585,   586,   587,   655,  1097,   235,
    1105,  1106,   626,   627,   627,   745,   609,   628,   613,   768,
     431,   432,  1008,   518,    21,    51,   613,   150,   630,   801,
     799,   163,   655,   655,   804,   237,   609,   613,   776,   609,
     609,   863,   865,   613,   613,   613,   613,   230,   234,   235,
     339,   351,   609,    25,   342,   343,    50,   385,    50,   385,
      50,   385,    50,   385,   291,   340,   655,   630,   386,   182,
     237,   230,   234,   331,   334,   231,   323,   356,   365,   394,
     330,   234,   630,   935,   609,   626,    18,    19,    21,   278,
     631,   929,   403,   631,   928,   303,   331,   242,   330,   333,
     242,   331,   309,   354,   355,   354,   151,   630,   360,   368,
     309,   309,   376,   374,    53,   298,   342,   343,   630,   384,
     626,   400,   303,   151,   230,   231,   234,   323,   356,   365,
     404,   609,   609,   613,   877,   613,   943,   609,   613,   613,
     613,   477,   182,   392,   758,   630,   149,   626,   630,   150,
     630,   385,   962,   776,   609,   613,   613,   630,    52,   240,
      16,    51,   190,    16,   159,   160,   609,   609,   626,   139,
     140,   156,   161,   178,   184,   703,   780,   178,   780,    21,
     779,   178,   219,   164,   609,   609,   613,   613,   613,   613,
      19,    20,    21,   646,   650,   237,   164,   609,   609,   609,
      87,   336,   363,   373,   541,   542,   543,   544,   545,  1078,
    1079,   613,  1089,   182,   380,   626,   164,   291,   630,   242,
     156,   630,  1120,   609,   609,   613,   613,  1127,  1131,   242,
     609,     7,   733,   733,   733,   745,    18,    19,   617,   726,
     733,   733,    15,    16,    16,    36,    33,    34,   138,    34,
     679,   679,   779,   779,   745,   745,   745,   745,   745,   745,
     745,   779,   779,    16,   612,   611,   612,    35,   718,   720,
     745,    33,    34,   613,     7,   612,   617,   612,   617,   736,
     737,   745,    16,    16,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   742,    50,
      54,    55,   169,   170,   171,   172,   173,   174,   176,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     829,   166,   167,   168,   191,   192,   195,   802,   803,     3,
       3,     3,     3,   166,   222,   805,   806,     3,    25,    46,
      47,    46,    47,   880,   858,     3,     3,     3,    80,   111,
     139,   152,   156,   159,   160,   164,   185,   208,   209,   210,
     212,   213,   214,   650,   703,   828,     3,    21,    81,   139,
     152,   153,   164,     3,   912,   821,   821,   821,   821,   821,
     821,  1003,   156,   821,   156,   821,     3,   821,   821,   655,
       3,     3,     3,     3,     3,     3,     3,     3,   612,   614,
       3,     3,     3,   139,   164,   190,   703,     3,  1118,   626,
       3,   745,   610,   697,   698,   700,   704,   695,   609,   612,
     612,   793,   794,   745,   609,   627,   609,   609,   394,  1095,
      18,    19,    21,    25,   610,   657,  1098,   626,  1096,   156,
     613,  1100,   626,   609,   613,    45,    46,    47,   611,   767,
     770,    21,   758,   787,   790,   791,   630,   775,   777,    75,
     614,   862,   866,   867,   885,   891,   915,   386,   182,   242,
     242,   631,   609,   626,   626,   630,    88,   412,   609,   609,
     234,   387,   242,   381,   630,   630,   386,   182,   242,   242,
     366,   222,   630,   231,   395,   655,   242,   609,   609,   613,
     816,   609,    21,   643,   649,    37,   632,    48,    53,   391,
     392,   609,   286,   405,   406,   407,   408,   933,   632,    48,
      53,   609,   630,   242,   626,   242,   242,   626,   242,   630,
     630,   150,   630,   630,   609,   630,   630,   630,   630,   630,
     630,   393,    53,   630,   630,   609,   630,   609,    53,   630,
     630,   386,   366,   182,   222,   630,   231,   630,   876,   878,
     879,   942,   944,   950,   955,   630,   242,   381,   630,   630,
     630,   178,   626,   777,   968,   627,   627,    16,    16,   629,
     701,   702,   745,    42,   626,   782,   185,   782,   782,   630,
     779,  1014,  1048,  1061,  1082,   630,   779,    25,   631,   631,
    1084,    50,   126,   129,   289,   297,  1078,  1088,   609,   630,
     630,   626,   315,   626,   791,   792,   626,    16,   611,   733,
     617,    51,    16,   138,    34,   680,   681,   611,   612,   612,
     611,   612,   612,   612,   612,   611,   611,   611,   611,   745,
     745,   612,     7,   612,   612,   611,    16,   610,   716,   723,
     728,   612,   611,    53,    53,    23,    24,   740,   743,   859,
     612,   614,   612,   614,     3,   279,   280,   629,     3,   650,
      18,    19,    20,    21,   634,   635,   636,   637,   638,   826,
     827,   701,   629,   164,   164,   156,   629,    21,   629,   830,
       3,    21,   156,   157,   158,   169,   170,   295,   297,   351,
     656,   656,   656,   656,   656,   656,     3,    21,    64,   149,
     237,   337,   411,   438,   470,   821,   656,   821,   656,   656,
     656,     3,  1102,   701,    25,   779,   655,     3,   609,   611,
     696,    13,   699,   613,   695,   628,   655,   629,   791,   609,
     611,   655,   745,    48,  1099,   655,  1101,   609,   609,  1107,
      52,   155,   238,   239,   240,   243,   614,   766,    34,   789,
     612,   609,   155,   614,   773,   774,   278,   609,   613,   870,
     283,   286,   287,   614,   771,   773,   883,    86,   158,   295,
     296,   302,   304,   614,   771,   890,   158,   320,   614,   771,
     778,   914,   387,   242,   626,   626,   609,   609,   609,   609,
     630,   613,   630,   930,   182,   242,   626,   609,   609,   609,
     387,   242,   626,   626,   630,   630,   609,   366,   626,   609,
     626,     5,   909,   936,   929,   628,   929,   626,   626,   609,
     928,   626,   626,   609,   626,   609,   626,   626,   609,   626,
     609,   609,   758,   609,   609,   609,   609,   609,   609,   609,
     609,   630,   609,   626,   609,   609,   609,   630,   609,   609,
     234,   630,   630,   630,   609,   366,   609,    75,   277,   614,
     774,   875,   777,    52,    59,   134,   159,   160,   230,   232,
     234,   240,   323,   329,   361,   371,   372,   378,   390,   397,
     402,   409,   614,   774,   941,    93,   159,   160,   231,   614,
     761,   771,   872,   946,   947,   949,   139,   164,   245,   429,
     430,   614,   703,   771,   954,   626,   626,   158,   163,   268,
     392,   440,   457,   459,   463,   467,   468,   614,   969,   976,
     979,   700,   179,   781,   630,   609,    92,   158,   504,   505,
     507,   512,   515,   614,   771,   778,  1011,   158,   466,   520,
     614,   771,   778,  1047,    48,    52,   240,   298,   333,   364,
     366,   533,   538,   540,   614,   771,   778,  1062,  1064,    50,
    1080,   609,   609,   632,    50,    16,  1085,  1086,    16,   652,
     653,   626,   630,   630,    25,    21,    82,    83,    84,    85,
      86,    87,    88,   107,   110,   111,   144,   146,   613,   614,
     629,   738,   740,   747,   750,   756,   859,  1087,   178,  1121,
     626,   613,  1130,   733,   733,    19,    34,    34,   677,   678,
     745,   745,   745,   745,   745,   745,   612,   611,   612,    35,
     718,   745,   718,    35,   718,   718,   612,   745,   745,    16,
      16,   744,   803,   806,    51,    18,    19,    21,   830,   830,
     655,   655,    18,    19,    21,   634,   635,   651,     3,     3,
       3,     3,     3,     3,    16,   758,   758,   758,   656,     3,
     656,     3,     3,     3,   695,   695,   707,   695,   708,   711,
     712,   713,   748,   750,   628,   609,   611,   612,   611,    16,
     614,   223,   614,   241,   801,   630,   630,   241,   244,   245,
     609,    25,   656,   788,   790,   801,   609,   628,   869,   871,
      41,   164,   288,   609,   894,   895,   901,   895,   902,   631,
     906,   303,   305,   609,   917,   922,   149,   609,   242,   626,
     612,   609,   609,    92,   220,   286,   412,   414,   416,   419,
     931,   932,   609,   381,   630,   626,   609,   242,   626,   609,
     609,   609,   609,   630,   609,   609,   614,   908,   609,   609,
     609,   609,   609,   609,   609,   609,   609,   609,   609,   609,
     182,   609,   609,   609,   630,   278,   282,   629,   609,   230,
     317,   380,   164,   164,   386,   164,   182,   230,    59,   626,
     362,   164,   157,   373,   630,   630,   398,   630,   630,   134,
     323,   609,    20,   426,   426,   426,   427,   776,   609,   701,
      25,   779,   626,   655,   134,   609,   988,   994,   329,   442,
     467,   630,   971,   329,   630,   970,   237,   649,   972,   973,
     469,   630,   609,   471,   989,   180,   181,   182,   183,    21,
     635,   648,  1025,  1030,  1016,  1024,  1012,  1013,   648,   167,
     516,   609,  1050,  1056,   630,   626,   609,   626,   523,   523,
     351,   184,  1063,    52,  1063,   657,  1065,    66,   537,  1066,
    1063,   609,   626,   653,   612,    36,   736,   736,   610,   745,
     745,   745,   751,   610,   610,   709,   710,    28,   609,    28,
     736,    39,    28,   626,  1129,    36,    34,    48,    56,    57,
      58,    59,    61,    62,    63,    66,    68,    69,    74,    75,
     614,   663,   664,   665,   666,   667,   675,   614,   664,   665,
     666,   667,   676,   612,   612,   611,   611,   611,   611,   745,
     745,   611,   612,     7,   611,   612,   611,   612,     7,   611,
     612,   612,    16,   610,    19,     3,     3,   628,    99,   704,
     628,   614,   712,   609,    16,   609,   242,   242,   626,   627,
     651,    68,   281,   614,   868,    21,   610,   740,   859,   887,
     888,   779,   884,   157,   169,   170,   295,   893,   792,   613,
     900,    37,   297,   903,   630,   306,   792,   150,   626,   609,
     626,   178,   422,   418,   136,   415,   417,   420,   421,   612,
     614,   609,   609,   609,   626,   609,   609,   187,   188,   189,
     217,   234,   240,   290,   293,   294,   299,   614,   807,   808,
     810,   811,   812,   907,   630,   609,   279,   280,   629,    92,
     162,   279,   283,   874,   386,   184,   337,   351,   359,   291,
     292,   630,   630,   630,   234,   387,   779,   630,   386,   317,
     337,   363,   364,   940,   779,   380,    59,   610,   616,   721,
     952,   952,   952,    20,   777,   338,   791,   990,   626,   626,
     630,   613,   626,   613,   758,   613,   626,   626,   613,   613,
    1029,   792,   613,   631,  1031,  1036,    25,   613,  1037,  1042,
     630,    64,   792,   178,   626,   626,   631,   626,    68,   626,
    1064,  1067,  1072,   626,  1085,    16,   609,   609,   629,   859,
     609,   108,   613,    21,   695,   749,   755,   755,   614,   708,
     745,   745,   609,   754,   745,   499,   614,  1128,    16,    34,
      60,    64,    65,    67,     8,     9,    10,    28,    29,    30,
     113,   114,   626,   661,   668,   669,   670,    38,   671,   672,
     672,   674,    21,   634,   647,   609,   668,   671,   674,   648,
     609,   745,   745,   611,   611,    35,   718,    35,   718,    35,
     718,     7,    35,   718,    35,   718,   614,   737,   609,   611,
      28,   609,   611,   627,   627,   626,   626,   609,   745,   612,
     704,   900,   899,   896,   628,   655,   298,   904,   291,   613,
     921,   630,   609,   609,   413,   271,   932,   609,   630,   613,
     291,   292,   292,   627,   626,   161,   197,   300,   301,   898,
     910,    25,    26,   610,   659,   660,   739,   746,   613,   815,
     609,   609,   387,   388,   389,   630,   939,   939,   631,   411,
     182,   242,   387,   630,   630,   317,   721,   725,   630,   991,
     613,   993,   981,   981,   974,   977,  1028,  1027,   613,  1023,
    1032,  1038,   626,   613,  1055,   626,   630,   613,  1068,   613,
     611,   611,   750,   730,   628,    80,   745,    21,   740,   756,
     859,   609,   609,   743,   609,   631,   609,     7,   626,    11,
      12,   662,   612,    12,   612,   662,   626,    70,    71,    72,
      73,   673,   612,   662,    76,   611,   611,   611,   611,   611,
     612,     7,   611,   611,   611,   612,   610,   611,     7,   611,
     611,     7,   611,   611,   745,   611,   888,   896,   189,   240,
     290,   293,   294,   299,   614,   807,   897,   631,   295,   905,
     630,   920,   918,   809,   810,   293,   293,   293,   199,   200,
     197,   745,    51,    86,   150,   190,   196,   215,   813,   242,
     630,   626,   242,   630,   612,   617,   989,   992,   614,   649,
     982,   983,   614,   268,   329,   458,   614,   975,   235,   299,
     311,   443,   444,   445,   614,   807,   978,   129,   498,   499,
     502,   503,   614,  1026,  1022,  1021,  1035,  1041,   517,  1054,
    1051,  1069,  1071,  1073,   609,   609,   109,     6,   614,   715,
     717,   719,   721,   722,   724,   727,   752,   755,   755,   609,
     626,   670,   661,   669,   672,   672,    36,   672,   672,    16,
      35,   718,    35,   718,   718,     7,   718,   609,   630,   291,
     292,   292,   627,   626,   898,   609,   630,    48,    59,    64,
     178,   236,   291,   292,   299,   310,   311,   312,   323,   325,
     327,   614,   807,   919,   614,   609,   627,   627,   627,   199,
     200,   611,    25,   654,    51,   190,   626,   654,   197,   198,
     204,   205,   206,   207,   814,    51,   190,   614,   626,   626,
     721,    64,   235,   236,   237,   273,   289,   291,   292,   299,
     302,   311,   316,   329,   375,   440,   443,   444,   445,   451,
     456,   466,   472,   614,   807,   980,   458,   464,   984,   630,
     626,   630,   609,   626,   161,   300,   454,   626,   626,   330,
     210,   626,   609,   630,   501,   501,   630,   630,   609,    52,
      92,   163,   231,   237,   240,   487,   489,   490,   494,   495,
     497,   504,   505,   515,   614,  1017,   501,   506,   614,  1033,
     277,   501,   614,  1039,    26,   658,   660,    48,   189,   236,
     289,   291,   292,   299,   309,   312,   351,   375,   443,   466,
     483,   521,   522,   523,   524,   526,   529,   614,   807,  1052,
     187,   299,   614,  1070,   533,   534,   539,   614,  1074,   750,
     709,     7,   612,   615,   745,   611,   612,   626,   626,   626,
     626,   673,   673,   611,   611,   611,   612,   611,   610,   611,
     293,   293,   293,   626,   317,   313,   314,   324,   626,   237,
     315,    68,    69,   226,   316,   795,   161,   321,   626,   293,
     293,    59,    52,   240,   326,   329,   328,   609,   809,   609,
     654,   654,   609,   609,   199,   200,   201,   202,   203,   199,
     200,   201,   202,   203,   609,   654,   654,   815,   446,   447,
     448,   449,   450,   451,   452,   453,   626,   237,   474,   613,
     630,   315,    68,   316,   795,   161,   300,   454,   448,   626,
     626,   626,   376,   630,   626,   330,   210,   626,   351,   473,
     626,   126,   446,   609,   626,   609,   626,   626,   626,   626,
     486,   492,  1030,   130,   501,   130,   492,   501,   493,   330,
     486,   486,   630,   491,   242,   496,   317,   298,  1018,   298,
    1019,   516,   609,   500,   626,  1043,  1031,  1034,   609,  1037,
    1043,  1040,   609,   626,   630,   237,   304,   630,   315,    68,
     316,   795,   161,   199,   454,   528,  1053,   626,   242,   631,
     376,   242,   126,   385,   446,   242,   242,   460,   626,   525,
     527,   530,   609,   655,   161,   199,   609,   536,   535,   655,
    1075,   609,   717,   724,   709,   753,   609,   745,    36,    36,
     718,   718,   627,   627,   627,   169,   170,   630,   626,   626,
     626,   626,   626,   322,   627,   627,   317,   627,   627,   626,
     626,   630,   813,   609,   609,   813,   813,   813,   609,   609,
     630,   475,   985,   461,   462,   626,   626,   626,   630,   292,
     630,   626,   626,   630,   630,   626,   630,   508,  1044,  1044,
     293,   242,   509,   510,   511,  1020,   626,  1020,   242,   626,
     626,   626,   293,   488,   630,   626,   626,   178,   630,  1036,
     630,  1042,    64,   298,   626,   630,   630,   626,   626,   626,
     626,   292,   630,   627,   626,   626,   626,   630,   630,   630,
     630,   188,   188,   112,   611,   626,   626,   611,   612,   631,
     631,   630,   813,   813,   813,   813,   630,   614,   631,   987,
     460,   630,   626,   626,  1044,   626,  1044,   626,   630,   626,
     626,   630,   460,   655,   655,   750,   609,   718,   455,   986,
     517,   612,   609,   658,   718,   611
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   619,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     620,   620,   621,   621,   621,   621,   621,   621,   621,   621,
     621,   621,   622,   622,   623,   623,   624,   624,   625,   626,
     626,   626,   627,   627,   627,   628,   628,   628,   629,   630,
     630,   630,   630,   630,   630,   631,   631,   631,   632,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   643,   644,   644,   645,   645,   646,   646,   646,   646,
     646,   646,   646,   647,   647,   648,   648,   649,   649,   650,
     650,   651,   651,   651,   651,   651,   652,   653,   653,   654,
     655,   655,   656,   656,   657,   657,   657,   657,   657,   658,
     658,   659,   659,   659,   660,   660,   660,   661,   661,   661,
     661,   661,   661,   661,   661,   662,   662,   663,   663,   663,
     663,   663,   663,   663,   663,   663,   663,   664,   665,   666,
     667,   667,   668,   668,   668,   668,   669,   669,   670,   670,
     671,   671,   671,   672,   672,   673,   673,   673,   673,   674,
     674,   674,   675,   675,   675,   675,   676,   676,   676,   676,
     676,   677,   677,   678,   678,   679,   680,   681,   682,   683,
     684,   684,   685,   686,   685,   687,   685,   688,   624,   690,
     689,   624,   691,   624,   692,   624,   693,   624,   694,   695,
     695,   695,   695,   695,   695,   695,   695,   695,   695,   695,
     695,   695,   695,   695,   695,   695,   695,   695,   696,   696,
     697,   697,   698,   698,   699,   699,   700,   701,   702,   701,
     703,   704,   624,   706,   707,   705,   708,   708,   710,   709,
     711,   711,   712,   713,   713,   714,   714,   715,   715,   715,
     715,   715,   716,   716,   717,   718,   719,   719,   719,   719,
     719,   719,   719,   719,   719,   719,   720,   720,   720,   720,
     721,   721,   721,   722,   722,   722,   722,   722,   722,   722,
     722,   723,   723,   723,   723,   723,   724,   724,   724,   724,
     724,   725,   725,   726,   726,   727,   727,   728,   728,   728,
     728,   729,   729,   730,   730,   730,   731,   731,   732,   733,
     733,   733,   733,   733,   733,   733,   733,   733,   734,   734,
     734,   734,   734,   734,   734,   734,   734,   734,   734,   734,
     735,   735,   735,   735,   736,   736,   736,   737,   738,   739,
     740,   740,   740,   740,   740,   740,   740,   740,   740,   740,
     740,   740,   740,   740,   742,   741,   743,   744,   743,   743,
     743,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   746,   747,
     747,   747,   748,   748,   749,   749,   750,   750,   750,   751,
     752,   753,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   754,   750,   750,   750,   755,   756,
     756,   756,   624,   757,   757,   758,   758,   758,   758,   624,
     759,   624,   760,   761,   761,   761,   761,   761,   761,   761,
     761,   761,   761,   762,   762,   624,   763,   764,   765,   765,
     766,   766,   766,   766,   766,   766,   766,   767,   767,   768,
     768,   624,   769,   769,   770,   770,   770,   770,   771,   771,
     771,   771,   771,   771,   771,   771,   772,   773,   773,   773,
     773,   773,   773,   773,   773,   773,   774,   774,   775,   775,
     776,   776,   777,   778,   779,   780,   780,   780,   780,   781,
     781,   781,   781,   781,   782,   782,   624,   783,   783,   783,
     783,   624,   784,   785,   785,   785,   785,   786,   786,   786,
     786,   786,   786,   786,   786,   787,   788,   788,   789,   789,
     790,   791,   791,   792,   793,   794,   795,   795,   796,   797,
     798,   798,   798,   798,   798,   799,   800,   801,   801,   801,
     802,   802,   803,   803,   803,   803,   803,   803,   804,   804,
     804,   805,   805,   806,   806,   807,   808,   808,   809,   809,
     810,   810,   811,   811,   812,   813,   813,   813,   813,   813,
     813,   813,   813,   813,   814,   814,   814,   814,   814,   814,
     814,   814,   814,   814,   814,   814,   814,   814,   815,   816,
     685,   817,   685,   818,   685,   819,   685,   820,   821,   821,
     685,   822,   685,   823,   685,   824,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   826,   826,   826,   826,   826,   826,
     826,   826,   827,   827,   827,   827,   828,   828,   828,   828,
     829,   829,   829,   829,   829,   829,   829,   829,   829,   829,
     829,   829,   829,   829,   829,   829,   829,   829,   829,   829,
     829,   830,   685,   831,   832,   832,   832,   832,   832,   832,
     832,   685,   833,   685,   834,   685,   835,   685,   836,   685,
     837,   685,   838,   685,   839,   685,   840,   685,   841,   685,
     842,   685,   843,   844,   844,   844,   845,   845,   685,   846,
     685,   847,   685,   848,   685,   849,   685,   850,   685,   851,
     685,   852,   853,   853,   685,   854,   685,   855,   685,   856,
     857,   857,   857,   858,   858,   858,   859,   859,   859,   859,
     859,   624,   860,   861,   862,   863,   863,   864,   864,   865,
     866,   867,   868,   868,   869,   869,   870,   870,   871,   872,
     873,   874,   874,   874,   874,   875,   875,   875,   875,   875,
     875,   876,   876,   877,   877,   879,   878,   880,   880,   880,
     880,   685,   881,   796,   882,   883,   883,   883,   883,   884,
     883,   885,   885,   886,   887,   887,   888,   888,   888,   888,
     796,   889,   890,   890,   890,   890,   890,   890,   890,   891,
     891,   892,   893,   893,   893,   893,   894,   894,   895,   896,
     897,   897,   897,   897,   897,   897,   897,   897,   898,   898,
     898,   898,   898,   898,   899,   899,   900,   900,   901,   902,
     903,   903,   903,   904,   904,   905,   905,   906,   907,   907,
     907,   907,   907,   907,   907,   907,   907,   908,   908,   909,
     910,   816,   685,   911,   912,   912,   912,   912,   912,   912,
     912,   912,   912,   912,   796,   913,   914,   914,   914,   914,
     915,   915,   916,   917,   918,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   920,   920,   921,   921,   922,   859,   685,   923,   685,
     924,   685,   925,   685,   926,   796,   927,   928,   928,   928,
     929,   929,   929,   929,   929,   930,   930,   931,   931,   932,
     932,   932,   932,   932,   932,   932,   932,   932,   933,   933,
     933,   933,   933,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   935,   936,   934,   934,   934,   934,   934,   937,
     937,   937,   937,   937,   937,   937,   937,   937,   937,   937,
     937,   938,   939,   939,   939,   940,   940,   940,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   942,   942,   943,
     943,   944,   945,   859,   859,   859,   859,   859,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   692,   745,   745,
     796,   946,   947,   948,   949,   949,   949,   949,   949,   949,
     949,   949,   950,   950,   951,   952,   952,   796,   953,   954,
     954,   954,   954,   954,   954,   954,   954,   955,   955,   956,
     685,   957,   958,   958,   958,   958,   958,   958,   796,   959,
     959,   959,   960,   961,   961,   962,   962,   963,   964,   965,
     965,   965,   965,   965,   965,   965,   965,   965,   965,   965,
     965,   965,   965,   965,   966,   967,   968,   968,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   970,   969,   971,
     969,   969,   969,   969,   972,   972,   973,   974,   974,   975,
     975,   975,   976,   976,   977,   977,   978,   978,   978,   978,
     978,   978,   978,   978,   978,   978,   978,   979,   980,   980,
     980,   980,   980,   980,   980,   980,   980,   980,   980,   980,
     980,   980,   980,   980,   980,   980,   980,   980,   980,   980,
     980,   980,   980,   980,   980,   980,   980,   980,   980,   980,
     980,   980,   980,   980,   980,   980,   980,   981,   981,   982,
     983,   984,   984,   984,   985,   985,   986,   986,   987,   988,
     989,   989,   991,   990,   992,   992,   993,   993,   994,   859,
     859,   859,   859,   685,   995,   685,   996,   685,   997,   685,
     998,   685,   999,   685,  1000,   685,  1001,   685,  1002,  1003,
    1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,   796,  1004,
    1005,  1005,  1005,  1006,  1006,  1006,  1006,  1006,  1006,  1006,
    1006,  1006,  1006,   796,  1008,  1007,  1009,  1009,  1009,  1009,
     796,  1010,  1011,  1011,  1011,  1011,  1012,  1011,  1013,  1011,
    1011,  1011,  1011,  1014,  1014,  1015,  1016,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1018,  1017,  1019,  1017,  1017,  1017,
    1017,  1017,  1020,  1020,  1020,  1021,  1022,  1022,  1023,  1023,
    1024,  1025,  1026,  1026,  1026,  1026,  1026,  1027,  1028,  1028,
    1029,  1029,  1030,  1031,  1032,  1033,  1033,  1033,  1034,  1035,
    1035,  1036,  1036,  1037,  1038,  1039,  1039,  1039,  1040,  1041,
    1041,  1042,  1042,  1043,  1043,  1044,  1044,   859,   859,   796,
    1045,  1045,  1046,  1047,  1047,  1047,  1047,  1047,  1047,  1048,
    1048,  1049,  1050,  1051,  1052,  1052,  1052,  1052,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1052,  1053,  1053,  1053,  1053,  1054,  1054,  1055,  1055,  1056,
     859,   859,   685,  1057,   685,  1058,   796,  1059,  1060,  1061,
    1061,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1063,  1063,  1064,  1065,  1066,  1066,
    1067,  1068,  1068,  1069,  1069,  1070,  1070,  1070,  1071,  1072,
    1073,  1073,  1074,  1074,  1074,  1075,   796,  1076,  1077,  1077,
    1077,  1077,  1077,  1077,  1077,  1078,  1078,  1078,  1078,  1078,
    1078,  1078,  1079,  1079,  1080,  1080,  1082,  1081,  1083,  1083,
    1083,  1083,  1083,  1083,  1083,  1083,  1083,  1084,  1083,  1083,
    1085,  1086,  1086,  1087,  1088,  1088,  1089,  1089,   685,  1090,
    1091,  1092,  1092,  1092,   859,   859,   859,   859,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   859,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   859,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   859,   859,   859,
     859,   624,   624,  1093,  1094,  1095,  1095,  1096,  1096,  1097,
    1097,  1097,  1097,  1098,  1099,  1099,  1100,  1100,  1101,  1101,
    1102,  1102,  1102,  1102,  1102,  1102,  1102,  1102,  1102,   624,
    1103,  1103,   624,  1104,  1105,  1105,  1106,  1107,  1107,   624,
    1108,  1108,  1108,  1108,   685,  1109,   685,  1110,   685,  1111,
     685,  1112,   685,  1113,   685,  1114,   685,  1115,   685,  1116,
    1117,  1117,  1118,  1118,  1118,   796,  1119,  1091,  1091,  1120,
    1120,  1121,  1121,  1122,  1122,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,   796,  1124,  1125,  1125,  1126,  1126,  1126,  1127,
    1128,  1129,  1129,  1130,  1130,  1131,   859,   859
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     1,     1,     1,     0,     2,
       2,     2,     3,     7,     2,     2,     5,     5,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     2,     4,     1,     3,     1,     3,     1,     3,
       4,     6,     6,     0,     1,     1,     1,     1,     1,     2,
       4,     4,     2,     2,     2,     2,     2,     4,     2,     2,
       2,     0,     3,     0,     3,     0,     0,     0,     6,     6,
       1,     1,     1,     2,     1,     2,     1,     2,     1,     0,
       4,     1,     2,     1,     4,     1,     6,     1,     8,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     0,     4,
       2,     5,     0,     4,     0,     2,     1,     1,     0,     2,
       2,     4,     1,     0,     0,     7,     0,     1,     0,     2,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     5,     7,     5,     7,
       9,     7,     5,     7,     5,    11,     1,     1,     2,     1,
       7,     9,     7,     7,     9,     7,     9,     7,     9,     7,
      15,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       3,     1,     3,     1,     3,     1,     3,     1,     2,     2,
       6,     1,     3,     0,     4,     3,     1,     3,     3,     2,
       4,     3,     4,     2,     2,     2,     2,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     1,
       5,     7,     7,     1,     0,     1,     3,     1,     4,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     4,     1,     0,     5,     1,
       1,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     4,     1,     1,
       1,     1,     1,     1,     3,     3,     5,     7,     6,     6,
       6,     6,     4,     8,     8,     4,     1,     1,     4,     1,
       1,     1,     5,     3,     2,     1,     3,     4,     6,     0,
       0,     0,     9,     4,     3,     4,     4,     5,     5,     3,
       3,     3,     2,     5,     0,     5,     7,     9,     0,     1,
       1,     1,     1,     4,     5,     1,     3,     1,     1,     1,
       3,     1,     5,     1,     1,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     3,     0,     1,
       2,     2,     2,     4,     4,     3,     3,     0,     3,     0,
       3,     1,     1,     1,     0,     1,     2,     3,     0,     2,
       2,     2,     3,     2,     2,     2,     1,     2,     2,     2,
       3,     3,     3,     2,     4,     3,     1,     2,     0,     3,
       0,     3,     0,     3,     1,     2,     1,     1,     1,     0,
       2,     2,     2,     2,     2,     1,     1,     3,     3,     3,
       3,     1,     4,     1,     1,     1,     1,     1,     3,     2,
       3,     3,     2,     3,     3,     0,     1,     2,     0,     1,
       3,     1,     3,     1,     0,     2,     2,     2,     2,     2,
       3,     3,     3,     3,     5,     0,     3,     1,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     1,     1,     1,     4,     1,     0,     3,
       5,     2,     1,     1,     2,     0,     5,     5,     5,     5,
       4,     4,     4,     4,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     1,     1,     1,     1,     0,     3,
       1,     3,     1,     3,     1,     4,     1,     5,     1,     0,
       1,     3,     1,     4,     1,     4,     0,     2,     3,     3,
       3,     3,     4,     4,     3,     2,     2,     2,     2,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     2,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     4,     0,     2,     2,     2,     2,     2,
       2,     1,     4,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     4,     1,     4,     1,     5,     1,
       3,     1,     4,     1,     1,     3,     0,     1,     1,     4,
       1,     4,     1,     4,     1,     3,     1,     4,     1,     4,
       1,     3,     2,     2,     1,     4,     1,     2,     1,     3,
       1,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       1,     1,     3,     3,     1,     0,     3,     0,     3,     0,
       3,     3,     2,     2,     0,     3,     0,     3,     0,     3,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     3,
       3,     0,     3,     0,     3,     0,     2,     0,     2,     2,
       2,     1,     5,     1,     2,     1,     1,     3,     3,     0,
       4,     0,     3,     5,     1,     3,     3,     1,     1,     1,
       1,     2,     1,     2,     2,     2,     2,     3,     5,     0,
       3,     5,     1,     1,     1,     1,     0,     2,     0,     0,
       2,     4,     4,     4,     2,     2,     2,     1,     1,     1,
       2,     2,     3,     3,     0,     3,     0,     3,     4,     3,
       0,     2,     2,     0,     2,     0,     2,     4,     2,     4,
       4,     4,     2,     2,     1,     2,     1,     0,     3,     0,
       0,     5,     1,     5,     0,     2,     3,     3,     3,     2,
       2,     2,     2,     2,     1,     2,     1,     1,     2,     4,
       0,     3,     5,     0,     0,     0,     2,     2,     2,     2,
       2,     2,     3,     3,     3,     3,     2,     3,     3,     4,
       4,     4,     2,     2,     3,     3,     3,     3,     3,     3,
       1,     0,     3,     0,     3,     4,     1,     1,     6,     1,
       6,     1,     6,     1,     6,     2,     2,     0,     3,     3,
       0,     3,     3,     2,     2,     1,     3,     1,     3,     1,
       3,     2,     2,     2,     2,     2,     2,     3,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     4,     6,     4,
       6,     6,     4,     6,     5,     5,     4,     5,     5,     6,
       6,     3,     3,     4,     5,     6,     5,     5,     5,     5,
       5,     5,     5,     5,     5,     5,     6,     6,     6,     5,
       6,     6,     6,     8,     6,     6,     6,     7,     5,     6,
       5,     6,     7,     5,     6,     5,     6,     8,     4,     4,
       4,     4,     5,     5,     6,     5,     5,     6,     5,     5,
       6,     7,     7,     7,     7,     7,     8,     8,     5,     5,
       4,     4,     0,     0,     6,     6,     5,     5,     5,     1,
       1,     2,     2,     2,     2,     2,     2,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       4,     4,     4,     2,     3,     2,     2,     2,     2,     3,
       5,     5,     6,     6,     4,     5,     3,     3,     3,     4,
       3,     3,     2,     2,     2,     3,     3,     0,     3,     0,
       3,     0,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       1,     1,     3,     2,     1,     1,     1,     2,     3,     3,
       3,     3,     0,     3,     5,     1,     3,     1,     2,     1,
       2,     2,     2,     1,     2,     2,     4,     0,     3,     5,
       1,     4,     0,     3,     3,     3,     2,     3,     2,     1,
       2,     2,     2,     3,     3,     0,     1,     2,     3,     1,
       1,     2,     2,     3,     3,     3,     3,     4,     2,     4,
       3,     2,     3,     1,     2,     4,     0,     3,     2,     1,
       2,     3,     3,     3,     3,     2,     3,     0,     5,     0,
       5,     2,     2,     1,     4,     1,     1,     0,     3,     2,
       2,     2,     5,     2,     0,     3,     0,     2,     2,     3,
       2,     2,     3,     2,     2,     2,     1,     3,     2,     2,
       2,     2,     2,     2,     3,     2,     2,     2,     2,     2,
       2,     2,     2,     3,     3,     3,     3,     2,     3,     2,
       3,     3,     4,     4,     2,     2,     2,     3,     3,     3,
       2,     3,     3,     3,     4,     2,     1,     0,     2,     3,
       1,     0,     1,     2,     0,     2,     0,     1,     3,     0,
       0,     2,     0,     3,     0,     3,     0,     3,     3,     1,
       1,     1,     1,     1,     4,     1,     6,     1,     6,     1,
       6,     1,     7,     1,     6,     1,     7,     1,     5,     0,
       2,     3,     2,     3,     3,     2,     3,     2,     2,     2,
       3,     3,     3,     1,     3,     3,     2,     3,     3,     2,
       2,     2,     2,     2,     0,     4,     2,     3,     3,     5,
       1,     2,     1,     1,     2,     2,     0,     3,     0,     3,
       6,     2,     3,     0,     3,     5,     0,     4,     4,     3,
       4,     2,     3,     3,     3,     3,     4,     4,     4,     3,
       3,     4,     4,     2,     0,     3,     0,     3,     6,     3,
       3,     4,     1,     1,     1,     0,     0,     3,     0,     3,
       4,     1,     2,     2,     2,     4,     4,     0,     0,     3,
       0,     3,     3,     1,     0,     0,     2,     2,     0,     0,
       3,     1,     5,     1,     0,     0,     2,     2,     0,     0,
       3,     1,     5,     1,     2,     0,     2,     1,     1,     1,
       1,     2,     2,     1,     1,     2,     4,     2,     2,     0,
       3,     5,     0,     0,     2,     2,     2,     2,     2,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     3,     3,     4,     3,     2,     2,
       1,     1,     1,     1,     1,     0,     3,     0,     3,     4,
       1,     1,     1,     6,     1,     6,     1,     2,     5,     0,
       3,     1,     1,     2,     3,     1,     3,     2,     3,     3,
       3,     4,     3,     3,     0,     1,     2,     1,     4,     6,
       0,     0,     3,     0,     3,     2,     2,     2,     0,     0,
       0,     3,     4,     4,     2,     0,     2,     2,     3,     3,
       3,     3,     5,     5,     4,     3,     2,     3,     3,     3,
       3,     3,     1,     2,     0,     2,     0,     4,     2,     3,
       5,     1,     2,     2,     2,     2,     2,     0,     4,     2,
       1,     1,     3,     1,     0,     2,     0,     3,     1,     4,
       3,     3,     2,     4,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     0,     5,     2,     0,     0,     2,     2,
       2,     1,     3,     1,     0,     2,     1,     3,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     3,     1,     3,     5,     2,     0,     0,     2,     1,
       3,     4,     3,     3,     1,     4,     1,     5,     1,     3,
       1,     3,     1,     3,     1,     4,     1,     2,     1,     3,
       0,     1,     0,     1,     2,     2,     2,     3,     3,     1,
       1,     0,     2,     1,     1,     1,     1,     2,     3,     2,
       3,     4,     2,     2,     3,     3,     1,     2,     3,     0,
       2,     0,     3,     0,     3,     3,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      YY_LAC_DISCARD ("YYBACKUP");                              \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return 1 if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYSIZE_T *yycapacity, YYSIZE_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yytype_int16 **yybottom,
                      yytype_int16 *yybottom_no_free,
                      yytype_int16 **yytop, yytype_int16 *yytop_empty)
{
  YYSIZE_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYSIZE_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYSIZE_T yyalloc = 2 * yysize_new;
      yytype_int16 *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        (yytype_int16*) YYSTACK_ALLOC (yyalloc * sizeof *yybottom_new);
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return 1;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                         \
do {                                                             \
  if (!yy_lac_established)                                       \
    {                                                            \
      YYDPRINTF ((stderr,                                        \
                  "LAC: initial context established for %s\n",   \
                  yytname[yytoken]));                            \
      yy_lac_established = 1;                                    \
      {                                                          \
        int yy_lac_status =                                      \
          yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken); \
        if (yy_lac_status == 2)                                  \
          goto yyexhaustedlab;                                   \
        if (yy_lac_status == 1)                                  \
          goto yyerrlab;                                         \
      }                                                          \
    }                                                            \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      if (yydebug)                                                       \
        YYFPRINTF (stderr, "LAC: initial context discarded due to "      \
                   Event "\n");                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return 2 if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yytype_int16 *yyesa, yytype_int16 **yyes,
        YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  yytype_int16 *yyes_prev = yyssp;
  yytype_int16 *yyesp = yyes_prev;
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yytname[yytoken]));
  if (yytoken == YYUNDEFTOK)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          yyrule = yydefact[*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      {
        YYSIZE_T yylen = yyr2[yyrule];
        YYDPRINTF ((stderr, " R%d", yyrule - 1));
        if (yyesp != yyes_prev)
          {
            YYSIZE_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yylen -= yysize;
                yyesp = yyes_prev;
              }
          }
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      {
        int yystate;
        {
          int yylhs = yyr1[yyrule] - YYNTOKENS;
          yystate = yypgoto[yylhs] + *yyesp;
          if (yystate < 0 || YYLAST < yystate
              || yycheck[yystate] != *yyesp)
            yystate = yydefgoto[yylhs];
          else
            yystate = yytable[yystate];
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            *yyesp = yystate;
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return 2;
              }
            *++yyesp = yystate;
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store or if
   yy_lac returned 2.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyesa, yytype_int16 **yyes,
                YYSIZE_T *yyes_capacity, yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          int yyx;

          for (yyx = 0; yyx < YYNTOKENS; ++yyx)
            if (yyx != YYTERROR && yyx != YYUNDEFTOK)
              {
                {
                  int yy_lac_status = yy_lac (yyesa, yyes, yyes_capacity,
                                              yyssp, yyx);
                  if (yy_lac_status == 2)
                    return 2;
                  if (yy_lac_status == 1)
                    continue;
                }
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
# if YYDEBUG
      else if (yydebug)
        YYFPRINTF (stderr, "No expected tokens.\n");
# endif
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

    yytype_int16 yyesa[20];
    yytype_int16 *yyes;
    YYSIZE_T yyes_capacity;

  int yy_lac_established = 0;
  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  yyes = yyesa;
  yyes_capacity = sizeof yyesa / sizeof *yyes;
  if (YYMAXDEPTH < yyes_capacity)
    yyes_capacity = YYMAXDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      YY_LAC_ESTABLISH;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
          case 562:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_NET_TYPE; }
#line 7762 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 563:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_RTS; }
#line 7768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 564:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_SCOPE; }
#line 7774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 565:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_RTD; }
#line 7780 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 566:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_ROA; }
#line 7786 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 567:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_ASPA; }
#line 7792 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 568:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_AF; }
#line 7798 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 569:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_MPLS_POLICY; }
#line 7804 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 570:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_BGP_ORIGIN; }
#line 7810 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 571:
#line 61 "conf/gen_parser.m4" /* yacc.c:1646  */
    { (yyval.i) = T_ENUM_RA_PREFERENCE; }
#line 7816 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 572:
#line 148 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 7822 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 573:
#line 149 "conf/confbase.Y" /* yacc.c:1646  */
    { return 0; }
#line 7828 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 578:
#line 165 "conf/confbase.Y" /* yacc.c:1646  */
    {
     struct f_val *val = cfg_allocz(sizeof(struct f_val));
     *val = cf_eval((yyvsp[-1].x), T_VOID);
     cf_define_symbol(new_config, (yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 7838 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 580:
#line 174 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = cf_eval_int((yyvsp[-1].x)); }
#line 7844 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 581:
#line 175 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 7852 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 582:
#line 181 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) S_; }
#line 7858 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 583:
#line 182 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 7864 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 584:
#line 183 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.time) = (yyvsp[-1].i) US_; }
#line 7870 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 589:
#line 192 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = !!(yyvsp[0].i); }
#line 7876 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 590:
#line 193 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 7882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 591:
#line 194 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 7888 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 592:
#line 195 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 7894 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 593:
#line 196 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 7900 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 594:
#line 197 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 7906 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 595:
#line 204 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 7912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 596:
#line 205 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 7918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 597:
#line 206 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 7927 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 598:
#line 213 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 7933 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 599:
#line 214 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 7939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 600:
#line 221 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 7948 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 601:
#line 228 "conf/confbase.Y" /* yacc.c:1646  */
    {
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 7961 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 602:
#line 238 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 7977 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 603:
#line 251 "conf/confbase.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 7999 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 604:
#line 270 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 8008 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 605:
#line 276 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 8017 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 606:
#line 282 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 8028 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 607:
#line 290 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 8039 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 608:
#line 298 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_mpls));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 8048 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 609:
#line 304 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_aspa));
  net_fill_aspa((yyval.net_ptr), (yyvsp[0].i));
}
#line 8057 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 616:
#line 314 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 8063 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 624:
#line 328 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP4))
       cf_error("IPv4 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8073 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 626:
#line 337 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 628:
#line 346 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8093 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 630:
#line 355 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 8103 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 633:
#line 365 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 8109 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 634:
#line 366 "conf/confbase.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 8115 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 635:
#line 367 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 8128 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 636:
#line 378 "conf/confbase.Y" /* yacc.c:1646  */
    {
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 8138 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 638:
#line 386 "conf/confbase.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 8149 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 639:
#line 395 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 8159 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 641:
#line 404 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 8168 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 643:
#line 412 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 8174 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 644:
#line 416 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 8180 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 645:
#line 417 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 8186 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 646:
#line 418 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 8192 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 647:
#line 419 "conf/confbase.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_STRING)) ||
	 ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)))
       (yyval.v) = *((yyvsp[0].s)->val);
     else
       cf_error("String or IP constant expected");
   }
#line 8204 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 648:
#line 426 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 8214 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 650:
#line 435 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.bs) = cf_eval((yyvsp[0].x), T_BYTESTRING).val.bs; }
#line 8220 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 651:
#line 439 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_BYTESTRING; (yyval.v).val.bs = (yyvsp[0].bs); }
#line 8226 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 652:
#line 440 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 8232 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 653:
#line 441 "conf/confbase.Y" /* yacc.c:1646  */
    {
     (yyval.v) = cf_eval((yyvsp[0].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 8242 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 656:
#line 451 "conf/confbase.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 8248 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 657:
#line 37 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_TRUE; }
#line 8254 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 658:
#line 38 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_EQ;  }
#line 8260 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 659:
#line 39 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_NEQ; }
#line 8266 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 660:
#line 40 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LT;  }
#line 8272 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 661:
#line 41 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_LEQ; }
#line 8278 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 662:
#line 42 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GT;  }
#line 8284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 663:
#line 43 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_GEQ; }
#line 8290 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 664:
#line 44 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_FALSE; }
#line 8296 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 665:
#line 48 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_OR; }
#line 8302 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 666:
#line 49 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_OP_AND; }
#line 8308 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 667:
#line 53 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 8314 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 668:
#line 54 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 8320 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 669:
#line 55 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PORT; }
#line 8326 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 670:
#line 56 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 8332 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 671:
#line 57 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 8338 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 672:
#line 58 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 8344 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 673:
#line 59 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 8350 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 674:
#line 60 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 8356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 675:
#line 61 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 8362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 676:
#line 62 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_LABEL; }
#line 8368 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 677:
#line 65 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 8374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 678:
#line 66 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 8380 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 679:
#line 67 "conf/flowspec.Y" /* yacc.c:1646  */
    { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 8386 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 680:
#line 70 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 8392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 681:
#line 71 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 8398 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 682:
#line 75 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 8407 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 683:
#line 79 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 8416 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 686:
#line 88 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 8425 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 687:
#line 92 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 8436 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 690:
#line 106 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 8445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 691:
#line 110 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 8454 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 692:
#line 114 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 8463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 693:
#line 121 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x00; }
#line 8469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 694:
#line 122 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 0x02; }
#line 8475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 695:
#line 126 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 1; }
#line 8481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 696:
#line 127 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 2; }
#line 8487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 697:
#line 128 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 4; }
#line 8493 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 698:
#line 129 "conf/flowspec.Y" /* yacc.c:1646  */
    { (yyval.i32) = 8; }
#line 8499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 699:
#line 133 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 8507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 700:
#line 136 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 8515 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 701:
#line 139 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 8523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 702:
#line 145 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 8532 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 706:
#line 155 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 8541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 707:
#line 159 "conf/flowspec.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 8552 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 715:
#line 181 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  if (this_flow == NULL)
    this_flow = flow_builder_init(config_pool);	  /* FIXME: This should be allocated from tmp in future */
  else
    flow_builder_clear(this_flow);
}
#line 8563 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 716:
#line 188 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 0; }
#line 8569 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 717:
#line 189 "conf/flowspec.Y" /* yacc.c:1646  */
    { this_flow->ipv6 = 1; }
#line 8575 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 718:
#line 192 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 8584 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 719:
#line 198 "conf/flowspec.Y" /* yacc.c:1646  */
    {
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 8593 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 729:
#line 402 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyvsp[0].s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FILTER, filter, NULL);
     cf_push_scope( new_config, (yyvsp[0].s) );
     this_function = NULL;
   }
#line 8603 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 730:
#line 406 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope(new_config);
   }
#line 8615 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 732:
#line 417 "filter/config.Y" /* yacc.c:1646  */
    { cf_eval_int((yyvsp[0].x)); }
#line 8621 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 734:
#line 421 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 8629 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 736:
#line 427 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 8643 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 738:
#line 440 "filter/config.Y" /* yacc.c:1646  */
    {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 8659 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 739:
#line 454 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_INT; }
#line 8665 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 740:
#line 455 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_BOOL; }
#line 8671 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 741:
#line 456 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_IP; }
#line 8677 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 742:
#line 457 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_RD; }
#line 8683 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 743:
#line 458 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_NET; }
#line 8689 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 744:
#line 459 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PAIR; }
#line 8695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 745:
#line 460 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_QUAD; }
#line 8701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 746:
#line 461 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_EC; }
#line 8707 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 747:
#line 462 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LC; }
#line 8713 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 748:
#line 463 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_STRING; }
#line 8719 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 749:
#line 464 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_BYTESTRING; }
#line 8725 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 750:
#line 465 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH_MASK; }
#line 8731 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 751:
#line 466 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_PATH; }
#line 8737 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 752:
#line 467 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_CLIST; }
#line 8743 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 753:
#line 468 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_ECLIST; }
#line 8749 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 754:
#line 469 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_LCLIST; }
#line 8755 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 755:
#line 470 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_ROUTE; }
#line 8761 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 756:
#line 471 "filter/config.Y" /* yacc.c:1646  */
    {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_ENUM:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 8787 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 757:
#line 492 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 8793 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 758:
#line 496 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fa) = NULL; }
#line 8799 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 759:
#line 497 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 8810 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 760:
#line 506 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fa) = NULL; }
#line 8816 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 761:
#line 507 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 8826 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 762:
#line 515 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 8832 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 763:
#line 516 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 8841 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 764:
#line 523 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = T_VOID; }
#line 8847 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 765:
#line 524 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 8853 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 767:
#line 530 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 8862 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 768:
#line 534 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_push_scope(new_config, NULL);
     this_function = NULL;
   }
#line 8871 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 769:
#line 537 "filter/config.Y" /* yacc.c:1646  */
    {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;

     cf_pop_scope(new_config);
   }
#line 8883 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 770:
#line 547 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 8892 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 771:
#line 554 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.fl) = f_linearize((yyvsp[-1].x), 0);
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 8901 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 773:
#line 563 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     this_function = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope(new_config, this_function);
   }
#line 8911 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 774:
#line 567 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Make dummy f_line for storing function prototype */
     struct f_line *dummy = cfg_allocz(sizeof(struct f_line));
     this_function->function = dummy;

     dummy->return_type = (yyvsp[0].i);

     /* Revert the args */
     while ((yyvsp[-1].fa)) {
       struct f_arg *tmp = (yyvsp[-1].fa);
       (yyvsp[-1].fa) = (yyvsp[-1].fa)->next;

       tmp->next = dummy->arg_list;
       dummy->arg_list = tmp;
       dummy->args++;
     }
   }
#line 8933 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 775:
#line 583 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyvsp[0].fl)->args = this_function->function->args;
     (yyvsp[0].fl)->arg_list = this_function->function->arg_list;
     (yyvsp[0].fl)->return_type = this_function->function->return_type;
     (yyvsp[-5].s)->function = (yyvsp[0].fl);
     cf_pop_scope(new_config);
   }
#line 8945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 776:
#line 594 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 8951 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 777:
#line 595 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].xp).begin; }
#line 8957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 778:
#line 598 "filter/config.Y" /* yacc.c:1646  */
    { cf_push_soft_scope(new_config); }
#line 8963 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 779:
#line 598 "filter/config.Y" /* yacc.c:1646  */
    { cf_pop_soft_scope(new_config); (yyval.x) = (yyvsp[0].x); }
#line 8969 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 782:
#line 602 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 8980 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 784:
#line 611 "filter/config.Y" /* yacc.c:1646  */
    {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 8996 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 785:
#line 628 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 9002 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 786:
#line 629 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 9008 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 787:
#line 642 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 9014 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 788:
#line 643 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v) = (yyvsp[0].v); }
#line 9020 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 789:
#line 644 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 9026 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 790:
#line 645 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 9032 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 791:
#line 646 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (!f_valid_set_type((yyval.v).type))
       cf_error("Set-incompatible type (%s)", f_type_name((yyval.v).type));
   }
#line 9042 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 793:
#line 655 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s))))
       cf_error("%s: Set-incompatible type (%s)", (yyvsp[0].s)->name, f_type_name(SYM_TYPE((yyvsp[0].s))));
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 9053 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 795:
#line 668 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = cf_eval_int((yyvsp[0].x)); }
#line 9059 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 796:
#line 671 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 797:
#line 672 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 798:
#line 673 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 9077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 799:
#line 674 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 800:
#line 675 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 801:
#line 676 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 9095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 802:
#line 677 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 803:
#line 678 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 804:
#line 679 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 9113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 805:
#line 681 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 9119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 806:
#line 685 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RT; }
#line 9125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 807:
#line 686 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_RO; }
#line 9131 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 808:
#line 687 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = (yyvsp[0].i); }
#line 9137 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 809:
#line 688 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.ecs) = EC_GENERIC; }
#line 9143 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 810:
#line 692 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9149 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 811:
#line 693 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9155 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 812:
#line 694 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 9161 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 813:
#line 698 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9167 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 814:
#line 699 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9173 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 815:
#line 700 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 9179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 816:
#line 701 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 9185 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 817:
#line 702 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 9191 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 818:
#line 703 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 9197 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 819:
#line 704 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 9203 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 820:
#line 706 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 9209 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 824:
#line 713 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 9215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 825:
#line 714 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 9221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 829:
#line 721 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 9227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 830:
#line 722 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 9233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 832:
#line 727 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 834:
#line 732 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 836:
#line 737 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9251 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 837:
#line 741 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 9257 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 838:
#line 742 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 9263 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 839:
#line 743 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 9269 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 840:
#line 744 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 9279 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 841:
#line 752 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 9285 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 842:
#line 753 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 9291 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 843:
#line 756 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.e) = NULL; }
#line 9297 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 844:
#line 757 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Fill data fields */
     struct f_tree *t;
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 9309 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 845:
#line 764 "filter/config.Y" /* yacc.c:1646  */
    {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 9321 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 846:
#line 774 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9327 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 847:
#line 775 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 9333 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 848:
#line 779 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 9339 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 849:
#line 783 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 9345 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 850:
#line 784 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9351 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 851:
#line 785 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = NULL, .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9357 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 852:
#line 786 "filter/config.Y" /* yacc.c:1646  */
    {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 9366 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 853:
#line 790 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9372 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 854:
#line 791 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9378 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 855:
#line 792 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9384 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 856:
#line 793 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 9390 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 857:
#line 794 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 9396 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 858:
#line 798 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 9402 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 859:
#line 799 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 9408 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 860:
#line 800 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 9414 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 861:
#line 801 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 9420 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 862:
#line 802 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BYTESTRING, .val.bs = (yyvsp[0].bs), }); }
#line 9426 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 863:
#line 803 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 9432 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 864:
#line 804 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.ec = (yyvsp[0].i64), }); }
#line 9438 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 865:
#line 805 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 9444 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 866:
#line 806 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = NULL, }); }
#line 9450 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 867:
#line 807 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 9460 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 868:
#line 812 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 9466 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 869:
#line 813 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 9472 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 870:
#line 817 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9478 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 871:
#line 818 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 9484 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 872:
#line 819 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9490 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 873:
#line 820 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 9496 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 874:
#line 826 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = NULL; }
#line 9502 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 875:
#line 827 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9508 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 876:
#line 828 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 9514 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 877:
#line 832 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = NULL;

     /* Revert the var_list_r */
     while ((yyvsp[0].x)) {
       struct f_inst *tmp = (yyvsp[0].x);
       (yyvsp[0].x) = (yyvsp[0].x)->next;

       tmp->next = (yyval.x);
       (yyval.x) = tmp;
     }
   }
#line 9531 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 878:
#line 848 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     (yyval.x) = f_new_inst(FI_CALL, (yyvsp[-1].x), (yyvsp[-3].s));
   }
#line 9542 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 879:
#line 857 "filter/config.Y" /* yacc.c:1646  */
    {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 9562 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 880:
#line 875 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 9568 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 881:
#line 876 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 9574 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 882:
#line 877 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 9580 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 883:
#line 878 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 9586 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 884:
#line 879 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 9592 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 885:
#line 880 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 9598 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 886:
#line 881 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 9604 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 887:
#line 882 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 9610 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 888:
#line 883 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 9616 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 889:
#line 884 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 9622 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 890:
#line 885 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,	  SA_PREF,	0); }
#line 9628 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 891:
#line 886 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_INT,        SA_GW_MPLS,	0); }
#line 9634 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 892:
#line 887 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_CLIST, SA_GW_MPLS_STACK,	0); }
#line 9640 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 893:
#line 888 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fsa) = f_new_static_attr(T_BOOL,       SA_ONLINK,	0); }
#line 9646 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 894:
#line 891 "filter/config.Y" /* yacc.c:1646  */
    { f_method_call_start((yyvsp[-1].x)); }
#line 9652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 895:
#line 891 "filter/config.Y" /* yacc.c:1646  */
    { f_method_call_end(); (yyval.x) = (yyvsp[0].x); }
#line 9658 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 896:
#line 893 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_dispatch_method((yyvsp[0].s), FM.object, NULL, 1);
   }
#line 9666 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 897:
#line 896 "filter/config.Y" /* yacc.c:1646  */
    {
     f_method_call_args();
   }
#line 9674 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 898:
#line 898 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_dispatch_method((yyvsp[-4].s), FM.object, (yyvsp[-1].x), 1);
   }
#line 9682 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 899:
#line 901 "filter/config.Y" /* yacc.c:1646  */
    {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_RTA_GET, FM.object, (yyvsp[0].fsa));
   }
#line 9692 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 900:
#line 906 "filter/config.Y" /* yacc.c:1646  */
    {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_EA_GET, FM.object, (yyvsp[0].fda));
   }
#line 9702 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 901:
#line 914 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[-1].x); }
#line 9708 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 902:
#line 915 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9714 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 903:
#line 916 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9720 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 904:
#line 917 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9726 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 905:
#line 918 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9732 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 906:
#line 919 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9738 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 907:
#line 920 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9744 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 908:
#line 921 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9750 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 909:
#line 922 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9756 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 910:
#line 923 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9762 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 911:
#line 924 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9768 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 912:
#line 925 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 9774 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 913:
#line 926 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 9780 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 914:
#line 927 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9786 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 915:
#line 928 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9792 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 916:
#line 929 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 9798 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 917:
#line 930 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 9804 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 918:
#line 932 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9810 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 919:
#line 933 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9816 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 920:
#line 934 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = (yyvsp[0].x); }
#line 9822 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 921:
#line 936 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_RTA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fsa)); }
#line 9828 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 922:
#line 938 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fda)); }
#line 9834 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 924:
#line 942 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_PATH)); }
#line 9840 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 925:
#line 943 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_CLIST)); }
#line 9846 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 926:
#line 944 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_ECLIST)); }
#line 9852 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 927:
#line 945 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_LCLIST)); }
#line 9858 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 928:
#line 947 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("prepend", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9864 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 929:
#line 948 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("add", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9870 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 930:
#line 949 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("delete", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9876 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 931:
#line 950 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_dispatch_method_x("filter", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 932:
#line 952 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 9888 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 933:
#line 953 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 9894 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 934:
#line 954 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_ASPA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 9900 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 935:
#line 956 "filter/config.Y" /* yacc.c:1646  */
    {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 9906 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 938:
#line 963 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_FROM_HEX, (yyvsp[-1].x)); }
#line 9912 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 939:
#line 967 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ACCEPT; }
#line 9918 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 940:
#line 968 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_REJECT; }
#line 9924 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 941:
#line 969 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.fret) = F_ERROR; }
#line 9930 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 942:
#line 973 "filter/config.Y" /* yacc.c:1646  */
    {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-3].s), SYM_VARIABLE | (yyvsp[-4].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT, (yyvsp[-1].x), sym);
   }
#line 9939 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 943:
#line 977 "filter/config.Y" /* yacc.c:1646  */
    {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT0, sym);
   }
#line 9948 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 944:
#line 984 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_VARIABLE | (yyvsp[-1].i), offset, f_new_var(sym_->scope)); }
#line 9954 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 945:
#line 985 "filter/config.Y" /* yacc.c:1646  */
    { cf_error("Use of a pre-defined variable in for loop is not allowed"); }
#line 9960 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 946:
#line 989 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = (yyvsp[-1].x);
   }
#line 9968 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 947:
#line 992 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 9976 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 948:
#line 995 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 9984 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 949:
#line 998 "filter/config.Y" /* yacc.c:1646  */
    {
     /* Reserve space for walk data on stack */
     cf_push_block_scope(new_config);
     new_config->current_scope->slots += 2;
   }
#line 9994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 950:
#line 1004 "filter/config.Y" /* yacc.c:1646  */
    { this_for_scope = new_config->current_scope; new_config->current_scope = this_for_scope->next; }
#line 10000 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 951:
#line 1006 "filter/config.Y" /* yacc.c:1646  */
    { new_config->current_scope = this_for_scope; this_for_scope = NULL; }
#line 10006 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 952:
#line 1007 "filter/config.Y" /* yacc.c:1646  */
    {
     cf_pop_block_scope(new_config);
     (yyval.x) = f_for_cycle((yyvsp[-6].s), (yyvsp[-3].x), (yyvsp[0].x));
   }
#line 10015 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 953:
#line 1011 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 10032 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 954:
#line 1023 "filter/config.Y" /* yacc.c:1646  */
    {
     DBG( "Ook, we'll return the value\n" );
     if (!this_function)
       cf_error("Can't return from a non-function, use accept or reject instead.");
     if (this_function->function->return_type == T_VOID)
     {
       if ((yyvsp[-1].x)->type != T_VOID)
	 cf_warn("Inferring function %s return type from its return value: %s", this_function->name, f_type_name((yyvsp[-1].x)->type));
       ((struct f_line *) this_function->function)->return_type = (yyvsp[-1].x)->type;
     }
     else if (this_function->function->return_type != (yyvsp[-1].x)->type)
       cf_error("Can't return type %s from function %s, expected %s",
		f_type_name((yyvsp[-1].x)->type), this_function->name, f_type_name(this_function->function->return_type));

     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 10053 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 955:
#line 1039 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 10061 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 956:
#line 1042 "filter/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 10071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 957:
#line 1047 "filter/config.Y" /* yacc.c:1646  */
    {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 10079 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 958:
#line 1050 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[-2].s)->class) {
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_UNSET, *(yyvsp[-2].s)->attribute);
	 break;
       default:
	 cf_error("Can't unset symbol %s", (yyvsp[-2].s)->name);
     }
 }
#line 10093 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 959:
#line 1059 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_print((yyvsp[-1].x), !!(yyvsp[-1].x), (yyvsp[-2].fret));
   }
#line 10101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 960:
#line 1062 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_print((yyvsp[-1].x), 1, F_NOP);
   }
#line 10109 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 961:
#line 1065 "filter/config.Y" /* yacc.c:1646  */
    {
    (yyval.x) = f_print((yyvsp[-1].x), 0, F_NOP);
   }
#line 10117 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 962:
#line 1068 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 10123 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 963:
#line 1069 "filter/config.Y" /* yacc.c:1646  */
    {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), (yyvsp[-1].e));
   }
#line 10131 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 964:
#line 1072 "filter/config.Y" /* yacc.c:1646  */
    {
     f_method_call_start(f_lval_getter(&(yyvsp[-1].flv)));
   }
#line 10139 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 965:
#line 1074 "filter/config.Y" /* yacc.c:1646  */
    {
     f_method_call_end();
     (yyval.x) = f_lval_setter(&(yyvsp[-4].flv), (yyvsp[-1].x));
   }
#line 10148 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 966:
#line 1078 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 10154 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 967:
#line 1079 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 10160 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 968:
#line 1083 "filter/config.Y" /* yacc.c:1646  */
    {
  (yyval.t) = cf_text;
}
#line 10168 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 969:
#line 1088 "filter/config.Y" /* yacc.c:1646  */
    {
     switch ((yyvsp[0].s)->class)
     {
       case SYM_VARIABLE_RANGE:
	 (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s), .rte = f_const_empty(T_ROUTE) };
         break;
       case SYM_ATTRIBUTE:
         (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = *((yyvsp[0].s)->attribute), .rte = f_const_empty(T_ROUTE) };
	 break;
       default:
	 cf_error("Variable name or custom attribute name required");
     }
   }
#line 10186 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 970:
#line 1101 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa), .rte = f_const_empty(T_ROUTE) }; }
#line 10192 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 971:
#line 1102 "filter/config.Y" /* yacc.c:1646  */
    { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda), .rte = f_const_empty(T_ROUTE) }; }
#line 10198 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 973:
#line 170 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id = (yyvsp[-1].i32); }
#line 10204 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 974:
#line 171 "nest/config.Y" /* yacc.c:1646  */
    { new_config->router_id_from = this_ipatt; }
#line 10210 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 975:
#line 175 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = (yyvsp[0].i); }
#line 10216 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 976:
#line 176 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = cf_eval_int((yyvsp[-1].x)); }
#line 10222 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 977:
#line 177 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 10228 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 978:
#line 178 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 10241 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 980:
#line 190 "nest/config.Y" /* yacc.c:1646  */
    { new_config->hostname = (yyvsp[-1].t); }
#line 10247 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 982:
#line 194 "nest/config.Y" /* yacc.c:1646  */
    { new_config->gr_wait = (yyvsp[-1].i); }
#line 10253 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 983:
#line 200 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP4; }
#line 10259 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 984:
#line 201 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6; }
#line 10265 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 985:
#line 202 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_IP6_SADR; }
#line 10271 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 986:
#line 203 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN4; }
#line 10277 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 987:
#line 204 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_VPN6; }
#line 10283 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 988:
#line 205 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA4; }
#line 10289 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 989:
#line 206 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ROA6; }
#line 10295 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 990:
#line 207 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW4; }
#line 10301 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 991:
#line 208 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_FLOW6; }
#line 10307 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 992:
#line 209 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_ASPA; }
#line 10313 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 994:
#line 214 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NET_MPLS; }
#line 10319 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 997:
#line 224 "nest/config.Y" /* yacc.c:1646  */
    {
   this_table = rt_new_table((yyvsp[0].s), (yyvsp[-2].i));
   }
#line 10327 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 999:
#line 231 "nest/config.Y" /* yacc.c:1646  */
    { this_table->sorted = 1; }
#line 10333 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 235 "nest/config.Y" /* yacc.c:1646  */
    { this_table->sorted = (yyvsp[0].i); }
#line 10339 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 236 "nest/config.Y" /* yacc.c:1646  */
    { this_table->debug = (yyvsp[0].i); }
#line 10345 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 237 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!net_val_match(this_table->addr_type, NB_IP | NB_VPN | NB_ROA | NB_IP6_SADR))
       cf_error("Trie option not supported for %s table", net_label[this_table->addr_type]);
     this_table->trie_used = (yyvsp[0].i);
   }
#line 10355 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 242 "nest/config.Y" /* yacc.c:1646  */
    { this_table->min_settle_time = (yyvsp[0].time); }
#line 10361 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 243 "nest/config.Y" /* yacc.c:1646  */
    { this_table->max_settle_time = (yyvsp[0].time); }
#line 10367 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 244 "nest/config.Y" /* yacc.c:1646  */
    { this_table->gc_threshold = (yyvsp[0].i); }
#line 10373 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 245 "nest/config.Y" /* yacc.c:1646  */
    { this_table->gc_period = (uint) (yyvsp[0].time); if ((yyvsp[0].time) > 3600 S_) cf_error("GC period must be at most 3600 s"); }
#line 10379 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 261 "nest/config.Y" /* yacc.c:1646  */
    { proto_postconfig(); }
#line 10385 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 264 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_PROTO; }
#line 10391 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 265 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = SYM_TEMPLATE; }
#line 10397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 269 "nest/config.Y" /* yacc.c:1646  */
    {
     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 10408 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 275 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_define_symbol(new_config, (yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 10417 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 279 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 10432 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 289 "nest/config.Y" /* yacc.c:1646  */
    {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol(new_config, (yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 10445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 301 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->disabled = (yyvsp[0].i); }
#line 10451 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 302 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->debug = (yyvsp[0].i); }
#line 10457 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 303 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->mrtdump = (yyvsp[0].i); }
#line 10463 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 304 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->router_id = (yyvsp[0].i32); }
#line 10469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 305 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->dsc = (yyvsp[0].t); }
#line 10475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 306 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 10481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 307 "nest/config.Y" /* yacc.c:1646  */
    { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 10487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 312 "nest/config.Y" /* yacc.c:1646  */
    {
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 10495 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 317 "nest/config.Y" /* yacc.c:1646  */
    {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 10505 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 322 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_filter = (yyvsp[0].f); }
#line 10511 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 323 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_filter = (yyvsp[0].f); }
#line 10517 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 324 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->rx_limit = (yyvsp[0].cl); }
#line 10523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 325 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_limit = (yyvsp[0].cl); }
#line 10529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 326 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->out_limit = (yyvsp[0].cl); }
#line 10535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 327 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 10541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 328 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 10547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 329 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 10553 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 335 "nest/config.Y" /* yacc.c:1646  */
    { this_channel->debug = (yyvsp[0].i); }
#line 10559 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 349 "nest/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 10570 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 359 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 10576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 362 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = (yyvsp[0].f); }
#line 10582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 364 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_ACCEPT; }
#line 10588 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 365 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.f) = FILTER_REJECT; }
#line 10594 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 369 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 10600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 370 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_WARN; }
#line 10606 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 371 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_BLOCK; }
#line 10612 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 372 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_RESTART; }
#line 10618 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 373 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = PLA_DISABLE; }
#line 10624 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 377 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 10630 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 378 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.cl) = (struct channel_limit){}; }
#line 10636 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 385 "nest/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_debug = (yyvsp[0].i); }
#line 10642 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 386 "nest/config.Y" /* yacc.c:1646  */
    { new_config->channel_default_debug = (yyvsp[0].i); }
#line 10648 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 387 "nest/config.Y" /* yacc.c:1646  */
    { new_config->table_default_debug = (yyvsp[0].i); }
#line 10654 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 388 "nest/config.Y" /* yacc.c:1646  */
    { new_config->cli_debug = (yyvsp[0].i); }
#line 10660 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 396 "nest/config.Y" /* yacc.c:1646  */
    { *(yyvsp[-2].tfp) = (yyvsp[-1].tf); }
#line 10666 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 400 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tfp) = &new_config->tf_route; }
#line 10672 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 401 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tfp) = &new_config->tf_proto; }
#line 10678 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 402 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tfp) = &new_config->tf_base; }
#line 10684 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 403 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tfp) = &new_config->tf_log; }
#line 10690 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 407 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 10696 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 408 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 10702 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 409 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_SHORT_S; }
#line 10708 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 410 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_SHORT_MS; }
#line 10714 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 411 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_SHORT_US; }
#line 10720 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 412 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_LONG_S; }
#line 10726 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 413 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_LONG_MS; }
#line 10732 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 414 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.tf) = TM_ISO_LONG_US; }
#line 10738 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 421 "nest/config.Y" /* yacc.c:1646  */
    {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 10748 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 429 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 10754 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 430 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 10760 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 434 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 1; }
#line 10766 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 435 "nest/config.Y" /* yacc.c:1646  */
    { this_ipn->positive = 0; }
#line 10772 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 449 "nest/config.Y" /* yacc.c:1646  */
    { iface_patt_check(); }
#line 10778 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 451 "nest/config.Y" /* yacc.c:1646  */
    {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 10788 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 463 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 10794 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 464 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 10800 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 471 "nest/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 10809 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 482 "nest/config.Y" /* yacc.c:1646  */
    { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 10815 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 486 "nest/config.Y" /* yacc.c:1646  */
    {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 10825 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 500 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 10831 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 501 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10837 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 502 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 10843 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 507 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 10849 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 511 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_STATES; }
#line 10855 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 512 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_ROUTES; }
#line 10861 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 513 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_FILTERS; }
#line 10867 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 514 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_IFACES; }
#line 10873 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 515 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_EVENTS; }
#line 10879 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 516 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = D_PACKETS; }
#line 10885 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 522 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 10891 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 523 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 10897 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 524 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 10903 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 529 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 10909 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 533 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_STATES; }
#line 10915 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 534 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = MD_MESSAGES; }
#line 10921 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 561 "nest/config.Y" /* yacc.c:1646  */
    {
  init_password_list();
  if ((yyvsp[0].v).type == T_BYTESTRING)
    init_password((yyvsp[0].v).val.bs->data, (yyvsp[0].v).val.bs->length, password_id++);
  else if ((yyvsp[0].v).type == T_STRING)
    init_password((yyvsp[0].v).val.s, strlen((yyvsp[0].v).val.s), password_id++);
  else bug("Bad bytestring_text");
}
#line 10934 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 571 "nest/config.Y" /* yacc.c:1646  */
    { }
#line 10940 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 572 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = (yyvsp[-2].time); }
#line 10946 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 573 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = (yyvsp[-2].time); }
#line 10952 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 574 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accfrom = (yyvsp[-2].time); }
#line 10958 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 575 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->accto = (yyvsp[-2].time); }
#line 10964 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 576 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 10970 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 577 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 10976 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 578 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 10982 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 579 "nest/config.Y" /* yacc.c:1646  */
    { this_p_item->alg = (yyvsp[-2].i); }
#line 10988 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 583 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_MD5; }
#line 10994 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 584 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA1; }
#line 11000 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 585 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA256; }
#line 11006 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 586 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA384; }
#line 11012 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 587 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_SHA512; }
#line 11018 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 588 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_MD5; }
#line 11024 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 589 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA1; }
#line 11030 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 590 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA256; }
#line 11036 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 591 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA384; }
#line 11042 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 592 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_HMAC_SHA512; }
#line 11048 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 593 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2S_128; }
#line 11054 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 594 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2S_256; }
#line 11060 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 595 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2B_256; }
#line 11066 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 596 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ALG_BLAKE2B_512; }
#line 11072 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 600 "nest/config.Y" /* yacc.c:1646  */
    {
  password_validate_length(this_p_item);
}
#line 11080 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 613 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_status(); }
#line 11086 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 616 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_memory(); }
#line 11092 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 619 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 11098 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 622 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 11104 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 625 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 11110 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 626 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.s) = NULL; }
#line 11116 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 630 "nest/config.Y" /* yacc.c:1646  */
    { if_show(); }
#line 11122 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 633 "nest/config.Y" /* yacc.c:1646  */
    { if_show_summary(); }
#line 11128 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 637 "nest/config.Y" /* yacc.c:1646  */
    { rt_show((yyvsp[-1].ra)); }
#line 11134 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 657 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = config;
   }
#line 11145 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 663 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_EQUAL;
   }
#line 11156 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 669 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_FOR;
   }
#line 11167 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 675 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     if (!net_type_match((yyvsp[0].net_ptr), NB_IP)) cf_error("Only IP networks accepted for 'in' argument");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_IN;
   }
#line 11179 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 682 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11190 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 688 "nest/config.Y" /* yacc.c:1646  */
    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 11202 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 695 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!(yyvsp[0].c)->in_table) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11212 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 700 "nest/config.Y" /* yacc.c:1646  */
    {
     if (!(yyvsp[0].c)->out_table) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11222 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 705 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 11232 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 710 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 11242 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 715 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 11251 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 719 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 11260 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 723 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 11269 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 727 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 737 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11296 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 744 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11310 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 753 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 11319 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 757 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 11328 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 764 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 11337 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 771 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 11346 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 775 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 11355 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 779 "nest/config.Y" /* yacc.c:1646  */
    {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 11364 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 783 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 11380 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 799 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 11386 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 800 "nest/config.Y" /* yacc.c:1646  */
    { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 11392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 803 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_PREEXPORT; }
#line 11398 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 804 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORT; }
#line 11404 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 805 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_NOEXPORT; }
#line 11410 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 806 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RSEM_EXPORTED; }
#line 11416 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 811 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4"; }
#line 11422 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 812 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mc"; }
#line 11428 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 813 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv4-mpls"; }
#line 11434 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 814 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6"; }
#line 11440 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 815 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mc"; }
#line 11446 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 816 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-mpls"; }
#line 11452 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 817 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "ipv6-sadr"; }
#line 11458 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 818 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4"; }
#line 11464 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 819 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mc"; }
#line 11470 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 820 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn4-mpls"; }
#line 11476 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 821 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6"; }
#line 11482 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 822 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mc"; }
#line 11488 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 823 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "vpn6-mpls"; }
#line 11494 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 824 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa4"; }
#line 11500 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 825 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "roa6"; }
#line 11506 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 826 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow4"; }
#line 11512 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 827 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "flow6"; }
#line 11518 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 828 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "mpls"; }
#line 11524 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 829 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "aspa"; }
#line 11530 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 830 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "pri"; }
#line 11536 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 831 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.t) = "sec"; }
#line 11542 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 835 "nest/config.Y" /* yacc.c:1646  */
    {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 11554 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 846 "nest/config.Y" /* yacc.c:1646  */
    { cmd_show_symbols((yyvsp[-1].sd)); }
#line 11560 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 855 "nest/config.Y" /* yacc.c:1646  */
    {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 11568 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 858 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 11574 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 859 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 11580 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 860 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 11586 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 861 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 11592 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 862 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 11598 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 863 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 11604 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 868 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "resources", resource_dump); }
#line 11610 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 870 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "sockets", sk_dump_all); }
#line 11616 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 872 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "event log", io_log_dump); }
#line 11622 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 874 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "interfaces", if_dump_all); }
#line 11628 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 876 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "neighbor cache", neigh_dump_all); }
#line 11634 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 878 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "attribute cache", rta_dump_all); }
#line 11640 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 880 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "routing tables", rt_dump_all); }
#line 11646 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 882 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "protocols", protos_dump_all); }
#line 11652 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 884 "nest/config.Y" /* yacc.c:1646  */
    { cmd_dump_file(this_cli, (yyvsp[-1].t), "filter bytecode", filters_dump_all); }
#line 11658 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 887 "nest/config.Y" /* yacc.c:1646  */
    { cmd_eval(f_linearize((yyvsp[-1].x), 1)); }
#line 11664 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 890 "nest/config.Y" /* yacc.c:1646  */
    {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 11673 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 896 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 11679 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 897 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 11685 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 898 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 11691 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 902 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 4096; }
#line 11697 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 903 "nest/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 11706 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 910 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11712 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 912 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11718 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 914 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11724 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 916 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 11730 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 918 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 11736 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 920 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 11742 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 924 "nest/config.Y" /* yacc.c:1646  */
    { /* Done in debug_args */  }
#line 11748 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 936 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 11754 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 937 "nest/config.Y" /* yacc.c:1646  */
    { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 11760 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 942 "nest/config.Y" /* yacc.c:1646  */
    { proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 11766 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 945 "nest/config.Y" /* yacc.c:1646  */
    { this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 11772 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 949 "nest/config.Y" /* yacc.c:1646  */
    { cli_set_timeformat(this_cli, (yyvsp[-1].tf)); }
#line 11778 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 958 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 11784 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 959 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 11790 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 960 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 11796 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 964 "nest/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 11802 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 965 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 11808 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 966 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 11814 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 969 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 11820 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 971 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_ASPA_PROVIDERS); }
#line 11826 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 973 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_LABEL); }
#line 11832 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 974 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_MPLS_POLICY, EA_MPLS_POLICY); }
#line 11838 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 975 "nest/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_CLASS); }
#line 11844 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 35 "nest/mpls.Y" /* yacc.c:1646  */
    { this_mpls_domain = mpls_domain_config_new((yyvsp[0].s)); }
#line 11850 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 51 "nest/mpls.Y" /* yacc.c:1646  */
    { mpls_domain_postconfig(this_mpls_domain); this_mpls_domain = NULL; }
#line 11856 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 57 "nest/mpls.Y" /* yacc.c:1646  */
    {
  if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == STATIC))
    this_mpls_range = this_mpls_domain->static_range;
  else if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == DYNAMIC))
    this_mpls_range = this_mpls_domain->dynamic_range;
  else
    this_mpls_range = mpls_range_config_new(this_mpls_domain, (yyvsp[0].s));
}
#line 11869 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 67 "nest/mpls.Y" /* yacc.c:1646  */
    { this_mpls_range->start = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range start must be less than 2^20"); }
#line 11875 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 68 "nest/mpls.Y" /* yacc.c:1646  */
    { this_mpls_range->length = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range length must be less than 2^20"); if (!(yyvsp[0].i)) cf_error("MPLS label range length must be nonzero"); }
#line 11881 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 82 "nest/mpls.Y" /* yacc.c:1646  */
    {
  struct mpls_range_config *r = this_mpls_range;

  if ((r->start == (uint) -1) || (r->length == (uint) -1))
    cf_error("MPLS label range start and length must be specified");

  if (r->start + r->length > MPLS_MAX_LABEL)
    cf_error("MPLS label range end must be less than 2^20");

  this_mpls_range = NULL;
}
#line 11897 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 98 "nest/mpls.Y" /* yacc.c:1646  */
    {
  (yyval.cc) = this_channel = channel_config_get(&channel_mpls, net_label[NET_MPLS], NET_MPLS, this_proto);

  if (EMPTY_LIST(new_config->mpls_domains))
  {
    int counter = 0;
    mpls_domain_config_new(cf_default_name(new_config, "mpls%d", &counter));
    cf_warn("No MPLS domain defined");
  }

  /* Default values for new channel */
  if (!MPLS_CC->domain)
  {
    MPLS_CC->domain = cf_default_mpls_domain(new_config);
    MPLS_CC->label_policy = MPLS_POLICY_PREFIX;
  }
}
#line 11919 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 117 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_STATIC; }
#line 11925 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 118 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_PREFIX; }
#line 11931 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 119 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_AGGREGATE; }
#line 11937 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 120 "nest/mpls.Y" /* yacc.c:1646  */
    { (yyval.i) = MPLS_POLICY_VRF; }
#line 11943 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 125 "nest/mpls.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_DOMAIN); MPLS_CC->domain = (yyvsp[0].s)->mpls_domain; }
#line 11949 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 126 "nest/mpls.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_RANGE); MPLS_CC->range = (yyvsp[0].s)->mpls_range; }
#line 11955 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 127 "nest/mpls.Y" /* yacc.c:1646  */
    { MPLS_CC->range = MPLS_CC->domain->static_range; }
#line 11961 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 128 "nest/mpls.Y" /* yacc.c:1646  */
    { MPLS_CC->range = MPLS_CC->domain->dynamic_range; }
#line 11967 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 129 "nest/mpls.Y" /* yacc.c:1646  */
    { MPLS_CC->label_policy = (yyvsp[0].i); }
#line 11973 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 142 "nest/mpls.Y" /* yacc.c:1646  */
    { mpls_channel_postconfig(this_channel); }
#line 11979 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 147 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if (EMPTY_LIST(config->mpls_domains))
       cf_error("No MPLS domain defined");

     (yyval.msrc) = cfg_allocz(sizeof(struct mpls_show_ranges_cmd));
   }
#line 11990 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 154 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].s)->class == SYM_MPLS_DOMAIN)
     {
       if ((yyval.msrc)->domain)
	cf_error("Only one MPLS domain expected");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_domain;
     }
     else if ((yyvsp[0].s)->class == SYM_MPLS_RANGE)
     {
       if ((yyval.msrc)->range)
	cf_error("Only one MPLS label range expected");

       if ((yyval.msrc)->domain != (yyvsp[0].s)->mpls_range->domain)
	cf_error("MPLS label range from different MPLS domain");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_range->domain;
       (yyval.msrc)->range = (yyvsp[0].s)->mpls_range;
     }
     else
       cf_error("MPLS domain or label range expected");
   }
#line 12017 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 177 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->static_range;
   }
#line 12029 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 185 "nest/mpls.Y" /* yacc.c:1646  */
    {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->dynamic_range;
   }
#line 12041 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 195 "nest/mpls.Y" /* yacc.c:1646  */
    { mpls_show_ranges((yyvsp[-1].msrc)); }
#line 12047 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 32 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_aggregator, (yyvsp[-1].i));
  this_channel = AGGREGATOR_CFG->src = channel_config_new(NULL, "source", 0, this_proto);
  AGGREGATOR_CFG->dst = channel_config_new(NULL, "destination", 0, this_proto);

  AGGREGATOR_CFG->src->ra_mode = AGGREGATOR_CFG->dst->ra_mode = RA_ANY;
}
#line 12059 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 43 "proto/aggregator/config.Y" /* yacc.c:1646  */
    { AGGREGATOR_CFG->dst->table = (yyvsp[0].r); }
#line 12065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 44 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
    if (AGGREGATOR_CFG->aggr_on)
      cf_error("Only one aggregate on clause allowed");

    bool net_present = 0;
    int count = 0;

    for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
//      log(L_WARN "type %d sacode %d", item->i.type, item->i.sa.sa_code);
      if (item->i.type == AGGR_ITEM_STATIC_ATTR && item->i.sa.sa_code == SA_NET)
	net_present = 1;

      count++;
    }

   if (!net_present)
     cf_error("'NET' must be present");

   AGGREGATOR_CFG->aggr_on = cfg_alloc(sizeof(struct aggr_item) * count);

   int pos = 0;
   for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
     if (item->i.type == AGGR_ITEM_DYNAMIC_ATTR)
       AGGREGATOR_CFG->aggr_on_da_count++;

     AGGREGATOR_CFG->aggr_on[pos++] = item->i;
   }

   AGGREGATOR_CFG->aggr_on_count = pos;
 }
#line 12100 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 74 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
   cf_push_block_scope(new_config);
   cf_create_symbol(new_config, "routes", SYM_VARIABLE | T_ROUTES_BLOCK, offset, f_new_var(sym_->scope));
 }
#line 12109 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 77 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
   cf_pop_block_scope(new_config);
   (yyvsp[0].fl)->args++;
   AGGREGATOR_CFG->merge_by = (yyvsp[0].fl);
 }
#line 12119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 90 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
       if ((yyvsp[0].ai) == NULL) {
         (yyval.ai) = (yyvsp[-2].ai);
       } else {
         (yyval.ai) = (yyvsp[0].ai);
         (yyval.ai)->next = (yyvsp[-2].ai);
       }
   }
#line 12132 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 101 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
       (yyval.ai) = AGGR_ITEM_ALLOC;
       (yyval.ai)->i.type = AGGR_ITEM_TERM;
       (yyval.ai)->i.line = f_linearize((yyvsp[-1].x), 1);
    }
#line 12142 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 106 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
      switch ((yyvsp[0].s)->class) {
        case SYM_ATTRIBUTE:
          (yyval.ai) = AGGR_ITEM_ALLOC;
          (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
          (yyval.ai)->i.da = *(yyvsp[0].s)->attribute;
          break;
        case SYM_CONSTANT_RANGE:
          (yyval.ai) = NULL;
          break;
        default:
          cf_error("Can't aggregate on symbol type %s.", cf_symbol_class_name((yyvsp[0].s)));
      }
    }
#line 12161 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 120 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
      (yyval.ai)->i.da = (yyvsp[0].fda);
    }
#line 12171 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 125 "proto/aggregator/config.Y" /* yacc.c:1646  */
    {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_STATIC_ATTR;
      (yyval.ai)->i.sa = (yyvsp[0].fsa);
    }
#line 12181 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 39 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 12193 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 53 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->strict_bind = (yyvsp[0].i); }
#line 12199 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 54 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->zero_udp6_checksum_rx = (yyvsp[0].i); }
#line 12205 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 67 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 12211 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 68 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 12217 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 69 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 12223 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 70 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 12229 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 74 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 12238 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 82 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 12255 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 96 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 12278 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 116 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 12284 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 117 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 12290 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 118 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 12296 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 119 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 12302 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 120 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 12308 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 121 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->passive = (yyvsp[0].i); }
#line 12314 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 122 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 12320 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 123 "proto/bfd/config.Y" /* yacc.c:1646  */
    {}
#line 12326 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 127 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_NONE; }
#line 12332 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 128 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 12338 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 129 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 12344 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 130 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 12350 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 131 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 12356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 132 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 12362 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 150 "proto/bfd/config.Y" /* yacc.c:1646  */
    { BFD_CFG->multihop = BFD_IFACE; }
#line 12368 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 154 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = NULL; }
#line 12374 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 155 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 12380 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 156 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 12386 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 160 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = IPA_NONE; }
#line 12392 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 161 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.a) = (yyvsp[0].a); }
#line 12398 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 165 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 12404 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 166 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 12410 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 170 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 12430 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 190 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 12436 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 191 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 12442 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 192 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 12448 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 193 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 12454 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 194 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 12460 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 195 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->passive = (yyvsp[0].i); this_bfd_opts->passive_set = 1; }
#line 12466 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 196 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 12472 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 197 "proto/bfd/config.Y" /* yacc.c:1646  */
    { this_bfd_opts->auth_type = (yyvsp[0].i); }
#line 12478 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 198 "proto/bfd/config.Y" /* yacc.c:1646  */
    {}
#line 12484 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 207 "proto/bfd/config.Y" /* yacc.c:1646  */
    { reset_passwords(); }
#line 12490 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 210 "proto/bfd/config.Y" /* yacc.c:1646  */
    {
  this_bfd_opts->passwords = get_passwords();

  if (!this_bfd_opts->auth_type != !this_bfd_opts->passwords)
    cf_warn("Authentication and password options should be used together");

  if (this_bfd_opts->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *this_bfd_opts->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[this_bfd_opts->auth_type];
    }
  }
}
#line 12513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 237 "proto/bfd/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].bssc)->name, &proto_bfd, p) bfd_show_sessions(p, (yyvsp[-1].bssc)); }
#line 12519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 249 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc) = cfg_allocz(sizeof(struct bfd_show_sessions_cmd)); }
#line 12525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 250 "proto/bfd/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.bssc)->name = (yyvsp[0].s); }
#line 12531 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 251 "proto/bfd/config.Y" /* yacc.c:1646  */
    { net_copy(&((yyval.bssc)->address), &((yyvsp[0].net))); }
#line 12537 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 252 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 12543 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 253 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 12549 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 254 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->verbose = 1; }
#line 12555 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 255 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->ipv4 = 1; if ((yyval.bssc)->ipv6) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 12561 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 256 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->ipv6 = 1; if ((yyval.bssc)->ipv4) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 12567 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 257 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->direct = 1; if ((yyval.bssc)->multihop) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 12573 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 258 "proto/bfd/config.Y" /* yacc.c:1646  */
    { (yyval.bssc)->multihop = 1; if ((yyval.bssc)->direct) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 12579 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 36 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 12589 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 46 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 12595 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 59 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->rtt_min = BABEL_RTT_MIN;
  BABEL_IFACE->rtt_max = BABEL_RTT_MAX;
  BABEL_IFACE->rtt_decay = BABEL_RTT_DECAY;
  BABEL_IFACE->rtt_send = 1;
  BABEL_IFACE->check_link = 1;
  BABEL_IFACE->ext_next_hop = 1;
}
#line 12618 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 80 "proto/babel/config.Y" /* yacc.c:1646  */
    {
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
    if (BABEL_IFACE->type == BABEL_IFACE_TYPE_TUNNEL && !BABEL_IFACE->rtt_cost)
      BABEL_IFACE->rtt_cost = BABEL_RXCOST_RTT;
  }

  if (BABEL_IFACE->rtt_cost && !BABEL_IFACE->rtt_send)
    cf_error("Can't set RTT cost when sending timestamps is disabled");

  if (BABEL_IFACE->rtt_min >= BABEL_IFACE->rtt_max)
    cf_error("Min RTT must be smaller than max RTT");

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);

  BABEL_IFACE->passwords = get_passwords();

  if (!BABEL_IFACE->auth_type != !BABEL_IFACE->passwords)
    cf_error("Authentication and password options should be used together");

  if (BABEL_IFACE->passwords)
  {
    struct password_item *pass;
    uint len = 0, i = 0;

    WALK_LIST(pass, *BABEL_IFACE->passwords)
    {
      /* Set default crypto algorithm (HMAC-SHA256) */
      if (!pass->alg)
	pass->alg = ALG_HMAC_SHA256;

      if (!((pass->alg & ALG_HMAC) ||
	    (pass->alg == ALG_BLAKE2S_128) ||
	    (pass->alg == ALG_BLAKE2S_256) ||
	    (pass->alg == ALG_BLAKE2B_256) ||
	    (pass->alg == ALG_BLAKE2B_512)))
	cf_error("Only HMAC and Blake2 algorithms are supported");

      len += mac_type_length(pass->alg);
      i++;
    }

    BABEL_IFACE->mac_num_keys = i;
    BABEL_IFACE->mac_total_len = len;
  }

}
#line 12686 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 146 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12692 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 147 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 12698 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 148 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 12704 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 149 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 12710 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 150 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 12716 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 151 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->type = BABEL_IFACE_TYPE_TUNNEL; }
#line 12722 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 152 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 12728 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 153 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 12734 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 154 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 12740 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 155 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 12746 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 156 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 12752 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 157 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 12758 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 158 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 12764 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 159 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 12770 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 160 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 12776 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 161 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->ext_next_hop = (yyvsp[0].i); }
#line 12782 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 162 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_NONE; }
#line 12788 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 163 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 0; }
#line 12794 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 164 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 1; }
#line 12800 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 165 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_min = (yyvsp[0].time); }
#line 12806 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 166 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_max = (yyvsp[0].time); }
#line 12812 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 167 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_cost = (yyvsp[0].i); if ((yyvsp[0].i) >= BABEL_INFINITY) cf_error("RTT cost must be < 65535"); }
#line 12818 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 168 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_decay = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 256)) cf_error("RTT decay must be between 1-256"); }
#line 12824 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 169 "proto/babel/config.Y" /* yacc.c:1646  */
    { BABEL_IFACE->rtt_send = (yyvsp[0].i); }
#line 12830 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 187 "proto/babel/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 12836 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 192 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 12842 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 195 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 12848 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 198 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 12854 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 201 "proto/babel/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 12860 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 50 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_enhanced_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->min_gr_time = 0;
     BGP_CFG->max_gr_time = ~0U;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->min_llgr_time = 0;
     BGP_CFG->max_llgr_time = ~0U;
     BGP_CFG->setkey = 1;
     BGP_CFG->local_role = BGP_ROLE_UNDEFINED;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
     BGP_CFG->send_hold_time = -1;
   }
#line 12901 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 90 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12907 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 91 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_as = (yyvsp[0].i); }
#line 12913 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 96 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12919 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 97 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 12925 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 98 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 12931 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 99 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 12937 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 104 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 12943 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 105 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 12949 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 110 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 12955 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 114 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 0; }
#line 12961 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 115 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 1; }
#line 12967 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 116 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 2; }
#line 12973 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 117 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 3; }
#line 12979 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 118 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 4; }
#line 12985 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 119 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 5; }
#line 12991 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 120 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 6; }
#line 12997 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 121 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 7; }
#line 13003 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 122 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << 8; }
#line 13009 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 126 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_PEER; }
#line 13015 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 127 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_PROVIDER; }
#line 13021 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 128 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_CUSTOMER; }
#line 13027 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 129 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_RS_SERVER; }
#line 13033 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 130 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = BGP_ROLE_RS_CLIENT; }
#line 13039 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 139 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 13048 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 144 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 13059 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 150 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 13071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 157 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 13077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 158 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 13083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 159 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 13089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 160 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 13095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 161 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 13101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 162 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 13107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 163 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->hold_time = (yyvsp[-1].i); if (((yyvsp[-1].i) && (yyvsp[-1].i)<3) || ((yyvsp[-1].i)>65535)) cf_error("Hold time must be in range 3-65535 or zero"); }
#line 13113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 164 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->min_hold_time = (yyvsp[-1].i); }
#line 13119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 165 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 13125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 166 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 0; }
#line 13131 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 167 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = 64; }
#line 13137 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 168 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 13143 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 169 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 13153 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 174 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 13159 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 175 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 13165 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 176 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->free_bind = (yyvsp[-1].i); }
#line 13171 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 177 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 13177 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 178 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 13183 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 179 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 13189 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 180 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 13195 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 181 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 13201 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 182 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 13207 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 183 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 13213 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 184 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 13219 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 185 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); cf_warn("%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 13225 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 186 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 13231 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 187 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 13237 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 188 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->keepalive_time = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>65535)) cf_error("Keepalive time must be in range 1-65535"); }
#line 13243 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 189 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->min_keepalive_time = (yyvsp[-1].i); }
#line 13249 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 190 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->send_hold_time = (yyvsp[-1].i); }
#line 13255 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 191 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 13261 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 192 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 13267 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 193 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 13273 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 194 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 13279 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 195 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 13285 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 196 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_enhanced_refresh = (yyvsp[-1].i); }
#line 13291 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 197 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 13297 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 198 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 13303 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 199 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 13309 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 200 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_refresh = (yyvsp[-1].i); }
#line 13315 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 201 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_enhanced_refresh = (yyvsp[-1].i); }
#line 13321 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 202 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_as4 = (yyvsp[-1].i); }
#line 13327 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 203 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_extended_messages = (yyvsp[-1].i); }
#line 13333 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 204 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_hostname = (yyvsp[-1].i); }
#line 13339 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 205 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_gr = (yyvsp[-1].i); }
#line 13345 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 206 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_llgr = (yyvsp[-1].i); }
#line 13351 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 207 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 13357 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 208 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->password = (yyvsp[-1].t); }
#line 13363 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 209 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 13369 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 210 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->passive = (yyvsp[-1].i); }
#line 13375 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 211 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 13381 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 212 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = -1; }
#line 13387 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 213 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 13393 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 214 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 13399 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 215 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_med = (yyvsp[-1].i); }
#line 13405 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 216 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 13411 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 217 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 13417 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 218 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 13423 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 219 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->gr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 12)) cf_error("Graceful restart time must be less than 4096"); }
#line 13429 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 220 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->min_gr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 12)) cf_error("Min graceful restart time must be less than 4096"); }
#line 13435 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 221 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->max_gr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 12)) cf_error("Max graceful restart time must be less than 4096"); }
#line 13441 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 222 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 13447 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 223 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 13453 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 224 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->llgr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 24)) cf_error("Long-lived stale time must be less than 2^24"); }
#line 13459 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 225 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->min_llgr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 24)) cf_error("Min long-lived stale time must be less than 2^24"); }
#line 13465 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 226 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->max_llgr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 24)) cf_error("Max long-lived stale time must be less than 2^24"); }
#line 13471 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 227 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 13477 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 228 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 13483 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 229 "proto/bgp/config.Y" /* yacc.c:1646  */
    { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 13489 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 230 "proto/bgp/config.Y" /* yacc.c:1646  */
    { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 13495 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 231 "proto/bgp/config.Y" /* yacc.c:1646  */
    { open_bfd_opts(&BGP_CFG->bfd); }
#line 13501 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 231 "proto/bgp/config.Y" /* yacc.c:1646  */
    { close_bfd_opts(); }
#line 13507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 232 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 13513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 233 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->local_role = (yyvsp[-1].i); }
#line 13519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 234 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->require_roles = (yyvsp[-1].i); }
#line 13525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 235 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CFG->disable_rx = (yyvsp[-1].i); }
#line 13531 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 239 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4; }
#line 13537 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 240 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6; }
#line 13543 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 241 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 13549 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 242 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 13555 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 243 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 13561 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 244 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 13567 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 245 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 13573 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 246 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 13579 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 247 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 13585 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 248 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 13591 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 249 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW4; }
#line 13597 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 250 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i32) = BGP_AF_FLOW6; }
#line 13603 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 254 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->min_llgr_time = ~0U; /* undefined */
    BGP_CC->max_llgr_time = ~0U; /* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
  }
}
#line 13633 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 281 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 13639 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 282 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_IBGP; }
#line 13645 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 283 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.i) = NH_EBGP; }
#line 13651 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 289 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 13657 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 290 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 13663 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 291 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 13669 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 292 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->next_hop_prefer = NHP_GLOBAL; }
#line 13675 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 293 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->mandatory = (yyvsp[0].i); }
#line 13681 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 294 "proto/bgp/config.Y" /* yacc.c:1646  */
    { cf_warn("%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 13687 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 295 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_DIRECT; }
#line 13693 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 296 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 13699 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 297 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->secondary = (yyvsp[0].i); }
#line 13705 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 298 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    BGP_CC->validate = (yyvsp[0].i);
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Validate option limited to flowspec channels");
   }
#line 13715 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 303 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->gr_able = (yyvsp[0].i); }
#line 13721 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 304 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 13727 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 305 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->llgr_time = (yyvsp[0].i); if ((yyvsp[0].i) >= (1 << 24)) cf_error("Long-lived stale time must be less than 2^24"); }
#line 13733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 306 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->min_llgr_time = (yyvsp[0].i); if ((yyvsp[0].i) >= (1 << 24)) cf_error("Min long-lived stale time must be less than 2^24"); }
#line 13739 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 307 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->max_llgr_time = (yyvsp[0].i); if ((yyvsp[0].i) >= (1 << 24)) cf_error("Max long-lived stale time must be less than 2^24"); }
#line 13745 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 308 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 13751 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 309 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->require_ext_next_hop = (yyvsp[0].i);  if (BGP_AFI(BGP_CC->afi) != BGP_AFI_IPV4) cf_warn("Require extended next hop option ignored for non-IPv4 channels"); }
#line 13757 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 310 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 13763 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 311 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 13769 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 312 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 13775 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 313 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->require_add_path = (yyvsp[0].i); }
#line 13781 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 314 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->import_table = (yyvsp[0].i); }
#line 13787 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 315 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->export_table = (yyvsp[0].i); }
#line 13793 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 316 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 13799 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 317 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 13805 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 318 "proto/bgp/config.Y" /* yacc.c:1646  */
    { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 13811 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 319 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 13827 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 330 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Base table option limited to flowspec channels");

    if (((BGP_CC->afi == BGP_AF_FLOW4) && ((yyvsp[0].r)->addr_type == NET_IP4)) ||
        ((BGP_CC->afi == BGP_AF_FLOW6) && ((yyvsp[0].r)->addr_type == NET_IP6)))
      BGP_CC->base_table = (yyvsp[0].r);
    else
      cf_error("Mismatched base table type");
   }
#line 13842 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 353 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 13853 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 364 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN));	(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13859 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 366 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH));		(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13865 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 368 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP));	(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13871 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 370 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 13877 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 372 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF));		(yyval.fda).flags = BAF_TRANSITIVE; }
#line 13883 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 374 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); (yyval.fda).flags = BAF_TRANSITIVE; }
#line 13889 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 376 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 13895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 378 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 13901 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 380 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 13907 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 382 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 13913 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 384 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 13919 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 386 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AIGP));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 13925 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 388 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); (yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 13931 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 390 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_ONLY_TO_CUSTOMER));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 13937 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 392 "proto/bgp/config.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[-3].i) > 255 || (yyvsp[-3].i) < 1)
    cf_error("Invalid attribute number (Given %i, must be 1-255)", (yyvsp[-3].i));
  if ((yyvsp[-2].i) != T_BYTESTRING)
    cf_error("Attribute type must be bytestring, not %s", f_type_name((yyvsp[-2].i)));
  if (bgp_attr_name((yyvsp[-3].i)))
    cf_error("Attribute BGP.%d already known as %s", (yyvsp[-3].i), bgp_attr_name((yyvsp[-3].i)));

  struct f_dynamic_attr *a = cfg_alloc(sizeof(struct f_dynamic_attr));
  *a = f_new_dynamic_attr(f_type_attr((yyvsp[-2].i)), T_BYTESTRING, EA_CODE(PROTOCOL_BGP, (yyvsp[-3].i)));
  a->flags = BAF_TRANSITIVE | BAF_OPTIONAL;
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, a);
}
#line 13955 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 409 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.x) =
  f_new_inst(FI_ASPA_CHECK_EXPLICIT,
      f_new_inst(FI_EA_GET,
	f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL, }),
	f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH))
      ),
      f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }),
      (yyvsp[-1].r)
  );
}
#line 13970 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 420 "proto/bgp/config.Y" /* yacc.c:1646  */
    { (yyval.x) =
  f_new_inst(FI_ASPA_CHECK_EXPLICIT,
      f_new_inst(FI_EA_GET,
	f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL, }),
	f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH))
      ),
      f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }),
      (yyvsp[-1].r)
  );
}
#line 13985 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 53 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    {
  /* Redefining proto_channel to change default values */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
  if (!this_channel->copy)
  {
    this_channel->out_filter = FILTER_ACCEPT;
    this_channel->preference = net_val_match((yyvsp[0].i), NB_IP) ?
      DEF_PREF_L3VPN_IMPORT :
      DEF_PREF_L3VPN_EXPORT;
  }
}
#line 14001 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 68 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_l3vpn, (yyvsp[-1].i));
}
#line 14009 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 77 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->rd = (yyvsp[0].i64); }
#line 14015 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 78 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->rd = (yyvsp[0].i64); }
#line 14021 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 79 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->import_target = (yyvsp[0].e); }
#line 14027 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 80 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 14033 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 81 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { L3VPN_CFG->import_target = L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 14039 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 94 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { f_tree_only_rt((yyvsp[0].e)); (yyval.e) = (yyvsp[0].e); }
#line 14045 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 95 "proto/l3vpn/config.Y" /* yacc.c:1646  */
    { f_tree_only_rt((yyvsp[-1].e)); (yyval.e) = build_tree((yyvsp[-1].e)); }
#line 14051 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 29 "proto/mrt/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 14059 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 35 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 14065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 36 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 14071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 37 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 14077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 38 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filter = (yyvsp[0].f); }
#line 14083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 39 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->filename = (yyvsp[0].t); }
#line 14089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 40 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->period = (yyvsp[0].i); }
#line 14095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 41 "proto/mrt/config.Y" /* yacc.c:1646  */
    { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 14101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 50 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_check_config(this_proto); }
#line 14107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 54 "proto/mrt/config.Y" /* yacc.c:1646  */
    { mrt_dump_cmd((yyvsp[-1].md)); }
#line 14113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 62 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 14119 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 63 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 14125 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 64 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 14131 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 65 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 14137 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 66 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 14143 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 67 "proto/mrt/config.Y" /* yacc.c:1646  */
    { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 14149 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 212 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_proto_finish(); }
#line 14155 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 215 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 14161 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 216 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 14167 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 217 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 14173 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 221 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 14191 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 241 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 14197 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 242 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 14203 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 247 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 14215 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 259 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 14221 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 260 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 14227 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 261 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 14233 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 262 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 14239 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 263 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 14245 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 264 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 14251 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 265 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 14257 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 266 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 14263 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 267 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 14269 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 268 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 14275 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 269 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 14281 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 270 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 14287 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 271 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 14293 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 275 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 14311 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 290 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_area_finish(); }
#line 14317 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 299 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 14323 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 300 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->type = OPT_N; }
#line 14329 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 301 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->summary = (yyvsp[0].i); }
#line 14335 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 302 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_nssa = (yyvsp[0].i); }
#line 14341 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 303 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 14347 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 304 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 14353 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 305 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 14359 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 306 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->translator = (yyvsp[0].i); }
#line 14365 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 307 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_area->transint = (yyvsp[0].i); }
#line 14371 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 308 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->net_list; }
#line 14377 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 309 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_nets = &this_area->enet_list; }
#line 14383 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 321 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 14394 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 335 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->hidden = (yyvsp[0].i); }
#line 14400 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 336 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->summary = (yyvsp[0].i); }
#line 14406 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 337 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_stubnet->cost = (yyvsp[0].i); }
#line 14412 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 341 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 14418 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 342 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 14424 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 351 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 14430 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 352 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 14436 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 353 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 14442 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 354 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 14448 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 355 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 14454 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 356 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 14460 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 357 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 14466 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 358 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 14472 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 359 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 14478 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 364 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 14498 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 382 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 14504 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 383 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 14510 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 384 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 14516 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 385 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 14522 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 386 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 14528 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 387 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 14534 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 388 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 14540 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 389 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 14546 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 390 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 14552 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 391 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 14558 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 392 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 14564 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 393 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 14570 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 394 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 14576 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 395 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 14582 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 396 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 14588 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 397 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 14594 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 398 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 14600 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 399 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 14606 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 400 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 14612 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 401 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 14618 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 402 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 14624 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 403 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 14630 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 404 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 14636 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 405 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 14642 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 406 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 14648 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 408 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 14654 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 409 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 14660 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 410 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 14666 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 411 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = 0; }
#line 14672 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 412 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 14678 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 413 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 14684 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 414 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 14690 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 415 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 14696 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 416 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 14702 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 417 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 14708 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 418 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->ttl_security = 2; }
#line 14714 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 419 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 14720 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 431 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 14730 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 440 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->hidden = 1; }
#line 14736 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 441 "proto/ospf/config.Y" /* yacc.c:1646  */
    { this_pref->tag = (yyvsp[0].i); }
#line 14742 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 450 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 14748 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 451 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 14754 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 455 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 14765 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 464 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 14790 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 488 "proto/ospf/config.Y" /* yacc.c:1646  */
    { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 14796 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 492 "proto/ospf/config.Y" /* yacc.c:1646  */
    { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 14802 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 506 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_iface_finish(); }
#line 14808 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 509 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 14814 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 510 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 14820 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 511 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 14826 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 512 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 14832 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 516 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 14838 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 519 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 14844 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 522 "proto/ospf/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 14850 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 527 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 14856 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 530 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 14862 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 535 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 14868 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 538 "proto/ospf/config.Y" /* yacc.c:1646  */
    { ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 14874 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 542 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 14885 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 558 "proto/ospf/config.Y" /* yacc.c:1646  */
    {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 14893 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 561 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 14899 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 562 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 14905 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 563 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 14911 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 564 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 14917 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 565 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 14923 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 566 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 14929 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 567 "proto/ospf/config.Y" /* yacc.c:1646  */
    { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 14935 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 568 "proto/ospf/config.Y" /* yacc.c:1646  */
    { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 14941 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 27 "proto/perf/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->attrs_per_rte = 0;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 14957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 46 "proto/perf/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 14963 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 47 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->from = (yyvsp[0].i); }
#line 14969 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 48 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->to = (yyvsp[0].i); }
#line 14975 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 49 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->repeat = (yyvsp[0].i); }
#line 14981 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 50 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 14987 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 51 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 14993 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 52 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->attrs_per_rte = (yyvsp[0].i); }
#line 14999 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 53 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->keep = (yyvsp[0].i); }
#line 15005 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 54 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 15011 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 55 "proto/perf/config.Y" /* yacc.c:1646  */
    { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 15017 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 23 "proto/pipe/config.Y" /* yacc.c:1646  */
    { this_channel = NULL; }
#line 15023 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 26 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 15031 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 30 "proto/pipe/config.Y" /* yacc.c:1646  */
    {
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 15044 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 43 "proto/pipe/config.Y" /* yacc.c:1646  */
    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 15050 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 56 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));
  this_proto->net_type = NET_IP6;

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
  init_list(&RADV_CFG->custom_list);
}
#line 15065 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 71 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 15071 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 72 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 15077 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 72 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 15083 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 73 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 15089 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 73 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 15095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 74 "proto/radv/config.Y" /* yacc.c:1646  */
    { radv_add_to_custom_list(&RADV_CFG->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 15101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 75 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->trigger = (yyvsp[0].net); }
#line 15107 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 76 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 15113 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 89 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);
  init_list(&RADV_IFACE->custom_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 15140 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 113 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 15146 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 114 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 15152 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 115 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 15158 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 116 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 15164 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 117 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->managed = (yyvsp[0].i); }
#line 15170 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 118 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 15176 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 119 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 15182 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 120 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 15188 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 121 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 15194 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 122 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 15200 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 123 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15210 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 128 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15219 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 132 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 15225 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 133 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 15231 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 134 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 15237 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 135 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 15243 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 136 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 15249 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 137 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 15255 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 137 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 15261 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 138 "proto/radv/config.Y" /* yacc.c:1646  */
    { init_list(&radv_dns_list); }
#line 15267 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 138 "proto/radv/config.Y" /* yacc.c:1646  */
    { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 15273 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 139 "proto/radv/config.Y" /* yacc.c:1646  */
    { radv_add_to_custom_list(&RADV_IFACE->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 15279 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 140 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 15285 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 141 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 15291 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 142 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_IFACE->custom_local = (yyvsp[0].i); }
#line 15297 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 146 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_LOW; }
#line 15303 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 147 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_MEDIUM; }
#line 15309 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 148 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RA_PREF_HIGH; }
#line 15315 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 151 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 15356 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 204 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 15370 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 215 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 15376 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 216 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 15382 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 217 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 15388 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 218 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15397 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 222 "proto/radv/config.Y" /* yacc.c:1646  */
    {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15406 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 229 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 15418 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 253 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15430 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 262 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15439 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 269 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 15445 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 273 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 15461 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 297 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 15476 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 309 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15485 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 316 "proto/radv/config.Y" /* yacc.c:1646  */
    { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 15491 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 320 "proto/radv/config.Y" /* yacc.c:1646  */
    {
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 15507 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 344 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 15513 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 345 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 15519 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 349 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (uint) -1; }
#line 15525 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 350 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 15531 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 353 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 15537 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 354 "proto/radv/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 15543 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 50 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 15549 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 51 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 15555 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 55 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 15571 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 70 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 15577 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 71 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 15583 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 72 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_CFG->infinity = (yyvsp[0].i); }
#line 15589 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 86 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 15617 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 111 "proto/rip/config.Y" /* yacc.c:1646  */
    {
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 15650 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 141 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 15656 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 142 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 15662 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 143 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 15668 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 144 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->passive = (yyvsp[0].i); }
#line 15674 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 145 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 15680 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 146 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 15686 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 147 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 15695 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 151 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 15701 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 152 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 15707 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 153 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 15713 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 154 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 15719 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 155 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 15725 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 156 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 15731 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 157 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 15737 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 158 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 15743 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 159 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 15749 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 160 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 15755 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 161 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 15761 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 162 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 15767 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 163 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 15773 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 164 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 15779 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 165 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 15785 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 166 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->ttl_security = 2; }
#line 15791 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 167 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 15797 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 168 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 15803 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 169 "proto/rip/config.Y" /* yacc.c:1646  */
    { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 15809 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 170 "proto/rip/config.Y" /* yacc.c:1646  */
    { rip_check_auth(); }
#line 15815 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 174 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_NONE; }
#line 15821 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 175 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_PLAIN; }
#line 15827 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 176 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 15833 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 177 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 15839 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 194 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 15845 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 195 "proto/rip/config.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 15851 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 200 "proto/rip/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 15857 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 203 "proto/rip/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 15863 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 45 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
  RPKI_CFG->min_version = 0;
  RPKI_CFG->max_version = RPKI_MAX_VERSION;
}
#line 15876 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 54 "proto/rpki/config.Y" /* yacc.c:1646  */
    { rpki_check_config(RPKI_CFG); }
#line 15882 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 67 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_CFG->local_ip = (yyvsp[0].a); }
#line 15888 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 69 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 15899 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 75 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 15910 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 81 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 15921 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 87 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 15927 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 88 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > RPKI_MAX_VERSION) cf_error("RPKI version %u unsupported, min version must be in range 0-%u", (yyvsp[0].i), RPKI_MAX_VERSION);
     RPKI_CFG->min_version = (yyvsp[0].i);
   }
#line 15936 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 92 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
     if ((yyvsp[0].i) > RPKI_MAX_VERSION) cf_error("RPKI version %u unsupported, max version must be in range 0-%u", (yyvsp[0].i), RPKI_MAX_VERSION);
     RPKI_CFG->max_version = (yyvsp[0].i);
   }
#line 15945 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 99 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 15951 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 100 "proto/rpki/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1; }
#line 15957 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 103 "proto/rpki/config.Y" /* yacc.c:1646  */
    { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 15963 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 106 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  rpki_check_unused_hostname();
  if ((yyvsp[0].v).type == T_STRING)
    RPKI_CFG->hostname = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
  {
    RPKI_CFG->ip = (yyvsp[0].v).val.ip;

    /* Ensure hostname is filled */
    char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
    bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
    RPKI_CFG->hostname = hostname;
  }
  else bug("Bad text_or_ipa");
}
#line 15983 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 128 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 15993 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 145 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_TCP_CFG->auth_type = RPKI_TCP_AUTH_NONE; }
#line 15999 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 146 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_TCP_CFG->auth_type = RPKI_TCP_AUTH_MD5; }
#line 16005 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 147 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_TCP_CFG->password = (yyvsp[0].t); }
#line 16011 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 151 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  if (!RPKI_TR_TCP_CFG->auth_type != !RPKI_TR_TCP_CFG->password)
    cf_error("Authentication and password options should be used together");
}
#line 16020 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 157 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 16034 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 173 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 16040 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 174 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 16046 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 175 "proto/rpki/config.Y" /* yacc.c:1646  */
    { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 16052 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 179 "proto/rpki/config.Y" /* yacc.c:1646  */
    {
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 16061 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 59 "proto/static/config.Y" /* yacc.c:1646  */
    {
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 16070 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 67 "proto/static/config.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 16076 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 69 "proto/static/config.Y" /* yacc.c:1646  */
    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 16082 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 70 "proto/static/config.Y" /* yacc.c:1646  */
    {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 16095 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 78 "proto/static/config.Y" /* yacc.c:1646  */
    { static_route_finish(); }
#line 16101 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 82 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 16111 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 87 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 16121 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 92 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 16129 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 95 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 16137 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 98 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->onlink = (yyvsp[0].i);
    if (this_snh->use_bfd && this_snh->onlink)
      cf_error("Options 'bfd' and 'onlink' cannot be combined");
  }
#line 16147 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 103 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 16156 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 107 "proto/static/config.Y" /* yacc.c:1646  */
    {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
    if (this_snh->use_bfd && this_snh->onlink)
      cf_error("Options 'bfd' and 'onlink' cannot be combined");
  }
#line 16166 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 121 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->mpls_label = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label must be less than 2^20"); }
#line 16172 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 124 "proto/static/config.Y" /* yacc.c:1646  */
    {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt->mpls_label = (uint) -1;
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 16187 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 138 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 16196 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 142 "proto/static/config.Y" /* yacc.c:1646  */
    {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 16206 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 147 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_NONE; }
#line 16212 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 148 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 16218 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 149 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 16224 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 150 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_BLACKHOLE; }
#line 16230 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 151 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_UNREACHABLE; }
#line 16236 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 152 "proto/static/config.Y" /* yacc.c:1646  */
    { this_srt->dest = RTD_PROHIBIT; }
#line 16242 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 153 "proto/static/config.Y" /* yacc.c:1646  */
    {
    if (this_srt->net->type != NET_ASPA) cf_error("Provider settings available only for ASPA");
    this_srt->aspa = cfg_alloc(sizeof (adata) + (this_srt_aspa_max = 8) * sizeof (u32));
    this_srt->aspa->length = 0;
   }
#line 16252 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 158 "proto/static/config.Y" /* yacc.c:1646  */
    {
    if (this_srt->net->type != NET_ASPA) cf_error("Transit settings available only for ASPA");
    /* Allocate an explicit zero */
    this_srt->aspa = cfg_alloc(sizeof (adata) + sizeof (u32));
    this_srt->aspa->length = sizeof(u32);
    ((u32 *) this_srt->aspa->data)[0] = 0;
   }
#line 16264 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 167 "proto/static/config.Y" /* yacc.c:1646  */
    {
  if (this_srt->aspa->length == this_srt_aspa_max * sizeof(u32))
  {
    adata *new = cfg_alloc(sizeof (adata) + (this_srt_aspa_max * 2) * sizeof (u32));
    memcpy(new, this_srt->aspa, this_srt->aspa->length + sizeof(adata));
    this_srt->aspa = new;
    this_srt_aspa_max *= 2;
  }

  ((u32 *) this_srt->aspa->data)[this_srt->aspa->length / sizeof(u32)] = (yyvsp[0].i);
  this_srt->aspa->length += sizeof(u32);
}
#line 16281 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 183 "proto/static/config.Y" /* yacc.c:1646  */
    {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 16293 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 204 "proto/static/config.Y" /* yacc.c:1646  */
    { PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 16299 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 34 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 16305 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 35 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 16311 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 36 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { THIS_KRT->sys.netlink_rx_buffer = (yyvsp[0].i); }
#line 16317 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 39 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 16323 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 40 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 16329 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 41 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 16335 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 43 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 16341 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 44 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 16347 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 45 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 16353 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 46 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 16359 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 47 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTHRESH); }
#line 16365 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 48 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTHRESH);
				  cf_warn("Attribute krt_sstresh is deprecated (typo), use krt_ssthresh"); }
#line 16372 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 50 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 16378 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 51 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 16384 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 52 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 16390 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 53 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 16396 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 54 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 16402 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 55 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 16408 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 56 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 16414 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 57 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 16420 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 58 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_STRING, T_STRING, EA_KRT_CONGCTL); }
#line 16426 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 59 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_FASTOPEN_NO_COOKIE); }
#line 16432 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 63 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 16438 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 64 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 16444 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 65 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 16450 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 66 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 16456 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 67 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 16462 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 68 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK);
				  cf_warn("Attribute krt_lock_sstresh is deprecated (typo), use krt_lock_ssthresh"); }
#line 16469 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 70 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 16475 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 71 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 16481 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 72 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 16487 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 73 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 16493 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 74 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(11, T_BOOL, EA_KRT_LOCK); }
#line 16499 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 76 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 16505 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 77 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(14, T_BOOL, EA_KRT_LOCK); }
#line 16511 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 78 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(15, T_BOOL, EA_KRT_LOCK); }
#line 16517 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 79 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(16, T_BOOL, EA_KRT_LOCK); }
#line 16523 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 80 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(17, T_BOOL, EA_KRT_LOCK); }
#line 16529 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 82 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 16535 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 83 "sysdep/linux/netlink.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_FEATURES); }
#line 16541 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 36 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 16547 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 38 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 16556 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 45 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = (yyvsp[0].t); }
#line 16562 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 46 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = bird_name; }
#line 16568 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 51 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 16574 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 55 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
       this_log->fh = rf_file(this_log->rf);
     }
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 16589 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 65 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 16595 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 66 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->fh = stderr; }
#line 16601 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 67 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     this_log->udp_flag = 1;

     if (!parse_and_exit)
       log_open_udp(this_log, new_config->pool);
   }
#line 16612 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 76 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
  if ((yyvsp[0].v).type == T_STRING)
    this_log->host = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
    this_log->ip = (yyvsp[0].v).val.ip;
  else bug("Bad text_or_ipa");
}
#line 16624 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 85 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_log->port = 514; }
#line 16630 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 86 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { check_u16((yyvsp[0].i)); this_log->port = (yyvsp[0].i); }
#line 16636 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 90 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = ~0; }
#line 16642 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 91 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-1].i); }
#line 16648 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 95 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 1 << (yyvsp[0].i); }
#line 16654 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 96 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 16660 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 100 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_DEBUG[0]; }
#line 16666 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 101 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_TRACE[0]; }
#line 16672 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 102 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_INFO[0]; }
#line 16678 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 103 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_REMOTE[0]; }
#line 16684 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 104 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_WARN[0]; }
#line 16690 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 105 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_ERR[0]; }
#line 16696 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 106 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_AUTH[0]; }
#line 16702 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 107 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_FATAL[0]; }
#line 16708 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 108 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = L_BUG[0]; }
#line 16714 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 115 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 16720 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 116 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = rf_fileno(f);
     }
   }
#line 16733 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 128 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
  this_cli_config->name = (yyvsp[-1].t);
  cli_config_add_tail(&new_config->cli, this_cli_config);
  this_cli_config = NULL;
}
#line 16743 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 136 "sysdep/unix/config.Y" /* yacc.c:1646  */
    {
  this_cli_config = cfg_alloc(sizeof *this_cli_config);
  *this_cli_config = (typeof (*this_cli_config)) {
    .config = new_config,
    .mode = 0660,
  };
}
#line 16755 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 146 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { this_cli_config->restricted = 1; }
#line 16761 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 152 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_debug = (yyvsp[0].i); }
#line 16767 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 153 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->latency_limit = (yyvsp[0].time); }
#line 16773 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 154 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_warning = (yyvsp[0].time); }
#line 16779 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 155 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 16785 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 164 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 16791 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 167 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 16797 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 174 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_confirm(); }
#line 16803 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 177 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_undo(); }
#line 16809 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 180 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_reconfig_status(); }
#line 16815 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 183 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_check_config((yyvsp[-1].t)); }
#line 16821 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 186 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_shutdown(); }
#line 16827 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 191 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { cmd_graceful_restart(); }
#line 16833 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 195 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.t) = NULL; }
#line 16839 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 200 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = 0; }
#line 16845 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 201 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 16851 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 202 "sysdep/unix/config.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); }
#line 16857 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 45 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 16865 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 54 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i) ? KRT_LEARN_ALIEN : KRT_LEARN_NONE; }
#line 16871 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 55 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = KRT_LEARN_ALL; }
#line 16877 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 59 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 16883 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 60 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 16889 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 71 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 16895 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 72 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->persist = (yyvsp[0].i); }
#line 16901 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 73 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 16910 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 77 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 16922 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 84 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 16928 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 85 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 16940 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 98 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 16946 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 107 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 16955 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 114 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    {
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 16965 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 121 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { kif_set_preferred((yyvsp[0].a)); }
#line 16971 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 138 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 16977 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 139 "sysdep/unix/krt.Y" /* yacc.c:1646  */
    { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 16983 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
    break;


#line 16987 "obj/conf/cf-parse.tab.c" /* yacc.c:1646  */
        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyesa, &yyes, &yyes_capacity, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 61 "conf/gen_parser.m4" /* yacc.c:1906  */

#line 455 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 206 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 978 "nest/config.Y"
/* C Code from nest/config.Y */

#line 198 "nest/mpls.Y"
/* C Code from nest/mpls.Y */

#line 132 "proto/aggregator/config.Y"
/* C Code from proto/aggregator/config.Y */

#line 262 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 203 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 431 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 99 "proto/l3vpn/config.Y"
/* C Code from proto/l3vpn/config.Y */

#line 71 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 571 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 59 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 356 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 206 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 184 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 206 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 86 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 205 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 141 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

